SystemOrganization addCategory: #ScriptLoader20!

Object subclass: #ConfigurationOfPharo20
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ScriptLoader20'!

!ConfigurationOfPharo20 commentStamp: '<historical>' prior: 0!
I'm the metacello configuration for Pharo 2.0 project. 
!

!ConfigurationOfPharo20 class methodsFor: 'development support' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfPharo20 class methodsFor: 'private' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfPharo20 class methodsFor: 'private' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfPharo20 class methodsFor: 'private' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfPharo20 class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPharo20 class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfPharo20 class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfPharo20 class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfPharo20 class methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
project

	^self new project! !

!ConfigurationOfPharo20 class methodsFor: 'development support' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/16/2012 12:44'!
allPackages
	| excluded allPackages |
	
	excluded := #('ConfigurationOf*' 'Metacello-*' 'ScriptLoader*' 'Fuel*').
	^((MCPackage allInstances 
		collect: #name)
		reject: [ :eachName |  excluded anySatisfy:  [ :eachPattern | eachPattern match: eachName ] ])
		sort: [ :a :b | a < b ].	! !

!ConfigurationOfPharo20 methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/16/2012 12:46'!
baseline20: spec
	"Auto-generated method"
	<version: '2.0-baseline' imports: #('2.0-baseline-kernel' '2.0-baseline-core')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/Pharo20' ].
	
	spec for: #pharo do: [
		spec
			package: 'AST-Core';
			package: 'AST-Semantic';
			package: 'Keymapping-Core';
			package: 'Keymapping-Pragmas';
			package: 'Keymapping-Settings';
			package: 'Keymapping-Shortcuts';
			package: 'Keymapping-Tools-Spec';
			package: 'NECompletion';
			package: 'NOCompletion';
			package: 'Polymorph-EventEnhancements';
			package: 'Polymorph-Geometry';
			package: 'Polymorph-TaskbarIcons';
			package: 'Polymorph-Tools-Diff';
			package: 'Polymorph-Widgets';
			package: 'RPackage-Core';
			package: 'RPackage-SystemIntegration';
			package: 'Refactoring-Changes';
			package: 'Refactoring-Core';
			package: 'Refactoring-Critics';
			package: 'Refactoring-Environment';
			package: 'Refactoring-Pharo-Platform';
			package: 'Refactoring-Spelling';
			package: 'Regex-Core';
			package: 'Regex-Help';
			package: 'SUnit-Core';
			package: 'SUnit-Help';
			package: 'SUnit-UI';
			package: 'Graphics-Display Objects';
			package: 'Graphics-External';
			package: 'Graphics-Files';
			package: 'Graphics-Fonts';
			package: 'Graphics-Primitives';
			package: 'Graphics-Resources';
			package: 'Graphics-Support';
			package: 'Graphics-Text';
			package: 'Graphics-Transformations';
			package: 'HelpSystem-Core';
			package: 'Nautilus';
			package: 'Nautilus';
			package: 'NautilusCommon';
			package: 'NautilusRefactoring';
			package: 'Announcements-Tests-Core';
			package: 'BalloonTests';
			package: 'CodeImport-Tests';
			package: 'CollectionsTests';
			package: 'CompilerTests';
			package: 'CompressionTests';
			package: 'FileSystem-Tests-AnsiStreams';
			package: 'FileSystem-Tests-Core';
			package: 'FileSystem-Tests-Disk';
			package: 'FileSystem-Tests-Memory';
			package: 'FreeTypeTests';
			package: 'Gofer-Tests';
			package: 'Graphics-Tests';
			package: 'HelpSystem-Tests';
			package: 'KernelTests';
			package: 'Keymapping-Tests';
			package: 'MorphicTests';
			package: 'Multilingual-Tests';
			package: 'NetworkTests';
			package: 'RPackage-Tests';
			package: 'Regex-Tests-Core';
			package: 'Ring-Tests-Containers';
			package: 'Ring-Tests-Kernel';
			package: 'SUnit-Tests';
			package: 'ShoutTests';
			package: 'Spec-Tests';
			package: 'Tests';
			package: 'ToolsTest';
			package: 'Zinc-Tests';
			package: 'Balloon';
			package: 'Compatibility';
			package: 'Deprecated20';
			package: 'EmergencyEvaluator';
			package: 'EventModel';
			package: 'FamFam-Icons';
			package: 'FixUnderscores';
			package: 'FreeType';
			package: 'Gofer-Core';
			package: 'GroupManager';
			package: 'GroupManagerUI';
			package: 'Growl';
			package: 'HistoryCollection';
			package: 'MenuRegistration';
			package: 'Monticello';
			package: 'MonticelloConfigurations';
			package: 'MonticelloGUI';
			package: 'Monticellomocks';
			package: 'Morphic';
			package: 'NonInteractiveTranscript';
			package: 'PackageInfo';
			package: 'PluggableTextMorphWithLimits';
			package: 'RecentSubmissions';
			package: 'Ring-Core-Containers';
			package: 'Ring-Core-Kernel';
			package: 'Shout';
			package: 'StartupPreferences';
			package: 'TrueType';
			package: 'UI-Basic'.
	
		spec group: 'default' with: #('PharoKernel' 'System' 'Network' 'FileSystem' 'Zinc' 'Announcements' 'Settings' 'PharoTools' 'AST' 'Keymapping' 'CodeCompletion' 'Polymorph' 'RPackage' 'Refactoring' 'Regex' 'SUnit' 'Graphics' 'HelpSystem' 'NautilusBrowser' 'Unsorted' 'PharoTests').
		spec group: 'AST' with: #('AST-Core' 'AST-Semantic').
		spec group: 'Keymapping' with: #('Keymapping-Core' 'Keymapping-Pragmas' 'Keymapping-Settings' 'Keymapping-Shortcuts' 'Keymapping-Tools-Spec').
		spec group: 'CodeCompletion' with: #('NECompletion' 'NOCompletion').
		spec group: 'Polymorph' with: #('Polymorph-EventEnhancements' 'Polymorph-Geometry' 'Polymorph-TaskbarIcons' 'Polymorph-Tools-Diff' 'Polymorph-Widgets').
		spec group: 'RPackage' with: #('RPackage-Core' 'RPackage-SystemIntegration').
		spec group: 'Refactoring' with: #('Refactoring-Changes' 'Refactoring-Core' 'Refactoring-Critics' 'Refactoring-Environment' 'Refactoring-Pharo-Platform' 'Refactoring-Spelling').
		spec group: 'Regex' with: #('Regex-Core' 'Regex-Help').
		spec group: 'SUnit' with: #('SUnit-Core' 'SUnit-Help' 'SUnit-UI').
		spec group: 'Graphics' with: #('Graphics-Display Objects' 'Graphics-External' 'Graphics-Files' 'Graphics-Fonts' 'Graphics-Primitives' 'Graphics-Resources' 'Graphics-Support' 'Graphics-Text' 'Graphics-Transformations').
		spec group: 'HelpSystem' with: #('HelpSystem-Core').
		spec group: 'NautilusBrowser' with: #('Nautilus' 'Nautilus' 'NautilusCommon' 'NautilusRefactoring').
		spec group: 'PharoTests' with: #('Announcements-Tests-Core' 'BalloonTests' 'CodeImport-Tests' 'CollectionsTests' 'CompilerTests' 'CompressionTests' 'FileSystem-Tests-AnsiStreams' 'FileSystem-Tests-Core' 'FileSystem-Tests-Disk' 'FileSystem-Tests-Memory' 'FreeTypeTests' 'Gofer-Tests' 'Graphics-Tests' 'HelpSystem-Tests' 'KernelTests' 'Keymapping-Tests' 'MorphicTests' 'Multilingual-Tests' 'NetworkTests' 'RPackage-Tests' 'Regex-Tests-Core' 'Ring-Tests-Containers' 'Ring-Tests-Kernel' 'SUnit-Tests' 'ShoutTests' 'Spec-Tests' 'Tests' 'ToolsTest' 'Zinc-Tests').
		spec group: 'Unsorted' with: #('Balloon' 'Compatibility' 'Deprecated20' 'EmergencyEvaluator' 'EventModel' 'FamFam-Icons' 'FixUnderscores' 'FreeType' 'Gofer-Core' 'GroupManager' 'GroupManagerUI' 'Growl' 'HistoryCollection' 'MenuRegistration' 'Monticello' 'MonticelloConfigurations' 'MonticelloGUI' 'Monticellomocks' 'Morphic' 'NonInteractiveTranscript' 'PackageInfo' 'PluggableTextMorphWithLimits' 'RecentSubmissions' 'Ring-Core-Containers' 'Ring-Core-Kernel' 'Shout' 'StartupPreferences' 'TrueType' 'UI-Basic') ].! !

!ConfigurationOfPharo20 methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/16/2012 12:46'!
baseline20Core: spec
	"Auto-generated method"
	<version: '2.0-baseline-core' imports: #('2.0-baseline-kernel')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/Pharo20' ].
	
	spec for: #pharo do: [
		spec
			package: 'System-Announcements';
			package: 'System-Applications';
			package: 'System-Change Notification';
			package: 'System-Changes';
			package: 'System-Clipboard';
			package: 'System-CommandLine';
			package: 'System-FilePackage';
			package: 'System-FileRegistry';
			package: 'System-Finalization';
			package: 'System-Hashing';
			package: 'System-History';
			package: 'System-Installers';
			package: 'System-Localization';
			package: 'System-Object Events';
			package: 'System-Object Storage';
			package: 'System-Platforms';
			package: 'System-Serial Port';
			package: 'System-Settings';
			package: 'System-Sound';
			package: 'System-Support';
			package: 'System-Text';
			package: 'System-Tools';
			package: 'Network-Kernel';
			package: 'Network-MIME';
			package: 'Network-Mail';
			package: 'Network-Protocols';
			package: 'Network-RFC822';
			package: 'Network-URI';
			package: 'Network-UUID';
			package: 'Network-Url';
			package: 'FileSystem-AnsiStreams';
			package: 'FileSystem-Core';
			package: 'FileSystem-Disk';
			package: 'FileSystem-Memory';
			package: 'FileSystem-Zip';
			package: 'Zinc-HTTP';
			package: 'Zinc-Patch-HTTPSocket';
			package: 'Announcements-Core';
			package: 'Announcements-Help';
			package: 'Announcements-View';
			package: 'Settings-Compiler';
			package: 'Settings-Display';
			package: 'Settings-FreeType';
			package: 'Settings-Graphics';
			package: 'Settings-Kernel';
			package: 'Settings-Monticello';
			package: 'Settings-Network';
			package: 'Settings-Polymorph';
			package: 'Settings-System';
			package: 'Settings-Tools';
			package: 'Tools'.
	
		spec group: 'System' with: #('System-Announcements' 'System-Applications' 'System-Change Notification' 'System-Changes' 'System-Clipboard' 'System-CommandLine' 'System-FilePackage' 'System-FileRegistry' 'System-Finalization' 'System-Hashing' 'System-History' 'System-Installers' 'System-Localization' 'System-Object Events' 'System-Object Storage' 'System-Platforms' 'System-Serial Port' 'System-Settings' 'System-Sound' 'System-Support' 'System-Text' 'System-Tools').
		spec group: 'Network' with: #('Network-Kernel' 'Network-MIME' 'Network-Mail' 'Network-Protocols' 'Network-RFC822' 'Network-URI' 'Network-UUID' 'Network-Url').
		spec group: 'FileSystem' with: #('FileSystem-AnsiStreams' 'FileSystem-Core' 'FileSystem-Disk' 'FileSystem-Memory' 'FileSystem-Zip').
		spec group: 'Zinc' with: #('Zinc-HTTP' 'Zinc-Patch-HTTPSocket').
		spec group: 'Announcements' with: #('Announcements-Core' 'Announcements-Help' 'Announcements-View').
		spec group: 'Settings' with: #('Settings-Compiler' 'Settings-Display' 'Settings-FreeType' 'Settings-Graphics' 'Settings-Kernel' 'Settings-Monticello' 'Settings-Network' 'Settings-Polymorph' 'Settings-System' 'Settings-Tools').
		spec group: 'PharoTools' with: #('Tools') ].! !

!ConfigurationOfPharo20 methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/16/2012 12:46'!
baseline20Kernel: spec
	"Auto-generated method"
	<version: '2.0-baseline-kernel'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/Pharo20' ].
	
	spec for: #pharo do: [
		spec
			package: 'Announcements-Core';
			package: 'Announcements-Core';
			package: 'Collections-Abstract';
			package: 'Collections-Arithmetic';
			package: 'Collections-Arrayed';
			package: 'Collections-Atomic';
			package: 'Collections-Native';
			package: 'Collections-Sequenceable';
			package: 'Collections-Stack';
			package: 'Collections-Streams';
			package: 'Collections-Strings';
			package: 'Collections-Support';
			package: 'Collections-Text';
			package: 'Collections-Traits';
			package: 'Collections-Unordered';
			package: 'Collections-Weak';
			package: 'Compiler';
			package: 'Compression';
			package: 'Files';
			package: 'Graphics-Display Objects';
			package: 'Graphics-Primitives';
			package: 'Graphics-Transformations';
			package: 'Kernel';
			package: 'Multilingual-Encodings';
			package: 'Multilingual-ImmPlugin';
			package: 'Multilingual-Languages';
			package: 'Multilingual-TextConversion';
			package: 'System-Change Notification';
			package: 'System-Changes';
			package: 'System-CommandLine';
			package: 'System-Clipboard';
			package: 'System-FileRegistry';
			package: 'System-Finalization';
			package: 'System-Localization';
			package: 'System-Object Events';
			package: 'System-Object Storage';
			package: 'System-Platforms';
			package: 'System-Support';
			package: 'Traits';
			package: 'UIManager';
			package: 'Transcript';
			package: 'FileSystem-AnsiStreams';
			package: 'FileSystem-Core';
			package: 'FileSystem-Disk';
			package: 'FileSystem-Memory';
			package: 'CodeImport'.
	
		spec group: 'PharoKernel' with: #('Announcements-Core' 'Announcements-Core' 'Collections-Abstract' 'Collections-Arithmetic' 'Collections-Arrayed' 'Collections-Atomic' 'Collections-Native' 'Collections-Sequenceable' 'Collections-Stack' 'Collections-Streams' 'Collections-Strings' 'Collections-Support' 'Collections-Text' 'Collections-Traits' 'Collections-Unordered' 'Collections-Weak' 'Compiler' 'Compression' 'Files' 'Graphics-Display Objects' 'Graphics-Primitives' 'Graphics-Transformations' 'Kernel' 'Multilingual-Encodings' 'Multilingual-ImmPlugin' 'Multilingual-Languages' 'Multilingual-TextConversion' 'System-Change Notification' 'System-Changes' 'System-CommandLine' 'System-Clipboard' 'System-FileRegistry' 'System-Finalization' 'System-Localization' 'System-Object Events' 'System-Object Storage' 'System-Platforms' 'System-Support' 'Traits' 'UIManager' 'Transcript' 'FileSystem-AnsiStreams' 'FileSystem-Core' 'FileSystem-Disk' 'FileSystem-Memory' 'CodeImport') ].! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
calculateBaselineForVersion: aString
	"For now, just check lastest baseline available"
	
	^(((self project versions 
		select: [ :each | '*-baseline' match: each name ])
		sort: [ :a :b | b < a ])
		first)
		name! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 13:14'!
collectionToString: aCollection 
	^String streamContents: [ :stream |
		stream << '#('.
		aCollection 
			do: [ :each | stream << $' << each asString << $' ]
			separatedBy: [ stream << String space ].
		stream << ')' ]! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/15/2012 10:45'!
createGroup: nameString with: aCollection
	^String streamContents: [ :stream | 
		stream
			<< String tab << String tab
			<< 'spec group: ' << $' << nameString << $'
			<< ' with: ' << (self collectionToString: aCollection) ] ! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
createImports: versionString with: imports
	^imports 
		ifNotEmpty: [
			' imports: #({1})' format: {
				String streamContents: [ :stream | 
					imports 
						do: [ :each | 
							stream << $' << ('{1}-baseline-{2}' format: {versionString. each asLowercase }) << $' ]
						separatedBy: [ stream << String space ] ]} ]
		ifEmpty: [ '' ]! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
createIncluded: versionString with: nameString 
	^String streamContents: [ :stream | 
		stream 
			<< String tab << String tab 
			<< ('self version{1}{2}: spec' format: {
				self versionForMethodName: versionString. 
				nameString})]! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/16/2012 10:40'!
createPackage: nameString
	^self 
		createPackage: nameString 
		withRequirements: nil "(self requirementsFor: nameString)"! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
createPackage: nameString with: versionString
	^String streamContents: [ :stream | 
		stream 
			<< String tab << String tab 
			<< 'package: ' << $' << nameString << $' << ' with: ' << $' << versionString << $' ]! !

!ConfigurationOfPharo20 methodsFor: 'private creating' stamp: 'EstebanLorenzano 5/15/2012 13:16'!
createPackage: nameString withRequirements: aCollection
	^String streamContents: [ :stream | 
		stream 
			<< String tab << String tab << String tab
			<< 'package: ' << $' << nameString << $'.
		aCollection isEmptyOrNil 
			ifFalse: [ 
				stream 
					<< ' with: [ spec requires: ' 
					<< (self collectionToString: aCollection) 
					<< ' ]' ]  ]! !

!ConfigurationOfPharo20 methodsFor: 'private generating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
generateBaseline: nameString version: versionString imports: imports groups: groups
	self 
		generateBaseline: nameString 
		version: versionString 
		imports: imports 
		groups: groups
		defineGroups: Dictionary new! !

!ConfigurationOfPharo20 methodsFor: 'private generating' stamp: 'EstebanLorenzano 5/15/2012 10:37'!
generateBaseline: nameString version: versionString imports: imports groups: groups defineGroups: baseGroups
	| template groupsAndPackages packages |

	groupsAndPackages := self groupsAndPackages select: [ :each | groups includes: each key ].
	packages := (groupsAndPackages collect: #value)
		inject: #()
		into: [ :all :each | all, each ].	
	template := self templateBaseline 
		format: {
			self versionForMethodName: versionString.
			nameString asLowercase capitalized.
			versionString.
			nameString ifNotEmpty: ['-{1}' format: { nameString asLowercase } ].
			self createImports: versionString with: imports.
			String streamContents: [ :stream | 
				packages
					do: [ :each |  stream << (self createPackage: each) ]
					separatedBy: [ stream << $; << String cr ] ].
			String streamContents: [ :stream | 
				baseGroups associations, groupsAndPackages
					do: [ :each | stream << (self createGroup: each key with: each value) ] 
					separatedBy: [ stream << $. << String cr ] ] }.

	self class 
		compile: template 
		classified: 'baselines'.! !

!ConfigurationOfPharo20 methodsFor: 'private generating' stamp: 'EstebanLorenzano 5/15/2012 10:37'!
generateDoIt: nameString version: versionString with: aString 
	| template |
	
	template := 'version{2}{1}
{3}' format: {
		nameString.
		self versionForMethodName: versionString. 
		String streamContents: [ :stream |
			aString lines
			 	do: [ :each | stream << String tab << each trimBoth ]
				separatedBy: [ stream cr ] ]}.
	
	self class 
		compile: template 
		classified: 'versions'! !

!ConfigurationOfPharo20 methodsFor: 'private generating' stamp: 'EstebanLorenzano 5/15/2012 10:37'!
generateVersion: nameString fromBaseline: baselineString version: versionString groups: groups
	| template groupsAndPackages packages |
	
	groupsAndPackages := self groupsAndPackages select: [ :each | groups includes: each key ].
	packages := (groupsAndPackages collect: #value)
		inject: #()
		into: [ :all :each | all, each ].	

	template := self templateVersionSplit format: {
		self versionForMethodName: versionString.
		nameString asLowercase capitalized.
		String streamContents: [ :stream |
			((self project version: baselineString) packages
				select: [ :each | packages includes: each name ])
				do: [ :each | stream << (self createPackage: each name with: each currentVersionInfo name) ]
				separatedBy: [ stream << $; << String cr ] ] }.
			
	self class 
		compile: template 
		classified: 'versions'.! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
groupsAndPackages 
	| groups packages |
	
	packages := self allPackages.
	groups := OrderedCollection new
		"Kernel"
		add: 'PharoKernel'->(Smalltalk kernelPackageNames select: [ :each | packages includes: each ]);
		"Core"
		add: 'System'->(self packages: packages selectMatch: #('System-*'));
		add: 'Network'->(self packages: packages selectMatch: #('Network-*'));
		add: 'FileSystem'->(self packages: packages selectMatch: #('FileSystem-*'));
		add: 'Zinc'->(self packages: packages selectMatch: #('Zinc-*'));
		add: 'Announcements'->(self packages: packages selectMatch: #('Announcements-*'));
		add: 'Settings'->(self packages: packages selectMatch: #('Settings-*'));
		add: 'PharoTools'->(self packages: packages selectMatch: #('Tools*'));
		"Environment"
		add: 'AST'->(self packages: packages selectMatch: #('AST-*'));
		add: 'Keymapping'->(self packages: packages selectMatch: #('Keymapping-*'));
		add: 'CodeCompletion'->(self packages: packages selectMatch: #('NEC*' 'NOC*'));
		add: 'Polymorph'->(self packages: packages selectMatch: #('Polymorph-*'));
		add: 'RPackage'->(self packages: packages selectMatch: #('RPackage-*'));
		add: 'Refactoring'->(self packages: packages selectMatch: #('Refactoring-*'));
		add: 'Regex'->(self packages: packages selectMatch: #('Regex-*'));
		"Actually, all current Ring packages are part of Kernel"
		"add: 'Ring'->(self packages: nonKernelPackages selectMatch: #('Ring-*'));"
		add: 'SUnit'->(self packages: packages selectMatch: #('SUnit-*'));
		add: 'Spec'->(self packages: packages selectMatch: #('Spec-*'));
		add: 'Graphics'->(self packages: packages selectMatch: #('Graphics-*'));
		add: 'HelpSystem'->(self packages: packages selectMatch: #('HelpSystem-*'));
		add: 'NautilusBrowser'->(self packages: packages selectMatch: #('Nautilus*'));
		"Tests"
		add: 'PharoTests'->(self packages: packages selectMatch: self testPatterns rejectMatch: #());
		yourself.

	self flag: #todo. "Add this packages to correct groups"		
	groups add:  'Unsorted'->(packages copyWithoutAll: (groups inject: #() into: [ :all :each | all, (each value)])).
	
	^groups
! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
groupsCore 
	^ #('System' 'Network' 'FileSystem' 'Zinc' 'Announcements' 'Settings' 'PharoTools')! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
groupsEnvironment 
	^ #('AST' 'Keymapping' 'CodeCompletion' 'Polymorph' 'RPackage' 'Refactoring' 'Regex' 'SUnit' 'Graphics' 'HelpSystem' 'NautilusBrowser' 'Unsorted') ! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
groupsKernel 
	^ #('PharoKernel')! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
groupsTest 
	^ #('PharoTests') ! !

!ConfigurationOfPharo20 methodsFor: 'generating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
newBaseline: versionString 
	self 
		generateBaseline: 'Kernel'
		version: versionString 
		imports:  #()
		groups:  self groupsKernel.
		
	self 
		generateBaseline: 'Core' 
		version: versionString 
		imports:  #('Kernel')
		groups: self groupsCore.
		
	self 
		generateBaseline: ''
		version: versionString 
		imports:  #('Kernel' 'Core')
		groups: self groupsEnvironment, self groupsTest
		defineGroups: (Dictionary 
			with: 'default'->(self groupsKernel, self groupsCore, self groupsEnvironment, self groupsTest))! !

!ConfigurationOfPharo20 methodsFor: 'generating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
newVersion: aString 
	^self 
		newVersion: aString
		description: nil
		preLoad: nil
		postLoad: nil
		fromBaseline: (self calculateBaselineForVersion: aString)! !

!ConfigurationOfPharo20 methodsFor: 'generating' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
newVersion: versionString description: descriptionString preLoad: preLoadString postLoad: postLoadString
	^self 
		newVersion: versionString 
		description: descriptionString
		preLoad: preLoadString 
		postLoad: postLoadString 
		fromBaseline: (self calculateBaselineForVersion: versionString) ! !

!ConfigurationOfPharo20 methodsFor: 'generating' stamp: 'EstebanLorenzano 5/15/2012 13:20'!
newVersion: versionString description: descriptionString preLoad: preLoadString postLoad: postLoadString fromBaseline: baselineString
	| template |
	
	self 
		generateVersion: 'Kernel'
		fromBaseline: baselineString
		version: versionString 
		groups: self groupsKernel.
	self 
		generateVersion: 'Core'
		fromBaseline: baselineString
		version: versionString 
		groups: self groupsCore.
	self 
		generateVersion: 'Environment'
		fromBaseline: baselineString
		version: versionString 
		groups: self groupsEnvironment.
		
	template  := self templateVersion 
		format: {
			self versionForMethodName: versionString.
			versionString.
			'''', baselineString, ''''.
			TimeStamp now.
			descriptionString ifNil: [ '' ].
			String streamContents: [ :stream | 
				#('Kernel' 'Core' 'Environment') 
				do: [ :each | stream << (self createIncluded: versionString with: each) ]
				separatedBy: [ stream << $. << String cr ] ].
			preLoadString isEmptyOrNil not
				ifTrue: [ 
					self generateDoIt: 'PreLoad' version: versionString with: preLoadString.
					String streamContents: [ :stream | stream << String tab << ('spec preLoadDoIt: #version{1}PreLoad' format: {self versionForMethodName: versionString}) << $. ] ] 
				ifFalse: [ '' ].
			postLoadString isEmptyOrNil not
				ifTrue: [ 
					self generateDoIt: 'PostLoad' version: versionString with: postLoadString.
					String streamContents: [ :stream | stream << String tab << ('spec postLoadDoIt: #version{1}PostLoad' format: {self versionForMethodName: versionString}) << $. ] ] 
				ifFalse: [ '' ]. }.
	
	self	 class 
		compile: template 
		classified: 'versions'
! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
packages: packages selectMatch: patterns
	^self 
		packages:  packages
		selectMatch:  patterns
		rejectMatch: self testPatterns! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
packages: packages selectMatch: patterns rejectMatch: rejectPatterns
	^(packages 
		select: [ :each | patterns anySatisfy: [ :eachPattern | eachPattern match: each ] ])
		reject: [ :each | rejectPatterns anySatisfy: [ :eachPattern | eachPattern match: each ] ]
		! !

!ConfigurationOfPharo20 methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/3/2012 15:54'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 13:10'!
requirementsFor: aString
	^(HazelKernelAnalyzer forPackageNamed: aString) analyze dependentPackages 
		collect: #packageName as: Set. 
	! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 13:18'!
templateBaseline 
	^ 'baseline{1}{2}: spec
	"Auto-generated method"
	<version: ''{3}-baseline{4}''{5}>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: ''http://ss3.gemstone.com/ss/Pharo20'' ].
	
	spec for: #pharo do: [
		spec
{6}.
	
{7} ].'! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 13:19'!
templateVersion 
	^ 'version{1}: spec
	"Auto-generated method"
	<version: ''{2}'' imports: #({3})>
	
	spec for: #common do: [
		spec blessing: #release.
		spec timestamp: ''{4}''.
		spec description: ''{5}'' ].
	
	spec for: #pharo do: [
{6}.

	{7}
	{8} ].'! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 13:18'!
templateVersionSplit 
	^'version{1}{2}: spec
	"Auto-generated method"
	
	spec 
{3}'! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
testPatterns 
	^ #('*Test*')! !

!ConfigurationOfPharo20 methodsFor: 'versions' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
version20075: spec
	"Auto-generated method"
	<version: '20075' imports: #('2.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec timestamp: '16 May 2012 2:17:21 pm'.
		spec description: 'Issue 5906:	Better comment for Class>>#copy
	http://code.google.com/p/pharo/issues/detail?id=5906
	
Issue 5898:	Fixing version browsing and ring historical behavior
	http://code.google.com/p/pharo/issues/detail?id=5898
	
Issue 5895:	Change History separator in nautilus history
	http://code.google.com/p/pharo/issues/detail?id=5895

Issue 5894:	Mini improvement in MethodWidget API
	http://code.google.com/p/pharo/issues/detail?id=5894
	' ].
	
	spec for: #pharo do: [
		self version20075Kernel: spec.
		self version20075Core: spec.
		self version20075Environment: spec.

		spec preLoadDoIt: #version20075PreLoad.
	 ].! !

!ConfigurationOfPharo20 methodsFor: 'versions' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
version20075Core: spec
	"Auto-generated method"
	
	spec 
		package: 'Announcements-Core' with: 'Announcements-Core-StephaneDucasse.31';
		package: 'System-Change Notification' with: 'System-Change Notification-MarcusDenker.23';
		package: 'System-Changes' with: 'System-Changes-MarcusDenker.138';
		package: 'System-CommandLine' with: 'System-CommandLine-MarcusDenker.15';
		package: 'System-Clipboard' with: 'System-Clipboard-StephaneDucasse.23';
		package: 'System-FileRegistry' with: 'System-FileRegistry-MarcusDenker.15';
		package: 'System-Finalization' with: 'System-Finalization-StephaneDucasse.17';
		package: 'System-Localization' with: 'System-Localization-StephaneDucasse.61';
		package: 'System-Object Events' with: 'System-Object Events-StephaneDucasse.11';
		package: 'System-Object Storage' with: 'System-Object Storage-MarcusDenker.154';
		package: 'System-Platforms' with: 'System-Platforms-StephaneDucasse.19';
		package: 'System-Support' with: 'System-Support-MarcusDenker.626';
		package: 'FileSystem-AnsiStreams' with: 'FileSystem-AnsiStreams-MarcusDenker.4';
		package: 'FileSystem-Core' with: 'FileSystem-Core-MarcusDenker.10';
		package: 'FileSystem-Disk' with: 'FileSystem-Disk-MarcusDenker.8';
		package: 'FileSystem-Memory' with: 'FileSystem-Memory-EstebanLorenzano.6';
		package: 'System-Announcements' with: 'System-Announcements-MarcusDenker.3';
		package: 'System-Applications' with: 'System-Applications-EstebanLorenzano.42';
		package: 'System-FilePackage' with: 'System-FilePackage-MarcusDenker.66';
		package: 'System-Hashing' with: 'System-Hashing-StephaneDucasse.18';
		package: 'System-History' with: 'System-History-MarcusDenker.5';
		package: 'System-Installers' with: 'System-Installers-MarcusDenker.15';
		package: 'System-Serial Port' with: 'System-Serial Port-MarcusDenker.20';
		package: 'System-Settings' with: 'System-Settings-MarcusDenker.262';
		package: 'System-Sound' with: 'System-Sound-StephaneDucasse.10';
		package: 'System-Text' with: 'System-Text-MarcusDenker.207';
		package: 'System-Tools' with: 'System-Tools-MarcusDenker.83';
		package: 'Network-Kernel' with: 'Network-Kernel-MarcusDenker.67';
		package: 'Network-MIME' with: 'Network-MIME-StephaneDucasse.43';
		package: 'Network-Mail' with: 'Network-Mail-StephaneDucasse.10';
		package: 'Network-Protocols' with: 'Network-Protocols-MarcusDenker.75';
		package: 'Network-RFC822' with: 'Network-RFC822-StephaneDucasse.4';
		package: 'Network-URI' with: 'Network-URI-StephaneDucasse.34';
		package: 'Network-UUID' with: 'Network-UUID-MarcusDenker.22';
		package: 'Network-Url' with: 'Network-Url-MarcusDenker.68';
		package: 'FileSystem-Zip' with: 'FileSystem-Zip-EstebanLorenzano.6';
		package: 'Zinc-HTTP' with: 'Zinc-HTTP-EstebanLorenzano.253';
		package: 'Zinc-Patch-HTTPSocket' with: 'Zinc-Patch-HTTPSocket-StephaneDucasse.2';
		package: 'Announcements-Help' with: 'Announcements-Help-MarcusDenker.5';
		package: 'Announcements-View' with: 'Announcements-View-StephaneDucasse.9';
		package: 'Settings-Compiler' with: 'Settings-Compiler-StephaneDucasse.3';
		package: 'Settings-Display' with: 'Settings-Display-MarcusDenker.7';
		package: 'Settings-FreeType' with: 'Settings-FreeType-MarcusDenker.4';
		package: 'Settings-Graphics' with: 'Settings-Graphics-MarcusDenker.14';
		package: 'Settings-Kernel' with: 'Settings-Kernel-StephaneDucasse.2';
		package: 'Settings-Monticello' with: 'Settings-Monticello-StephaneDucasse.4';
		package: 'Settings-Network' with: 'Settings-Network-MarcusDenker.8';
		package: 'Settings-Polymorph' with: 'Settings-Polymorph-MarcusDenker.43';
		package: 'Settings-System' with: 'Settings-System-MarcusDenker.19';
		package: 'Settings-Tools' with: 'Settings-Tools-StephaneDucasse.39';
		package: 'Tools' with: 'Tools-EstebanLorenzano.842'! !

!ConfigurationOfPharo20 methodsFor: 'versions' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
version20075Environment: spec
	"Auto-generated method"
	
	spec 
		package: 'Graphics-Display Objects' with: 'Graphics-Display Objects-MarcusDenker.72';
		package: 'Graphics-Primitives' with: 'Graphics-Primitives-MarcusDenker.76';
		package: 'Graphics-Transformations' with: 'Graphics-Transformations-StephaneDucasse.4';
		package: 'AST-Core' with: 'AST-Core-MarcusDenker.94';
		package: 'AST-Semantic' with: 'AST-Semantic-EstebanLorenzano.16';
		package: 'Keymapping-Core' with: 'Keymapping-Core-MarcusDenker.124';
		package: 'Keymapping-Pragmas' with: 'Keymapping-Pragmas-MarcusDenker.16';
		package: 'Keymapping-Settings' with: 'Keymapping-Settings-EstebanLorenzano.61';
		package: 'Keymapping-Shortcuts' with: 'Keymapping-Shortcuts-MarcusDenker.57';
		package: 'Keymapping-Tools-Spec' with: 'Keymapping-Tools-Spec-MarcusDenker.4';
		package: 'NECompletion' with: 'NECompletion-MarcusDenker.23';
		package: 'NOCompletion' with: 'NOCompletion-EstebanLorenzano.9';
		package: 'Polymorph-EventEnhancements' with: 'Polymorph-EventEnhancements-MarcusDenker.13';
		package: 'Polymorph-Geometry' with: 'Polymorph-Geometry-LaurentLaffont.8';
		package: 'Polymorph-TaskbarIcons' with: 'Polymorph-TaskbarIcons-MarcusDenker.12';
		package: 'Polymorph-Tools-Diff' with: 'Polymorph-Tools-Diff-MarcusDenker.75';
		package: 'Polymorph-Widgets' with: 'Polymorph-Widgets-MarcusDenker.634';
		package: 'RPackage-Core' with: 'RPackage-Core-MarcusDenker.113';
		package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-MarcusDenker.91';
		package: 'Refactoring-Changes' with: 'Refactoring-Changes-EstebanLorenzano.21';
		package: 'Refactoring-Core' with: 'Refactoring-Core-EstebanLorenzano.157';
		package: 'Refactoring-Critics' with: 'Refactoring-Critics-EstebanLorenzano.14';
		package: 'Refactoring-Environment' with: 'Refactoring-Environment-EstebanLorenzano.10';
		package: 'Refactoring-Pharo-Platform' with: 'Refactoring-Pharo-Platform-EstebanLorenzano.2';
		package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-EstebanLorenzano.29';
		package: 'Regex-Core' with: 'Regex-Core-StephaneDucasse.8';
		package: 'Regex-Help' with: 'Regex-Help-StephaneDucasse.2';
		package: 'SUnit-Core' with: 'SUnit-Core-MarcusDenker.21';
		package: 'SUnit-Help' with: 'SUnit-Help-MarcusDenker.1';
		package: 'SUnit-UI' with: 'SUnit-UI-MarcusDenker.23';
		package: 'Graphics-External' with: 'Graphics-External-MarcusDenker.11';
		package: 'Graphics-Files' with: 'Graphics-Files-MarcusDenker.25';
		package: 'Graphics-Fonts' with: 'Graphics-Fonts-MarcusDenker.53';
		package: 'Graphics-Resources' with: 'Graphics-Resources-MarcusDenker.13';
		package: 'Graphics-Support' with: 'Graphics-Support-MarcusDenker.13';
		package: 'Graphics-Text' with: 'Graphics-Text-MarcusDenker.29';
		package: 'HelpSystem-Core' with: 'HelpSystem-Core-StephaneDucasse.87';
		package: 'Nautilus' with: 'Nautilus-EstebanLorenzano.279';
		package: 'NautilusCommon' with: 'NautilusCommon-MarcusDenker.68';
		package: 'NautilusRefactoring' with: 'NautilusRefactoring-MarcusDenker.30';
		package: 'Balloon' with: 'Balloon-MarcusDenker.83';
		package: 'Compatibility' with: 'Compatibility-MarcusDenker.8';
		package: 'Deprecated20' with: 'Deprecated20-MarcusDenker.4';
		package: 'EmergencyEvaluator' with: 'EmergencyEvaluator-MarcusDenker.25';
		package: 'EventModel' with: 'EventModel-StephaneDucasse.1';
		package: 'FamFam-Icons' with: 'FamFam-Icons-MarcusDenker.8';
		package: 'FixUnderscores' with: 'FixUnderscores-MarcusDenker.23';
		package: 'FreeType' with: 'FreeType-MarcusDenker.574';
		package: 'Gofer-Core' with: 'Gofer-Core-StephaneDucasse.148';
		package: 'GroupManager' with: 'GroupManager-EstebanLorenzano.27';
		package: 'GroupManagerUI' with: 'GroupManagerUI-EstebanLorenzano.14';
		package: 'Growl' with: 'Growl-EstebanLorenzano.8';
		package: 'HistoryCollection' with: 'HistoryCollection-EstebanLorenzano.10';
		package: 'MenuRegistration' with: 'MenuRegistration-MarcusDenker.38';
		package: 'Monticello' with: 'Monticello-MarcusDenker.582';
		package: 'MonticelloConfigurations' with: 'MonticelloConfigurations-StephaneDucasse.61';
		package: 'MonticelloGUI' with: 'MonticelloGUI-MarcusDenker.147';
		package: 'Monticellomocks' with: 'Monticellomocks-MarcusDenker.1';
		package: 'Morphic' with: 'Morphic-MarcusDenker.1150';
		package: 'NonInteractiveTranscript' with: 'NonInteractiveTranscript-StephaneDucasse.3';
		package: 'PackageInfo' with: 'PackageInfo-MarcusDenker.77';
		package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-EstebanLorenzano.9';
		package: 'RecentSubmissions' with: 'RecentSubmissions-MarcusDenker.157';
		package: 'Ring-Core-Containers' with: 'Ring-Core-Containers-MarcusDenker.11';
		package: 'Ring-Core-Kernel' with: 'Ring-Core-Kernel-EstebanLorenzano.54';
		package: 'Shout' with: 'Shout-MarcusDenker.138';
		package: 'StartupPreferences' with: 'StartupPreferences-EstebanLorenzano.42';
		package: 'TrueType' with: 'TrueType-StephaneDucasse.33';
		package: 'UI-Basic' with: 'UI-Basic-MarcusDenker.8'! !

!ConfigurationOfPharo20 methodsFor: 'versions' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
version20075Kernel: spec
	"Auto-generated method"
	
	spec 
		package: 'Announcements-Core' with: 'Announcements-Core-StephaneDucasse.31';
		package: 'Collections-Abstract' with: 'Collections-Abstract-MarcusDenker.160';
		package: 'Collections-Arithmetic' with: 'Collections-Arithmetic-StephaneDucasse.6';
		package: 'Collections-Arrayed' with: 'Collections-Arrayed-MarcusDenker.66';
		package: 'Collections-Atomic' with: 'Collections-Atomic-MarcusDenker.5';
		package: 'Collections-Native' with: 'Collections-Native-MarcusDenker.5';
		package: 'Collections-Sequenceable' with: 'Collections-Sequenceable-MarcusDenker.117';
		package: 'Collections-Stack' with: 'Collections-Stack-MarcusDenker.7';
		package: 'Collections-Streams' with: 'Collections-Streams-StephaneDucasse.105';
		package: 'Collections-Strings' with: 'Collections-Strings-MarcusDenker.210';
		package: 'Collections-Support' with: 'Collections-Support-MarcusDenker.49';
		package: 'Collections-Text' with: 'Collections-Text-MarcusDenker.79';
		package: 'Collections-Traits' with: 'Collections-Traits-StephaneDucasse.6';
		package: 'Collections-Unordered' with: 'Collections-Unordered-MarcusDenker.131';
		package: 'Collections-Weak' with: 'Collections-Weak-MarcusDenker.60';
		package: 'Compiler' with: 'Compiler-MarcusDenker.330';
		package: 'Compression' with: 'Compression-MarcusDenker.95';
		package: 'Files' with: 'Files-MarcusDenker.ducasse.240';
		package: 'Graphics-Display Objects' with: 'Graphics-Display Objects-MarcusDenker.72';
		package: 'Graphics-Primitives' with: 'Graphics-Primitives-MarcusDenker.76';
		package: 'Graphics-Transformations' with: 'Graphics-Transformations-StephaneDucasse.4';
		package: 'Kernel' with: 'Kernel-EstebanLorenzano.1086';
		package: 'Multilingual-Encodings' with: 'Multilingual-Encodings-MarcusDenker.23';
		package: 'Multilingual-ImmPlugin' with: 'Multilingual-ImmPlugin-LaurentLaffont.10';
		package: 'Multilingual-Languages' with: 'Multilingual-Languages-MarcusDenker.17';
		package: 'Multilingual-TextConversion' with: 'Multilingual-TextConversion-MarcusDenker.30';
		package: 'System-Change Notification' with: 'System-Change Notification-MarcusDenker.23';
		package: 'System-Changes' with: 'System-Changes-MarcusDenker.138';
		package: 'System-CommandLine' with: 'System-CommandLine-MarcusDenker.15';
		package: 'System-Clipboard' with: 'System-Clipboard-StephaneDucasse.23';
		package: 'System-FileRegistry' with: 'System-FileRegistry-MarcusDenker.15';
		package: 'System-Finalization' with: 'System-Finalization-StephaneDucasse.17';
		package: 'System-Localization' with: 'System-Localization-StephaneDucasse.61';
		package: 'System-Object Events' with: 'System-Object Events-StephaneDucasse.11';
		package: 'System-Object Storage' with: 'System-Object Storage-MarcusDenker.154';
		package: 'System-Platforms' with: 'System-Platforms-StephaneDucasse.19';
		package: 'System-Support' with: 'System-Support-MarcusDenker.626';
		package: 'Traits' with: 'Traits-MarcusDenker.412';
		package: 'UIManager' with: 'UIManager-MarcusDenker.61';
		package: 'Transcript' with: 'Transcript-MarcusDenker.4';
		package: 'FileSystem-AnsiStreams' with: 'FileSystem-AnsiStreams-MarcusDenker.4';
		package: 'FileSystem-Core' with: 'FileSystem-Core-MarcusDenker.10';
		package: 'FileSystem-Disk' with: 'FileSystem-Disk-MarcusDenker.8';
		package: 'FileSystem-Memory' with: 'FileSystem-Memory-EstebanLorenzano.6';
		package: 'CodeImport' with: 'CodeImport-EstebanLorenzano.7'! !

!ConfigurationOfPharo20 methodsFor: 'versions' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
version20075PreLoad
	MetacelloScriptLoader showIntegrationMenu.
	World resetWorldMenu.! !

!ConfigurationOfPharo20 methodsFor: 'private accessing' stamp: 'EstebanLorenzano 5/15/2012 10:29'!
versionForMethodName: aString
	^aString reject: [ :each | #($. $-) includes: each ]! !

Object subclass: #HazelKernelAnalyzer
	instanceVariableNames: 'list dependencies originalList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ScriptLoader20'!

!HazelKernelAnalyzer commentStamp: '<historical>' prior: 0!
Usage:

(HazelKernelAnalyzer forPackageNamed: 'Kernel') analyze dependentPackages !

!HazelKernelAnalyzer class methodsFor: 'instance creation' stamp: 'GuillermoPolito 5/14/2012 11:36'!
forPackageNamed: aPackageName
	^self new 
		list: (PackageInfo named: aPackageName) classes! !

!HazelKernelAnalyzer class methodsFor: 'instance creation' stamp: 'BenjaminVanRyseghem 11/23/2010 15:20'!
using: aCollection
	^self new 
		list: aCollection! !

!HazelKernelAnalyzer methodsFor: 'analyzing' stamp: 'BenjaminVanRyseghem 11/19/2010 11:27'!
analyze
	| dependents |
	
	self list do: [:class |
		self analyzeClassVar: class.
		self analyzeMethods: class]! !

!HazelKernelAnalyzer methodsFor: 'private' stamp: 'GuillermoPolito 5/14/2012 11:35'!
analyzeClassVar: aClass
	"analyze dependencies of class vars"
	| collection |
	collection := aClass classSide classPool.

	collection associations do: [:association || key value toAnalyze |
		key := association key.
		value := association value.
		(value isKindOf: Class)
			ifTrue: [toAnalyze := value]
			ifFalse:[toAnalyze := value class].
		(self list includes: toAnalyze)
			ifFalse:[dependencies add: toAnalyze]
		]! !

!HazelKernelAnalyzer methodsFor: 'private' stamp: 'GuillermoPolito 5/14/2012 11:44'!
analyzeMethod: aMethod
	| associations |
	
	"we don't care so far about extension methods"
	(aMethod category beginsWith: '*')
		ifTrue: [ ^self ].
		
	associations := aMethod literals select: [:each | each isVariableBinding ].
	associations do: [:association || value toAnalyze |
		value := association value.
		(value isKindOf: Class)
			ifTrue: [toAnalyze := value]
			ifFalse:[toAnalyze := value class].
		(self list includes: toAnalyze)
			ifFalse: [dependencies add: toAnalyze].
	]! !

!HazelKernelAnalyzer methodsFor: 'private' stamp: 'BenjaminVanRyseghem 11/23/2010 15:43'!
analyzeMethods: aClass
	aClass methodDict do:[:method |
		self analyzeMethod: method].
	
	aClass classSide methodDict do:[:method |
		self analyzeMethod: method]! !

!HazelKernelAnalyzer methodsFor: 'accessing' stamp: 'GuillermoPolito 5/14/2012 11:38'!
dependentClasses
	^dependencies! !

!HazelKernelAnalyzer methodsFor: 'accessing' stamp: 'GuillermoPolito 5/14/2012 11:40'!
dependentPackages
	^(dependencies collect: [ :c | PackageOrganizer default packageOfClass: c ]) asSet! !

!HazelKernelAnalyzer methodsFor: 'accessing' stamp: 'GuillermoPolito 5/14/2012 11:35'!
initialize
	list := OrderedCollection new.
	dependencies := Set new.! !

!HazelKernelAnalyzer methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 11/19/2010 11:17'!
list
	^list! !

!HazelKernelAnalyzer methodsFor: 'accessing' stamp: 'BenjaminVanRyseghem 11/19/2010 11:17'!
list: aCollection
	list := aCollection! !

Object subclass: #Loader
	instanceVariableNames: ''
	classVariableNames: 'PackagesBeforeLastLoad'
	poolDictionaries: ''
	category: 'ScriptLoader20'!

!Loader commentStamp: 'LaurentLaffont 3/4/2011 22:44' prior: 0!
I'm an abstract class which collect some infos about package and system (versions, dirty).
#currentChangedPackages instance method and #currentMajorVersionNumber class are missing and provided by my wellknown subclass ScriptLoader (see ScriptLoader comment).


Stef: This is a class that was extracted from scriptLoader because I want to slowly get in place a loader infrastructure based on Metacello.!

!Loader class methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:22'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!Loader class methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:22'!
waitingCacheFolder
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
		assureExistence;
		yourself

	! !

!Loader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/10/2010 17:41'!
allCurrentVersions
	"self new allCurrentVersions"
	
	| copies names |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	names := copies collect:
		[:ea |  ea ancestry ancestorString ].
	^ names reject: #isEmpty! !

!Loader methodsFor: 'compute' stamp: 'StephaneDucasse 9/10/2010 17:51'!
currentChangedPackages
	"self new currentChangedPackages" 
	
	^  self currentPackages select: [:each |
		each needsSaving or: [
			(PackagesBeforeLastLoad includes: each ancestry ancestorString) not ] ]! !

!Loader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2010 17:34'!
currentMajorVersionNumber

	^ self class currentMajorVersionNumber ! !

!Loader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2010 17:34'!
currentMajorVersionNumberWithoutDot
	"self new currentMajorVersionNumberWithoutDot"
	^ self class currentMajorVersionNumber asString copyWithout: $.! !

!Loader methodsFor: 'compute' stamp: 'StephaneDucasse 9/10/2010 17:42'!
currentVersionsToBeSaved
	"self new currentVersionsToBeSaved"
	
	^ self allCurrentVersions reject: [ :each |
		self packagesNotToSavePatternNames
			anySatisfy: [ :p | p match: each ] ]! !

!Loader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 9/10/2010 17:51'!
diffPackages
	"return a list of packages that are new. They can be dirty or not."
	"self new diffPackages"
	 
	| diff |
	diff := Set new.
	self currentVersionsToBeSaved do: [:each |
		(PackagesBeforeLastLoad includes: each) ifFalse: [diff add: each]].
	^ diff
	! !

!Loader methodsFor: 'initialize' stamp: 'StephaneDucasse 9/10/2010 17:49'!
initialize
	super initialize.
	PackagesBeforeLastLoad ifNil: [ PackagesBeforeLastLoad := Set new ]! !

!Loader methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:51'!
markPackagesBeforeNewCodeIsLoaded
	"Use this method to keep a log of all the packages that were loaded before loading new code. This will help the system to perform a diff and know after what to publish."
	
	"self new markPackagesBeforeNewCodeIsLoaded"
	
	PackagesBeforeLastLoad := self currentVersionsToBeSaved! !

!Loader methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:40'!
packagesNotToSavePatternNames
	^ #(	'ScriptLoader*'
			'Metacello*'
			'SLICE*'
			'Slice*'
			'slice*'
		).! !

!Loader methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:51'!
resetPackagesBeforeLastLoad
	PackagesBeforeLastLoad := Set new! !

Object subclass: #MetacelloLoader
	instanceVariableNames: ''
	classVariableNames: 'PackagesBeforeLastLoad'
	poolDictionaries: ''
	category: 'ScriptLoader20'!

!MetacelloLoader commentStamp: '<historical>' prior: 0!
I'm an abstract class which collect some infos about package and system (versions, dirty).
#currentChangedPackages instance method and #currentMajorVersionNumber class are missing and provided by my wellknown subclass ScriptLoader (see ScriptLoader comment).


Stef: This is a class that was extracted from scriptLoader because I want to slowly get in place a loader infrastructure based on Metacello.!

!MetacelloLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!MetacelloLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
waitingCacheFolder
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
		assureExistence;
		yourself

	! !

!MetacelloLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
allCurrentVersions
	"self new allCurrentVersions"
	
	| copies names |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	names := copies collect:
		[:ea |  ea ancestry ancestorString ].
	^ names reject: #isEmpty! !

!MetacelloLoader methodsFor: 'compute' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentChangedPackages
	"self new currentChangedPackages" 
	
	^  self currentPackages select: [:each |
		each needsSaving or: [
			(PackagesBeforeLastLoad includes: each ancestry ancestorString) not ] ]! !

!MetacelloLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentMajorVersionNumber

	^ self class currentMajorVersionNumber ! !

!MetacelloLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentMajorVersionNumberWithoutDot
	"self new currentMajorVersionNumberWithoutDot"
	^ self class currentMajorVersionNumber asString copyWithout: $.! !

!MetacelloLoader methodsFor: 'compute' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentVersionsToBeSaved
	"self new currentVersionsToBeSaved"
	
	^ self allCurrentVersions reject: [ :each |
		self packagesNotToSavePatternNames
			anySatisfy: [ :p | p match: each ] ]! !

!MetacelloLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 15:04'!
diffPackages
	"return a list of packages that are new. They can be dirty or not."
	"self new diffPackages"
	 
	| diff |
	diff := Set new.
	self currentVersionsToBeSaved do: [:each |
		(PackagesBeforeLastLoad includes: each) ifFalse: [diff add: each]].
	^ diff
	! !

!MetacelloLoader methodsFor: 'initialize' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
initialize
	super initialize.
	PackagesBeforeLastLoad ifNil: [ PackagesBeforeLastLoad := Set new ]! !

!MetacelloLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 16:11'!
markPackagesBeforeNewCodeIsLoaded
	"Use this method to keep a log of all the packages that were loaded before loading new code. This will help the system to perform a diff and know after what to publish."
	
	"self new markPackagesBeforeNewCodeIsLoaded"
	PackagesBeforeLastLoad := self currentVersionsToBeSaved! !

!MetacelloLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
packagesNotToSavePatternNames
	^ #(	'ScriptLoader*'
			'Metacello*'
			'SLICE*'
			'Slice*'
			'slice*'
		).! !

!MetacelloLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
resetPackagesBeforeLastLoad
	PackagesBeforeLastLoad := Set new! !

MetacelloLoader subclass: #MetacelloScriptLoader
	instanceVariableNames: 'repository inboxRepository repository39 repositorySqueakTrunk repository310 repositoryTaskForces repositoryMC repositoryTreated'
	classVariableNames: 'CheckImageInSyncWithUpdate CurrentMajorVersionNumber CurrentScriptVersionNumber CurrentUpdateVersionNumber CurrentlyIntegratingChanges LogStream Repository'
	poolDictionaries: 'TextConstants'
	category: 'ScriptLoader20'!

!MetacelloScriptLoader commentStamp: '<historical>' prior: 0!
self releaseMenu

Pharo Process Description


---
Here is the pharo process.

General points
-----------------------
An enhancement
	- should be added to the bug tracker
	- announced to the mailing-list
	- asked for feedback 
	- results should be added to the BT entry

Fixed tag means ready for integration
Closed tag means integrated

A bug detected
	- discuss via the mailing-list
	- should be added to the bug tracker
	- fix are considered as enh (see point above)

When a fix is fixed it should be either post as cs to the BT entry or in the PharoInbox
as a Slice (a slice is an emtpy package that has as requirement other package composing the fix).

We have three projects:
	Pharo
	PharoInbox
	PharoTreatedInbox

A fix goes either from inbox to treatedInbox or to Pharo.
If a fix does not work it is moved to the TreatedInbox.
If a fix works it is integrated as follow - it will be moved from the Inbox to the TreatedInbox
and integrated and published in the Pharo project

To help browsing multiple repositories:

ScriptLoader new addExtraRepositories


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Now the integration works in 4 main steps which can be steered by the following expression
ScriptLoader releaseMenu
or via the menu that can be shown/hidden using 
	ScriptLoader showIntegrationMenu
	ScriptLoader hideIntegrationMenu


1.) Start up a recent and clean image
	ScriptLoader new prepareNewUpdate
	
	This step will 
		- load the latest updates
		- load the latest ScriptLoader package from the Pharo repository.
		Indeed when we work on improving the ScriptLoader it may not be published in the update stream. 
		New versions can be available on the server but not part of the latest updates.
		Therefore the process always loads the latest version of scriptloader from the pharo repository.
		This point is important because when an integration failed, you have to check and optionally 
		remove the scriptloader package from the pharo repository.
		
		- check that the update.list (which contains the cs to load the packages) is in sync
		with the image current version. You have to download the latest version using a script like this one.
		Pay attention to update it so that it reflects the right version (ie 1.0, 1.1, 1.2...)
		     scp -p LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.1/updates.list .
		- snapshot the package version to detect dirty or changed but non dirty packages.

2.) Apply changes

	ScriptLoader new doneApplyingChanges
	
	This step will 
		- create an update method with can trigger the load of the packages and some pre/post actions
		- create a script method with describes all the package versions and it used by the update methods
		- save all the packages that are different (except some filtered packages)	
		into a local folder named package-to-be-tested.
		ScriptLoader, SLICE*.... and a couple of other packages are not considered to be included in the script method
			(check method packagesNotToSavePatternNames)
		

3.) Verify changes
	==> in a ***new*** image (in the current folder) execute:
	ScriptLoader new verifyNewUpdate

	This step will 
		- load in any order (so may break) the package previously saved
		in the packages to be tested.
		- this step is important because you may get simple changes with unexpected side effects and that 
		may break the load.
		

4.) If there are problems go to 2.) to fix them, else:
	ScriptLoader new publishChanges

	This step will
		- generate a new cs file whose purpose is to load the given version of the scriptloader and trigger the 
		correct update method.
		- add the name of the cs file to the end of the updates.list file local to the disc
		- copy all the package from the local directory to the Pharo
		
	After the updates.list and the cs file should be manually uploaded to the ftp (see below) 
	   scp "$1" LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.1/
	

5) in case of problems.
Think that if you pass the step 4 you may have a scriptLoader version that got published and that is reloaded 
during the first step.



CurrentMajorVersionNumber should contains a string '1.0', '1.1'....
This string will determine on which folder on the server the updates.list should be loaded.
	i.e., updates/pharo1.0, updates/pharo1.1 ....

--- Not to forget ---
To change the release stream
add a new method for each releaseStream
	ScriptLoader toPharoOne
	ScriptLoader toPharoOneDotOne
!

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
checkImageInSyncWithUpdate
	"most of the time you want to make sure that your image is in sync with the latest item of the update.list
	but in some cases you do not to get forced to have this behavior."
	
	^ CheckImageInSyncWithUpdate ifNil: [CheckImageInSyncWithUpdate := true]! !

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
checkImageInSyncWithUpdate: aBoolean

	CheckImageInSyncWithUpdate := aBoolean! !

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentMajorVersionNumber

	^ CurrentMajorVersionNumber ! !

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentMajorVersionNumber: aNumber

	CurrentMajorVersionNumber := aNumber! !

!MetacelloScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
currentlyIntegratingChanges

	CurrentlyIntegratingChanges isNil ifTrue: [self hideIntegrationMenu].
	^ CurrentlyIntegratingChanges! !

!MetacelloScriptLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^ MCDirectoryRepository new directory: self waitingCacheFolder! !

!MetacelloScriptLoader class methodsFor: 'loadscripts' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
gofer
	^ Smalltalk globals
		at: #Gofer
		ifAbsent: [ 
			(self new)
				installGofer;
				gofer ]! !

!MetacelloScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
hideIntegrationMenu

	CurrentlyIntegratingChanges := false.! !

!MetacelloScriptLoader class methodsFor: 'loadscripts' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
initialize
	self flag: #shouldRemoveNumber.
	CurrentMajorVersionNumber :=  2.0! !

!MetacelloScriptLoader class methodsFor: 'source' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
latestSource: packageName location: location

  | contents versionName zip |
  
  versionName := location, '/', (self latestVersionOf: packageName location: location).
  contents := ZnClient new
		systemPolicy;
		beOneShot;
		url: versionName;
		ifFail: [ :exception | self error: 'Cannot access latest source: ' , exception printString ];
		get.
    
  zip := ZipArchive new.
  zip readFrom: contents readStream.
  ^  (zip memberNamed: 'snapshot/source.st') contents.! !

!MetacelloScriptLoader class methodsFor: 'source' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
latestVersionOf: packageName location: location

  | repository sortMczs fileToLoad | 
  
  repository := MCHttpRepository location: location user: '' password: ''.
  sortMczs := [:a :b |
    [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b  
      findBetweenSubStrs: #($.)) allButLast last asInteger]
    on: Error do: [:ex | false]].
  
  fileToLoad := (repository readableFileNames asSortedCollection: sortMczs) detect: 
    [:file | file beginsWith: (packageName, '-')].
  
  ^ fileToLoad! !

!MetacelloScriptLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
loadLatestPackage: aString from: aPath
	| repository |
	
	repository := MCHttpRepository
		location: aPath
		user:  ''
		password: ''.
	self loadLatestPackage: aString fromRepository: repository! !

!MetacelloScriptLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
loadLatestPackage: aString fromRepository: aRepository
	| versionsBlock versions tries |
	
	versionsBlock := [ (aRepository allVersionNames select: [ :each |
		each beginsWith: aString ])
		asSortedCollection: [ :a :b |
			(a copyAfterLast: $.) asNumber <= (b copyAfterLast: $.) asNumber]].
	versions := versionsBlock value.
	tries := 0.
	[ versions isEmpty and: [ tries < 3 ] ] whileTrue: [
		versions := versionsBlock value.
		tries := tries + 1 ].
	versions isEmpty ifTrue: [ self error: 'problems when accessing squeaksource' ].
	
	aRepository versionReaderForFileNamed: (versions last , '.mcz') do: [:reader | | version |
		version := reader version.
		version load.
		version workingCopy repositoryGroup addRepository: aRepository]! !

!MetacelloScriptLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
loadLatestPackage: aString fromSqueaksource: aDirectoryName
	" self loadLatestPackage: 'ScriptLoader' fromSqueaksource: 'Pharo' "

	self loadLatestPackage: aString from: self rootURLString, aDirectoryName
	! !

!MetacelloScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/16/2012 16:47'!
menuCommandOn: aBuilder 
	"<worldMenu>"
	
	(aBuilder item: #'Integrator Menu')
		order: 1.5;
		precondition: [ self currentlyIntegratingChanges ];
		parent: #System;
		icon: self theme smallAuthoringToolsIcon;
		action: [ self releaseMenu ]! !

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/16/2012 13:44'!
releaseMenu
	"self releaseMenu"
	|symbol|
	symbol := UIManager default
		chooseFrom: #(
			'1- Prepare new update'
			'2- Save new image for testing (optional)'
			'3- Freeze changes: packages will be saved (required)'
			'4- Verify new update (open the mother image in the same folder) (optional)'
			'5- Publish changes')
		values: #(
			prepareNewUpdate 
			saveImageForRunningTests 
			doneApplyingChanges 
			verifyNewUpdate 
			publishChanges).

	symbol ifNotNil: [ self new perform: symbol ]! !

!MetacelloScriptLoader class methodsFor: 'public' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
resetLogStream
	LogStream := nil! !

!MetacelloScriptLoader class methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
rootURLString 

	^ 'http://ss3.gemstone.com/ss/'! !

!MetacelloScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
showIntegrationMenu

	CurrentlyIntegratingChanges := true.! !

!MetacelloScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
theme
	^ UITheme current ! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
CSForLastUpdate: aString
	"ScriptLoader new CSForLastUpdate: 'cleanUpMethods'"
	
	| str updateNumber filename|
	updateNumber := self getLatestUpdateNumber.
	filename := updateNumber asString, '-Pha-', aString, '.cs'.
	FileDirectory default 
		forceNewFileNamed:  filename
		do: [ :stream | 
					self 
						generateCS: self latestScriptLoaderPackageIdentificationString
						fromUpdate: updateNumber on: stream].
	^ filename! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
CSForLastUpdateAndPatchUpdatesList: aString
	"ScriptLoader new CSForLastUpdateAndPatchUpdatesList: 'cleanUpMethods'"
	| filename |
	filename := self CSForLastUpdate: aString.
	self updateUpdatesList: aString.
	^ filename ! !

!MetacelloScriptLoader methodsFor: 'mc public utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
addExtraRepositories
	
	"self new addExtraRepositories"
	
	self addRepository39ToAllPackages.
	self addRepository310ToAllPackages.
	self addRepositoryTaskForcesToAllPackages.
	self addRepositorySqueakTrunkToAllPackages.
	self addRepositoryMCToAllPackages.
	self addRepositoryTreatedToAllPackages.! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addHomeRepositoryToAllPackages
	"self new addHomeRepositoryToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository;
			addRepository: self repositoryTreated ].
		
	MCRepositoryGroup default
			 addRepository: self repository;
			 addRepository: self inboxRepository;
			 addRepository: self repositoryTreated.
	
		
	
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
addPackage: aString
	"to be tested" 
	
	| workingCopy |
	PackageInfo registerPackageName: aString.
	workingCopy := MCWorkingCopy forPackage: (MCPackage new name: aString)! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepository310ToAllPackages
	"self new addRepository310ToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup addRepository: self repository310 ].
	
	! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepository39ToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepository39ToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository39
			].
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepositoryMCToAllPackages
	"self new addRepositoryMCToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryMC
			].
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepositorySqueakTrunkToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepositorySqueakTrunkToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositorySqueakTrunk
			].
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepositoryTaskForcesToAllPackages
	"self new addRepositoryTaskForcesToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTaskForces
			].
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:03'!
addRepositoryTreatedToAllPackages
	"self new addRepositoryTreatedToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTreated
			].
	
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
allCurrentDirtyPackages
	"ScriptLoader new allCurrentDirtyPackages"
	"return all the current dirty packages even the ones that we do not want to save"

	
	^  self allCurrentPackages select: [:each | each needsSaving].

	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
allCurrentPackages
	"ScriptLoader new allCurrentPackages" 
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies! !

!MetacelloScriptLoader methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 5/26/2012 21:59'!
allManagers

	^ MCWorkingCopy allManagers! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
announceOnMailingList
	"
	self new announceOnMailingList"
	|title|
	title := '[update ', self currentMajorVersionNumber asString , '] #', self currentUpdateVersionNumber asString.
UIManager default
	edit: title, String cr, self currentUpdateVersionNumber asString, '
-----

', self commentForCurrentUpdate
	label: title.! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
buildConfigurationMapFor: packageNames

	| configurationMap |
	configurationMap := MCConfiguration new.
	configurationMap repositories
		add: self repository;
		add: self inboxRepository.

	packageNames do: [:packageName | | version depArray |
		version := self loadVersionFromFileNamed: packageName.
		depArray := { version package name. version info name. version info id asString. }.
		configurationMap dependencies add: (MCConfiguration dependencyFromArray: depArray)].
	^configurationMap! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
checkImageIsUptodate

	| stream last number |
	self class checkImageInSyncWithUpdate 
		ifFalse: [^ true].	
	stream := FileDirectory default oldFileNamed: self updatesListFileName.
	stream contents linesDo: [ :each | last := each ].
	stream close.
	last isNil 
		ifTrue: [^ false]. "in case the file is empty"
	 (last copyUpTo: $-) isAllDigits
		ifFalse: [^ true].  			"for cases where we have #Pharo1.1rc1 starting the line"
	number := (last copyUpTo: $-) asNumber.
	^ number = self getLatestUpdateNumber.
	! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
checkImageIsUptodateSilently

	| stream last number |
	self class checkImageInSyncWithUpdate 
		ifFalse: [^ true].	
	
	stream := (FileDirectory default oldFileOrNoneNamed: self updatesListFileName).
	
	stream
		ifNil: [ stream := FileDirectory default forceNewFileNamed: self updatesListFileName ].
		
	stream contents linesDo: [ :each | last := each ].
	stream close.
	last isNil 
		ifTrue: [^ false]. "in case the file is empty"
	 (last copyUpTo: $-) isAllDigits
		ifFalse: [^ true].  			"for cases where we have #Pharo1.1rc1 starting the line"
	number := (last copyUpTo: $-) asNumber.
	^ number = self getLatestUpdateNumber.
! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
cleanRepositories
	"self new cleanRepositories"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories.
	self addHomeRepositoryToAllPackages! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
cleanUpForProduction
	"self new cleanUpForProduction"
	
	"trim MC ancestory information"
	MCVersionInfo allInstances do: [ :each | each instVarNamed: 'ancestors' put: nil ].

	"delete logo"	
	PolymorphSystemSettings showDesktopLogo: false.

	"unload packages"
	Smalltalk globals at: #SUnitUnloader ifPresent:[ :unloader | unloader new unloadAll  ].
	(MCPackage named: 'Announcements-Help') unload.
	(MCPackage named: 'Regex-Help') unload.
	(MCPackage named: 'HelpSystem-Core') unload.
	(MCPackage named: 'FixUnderscores') unload.
	(MCPackage named: 'Deprecated14') unload.
	
	self cleanUpForRelease.
	(MCPackage named: self theScriptLoaderPackageName) unload.
	
	Smalltalk cleanUp: true except: #() confirming: false.
	Smalltalk garbageCollect.
	! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
cleanUpForRelease
	"self new cleanUpForRelease"

	Author fullName: 'Mr.Cleaner'.
	self cleanUpPackageOrganizer.
	self cleanUpMethods.

	ImageMorph classPool at: #DefaultForm put: (Form extent: 1 @ 1 depth: 1).
	Smalltalk globals
		at: #TTFontDescription
		ifPresent: [ :c | 
			c
				clearDefault;
				clearDescriptions ].
	ExternalDropHandler resetRegisteredHandlers.
	FreeTypeFontProvider current initialize.
	SystemNavigation default
		allObjectsDo: [ :each | 
			(each respondsTo: #releaseCachedState)
				ifTrue: [ each releaseCachedState ] ].
	
	"Remove empty categories, which are not in MC packages, because MC does
	not do this (this script does not make packages dirty)"
	Smalltalk organization removeEmptyCategories.
	Smalltalk
		allClassesAndTraitsDo: [ :class |
			[ :each |
				each
					removeEmptyCategories;
					sortCategories ]
						value: class organization;
						value: class class organization ].
	Smalltalk organization sortCategories.
	Smalltalk garbageCollect.
	Smalltalk cleanOutUndeclared. 
	Smalltalk fixObsoleteReferences.
	Smalltalk cleanUp: true except: #() confirming: false.
	Author reset! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
cleanUpMethods
	"Make sure that all methods in use are restarted"
	"ScriptLoader new cleanUpMethods"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo: [:x | x noteNewMethod: nil].
	WorldState allInstancesDo: [ :ws | ws convertAlarms; convertStepList; resetWorldMenu].
	WorldState allInstancesDo: [ :ws | ws instVarNamed: 'menuBuilder' put: nil ].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.
	Delay startTimerEventLoop! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
cleanUpPackageOrganizer

	PackageOrganizer default packages
		do: [ :each | 
			each methods isEmpty
				ifTrue: [ PackageOrganizer default unregisterPackage: each ] ]
		displayingProgress: 'Cleaning Packages'! !

!MetacelloScriptLoader methodsFor: 'public' stamp: 'EstebanLorenzano 5/16/2012 14:14'!
commentForCurrentUpdate
 ^ 'Issue 5906:	Better comment for Class>>#copy
	http://code.google.com/p/pharo/issues/detail?id=5906
	
Issue 5898:	Fixing version browsing and ring historical behavior
	http://code.google.com/p/pharo/issues/detail?id=5898
	
Issue 5895:	Change History separator in nautilus history
	http://code.google.com/p/pharo/issues/detail?id=5895

Issue 5894:	Mini improvement in MethodWidget API
	http://code.google.com/p/pharo/issues/detail?id=5894
	'! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self newGenerateNewUpdateMethod)
		classified: 'pharo - updates'! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
compileNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self newGenerateNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad)
		classified: 'pharo - updates'
! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/16/2012 10:41'!
compileScriptMethodWithCurrentPackages: aNumber 
	"self new compileScriptMethodWithCurrentPackages: 9999"
	| preamble postscript |
	
	preamble := UIManager default 
		multiLineRequest: 'Preamble expression'
		initialAnswer: ''
		answerHeight: 200.

	postscript := UIManager default
		multiLineRequest: 'Postscript expression'
		initialAnswer: ''
		answerHeight: 200. 
	
	ConfigurationOfPharo20 new 
		newVersion: aNumber asString
		description: self commentForCurrentUpdate
		preLoad: preamble
		postLoad: postscript.! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
copyPackagesFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	
	self waitingFolderMCZFiles do: [:name | | version |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		self repository storeVersion: version]! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
currentPackages
	"self new currentPackages" 
	
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies reject: [:each |
		self packagesNotToSavePatternNames
			anySatisfy: [:p | p match: each package name]].
	! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
currentScriptVersionNumber
	^ CurrentScriptVersionNumber! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
currentUpdateVersionNumber
	^ CurrentUpdateVersionNumber ifNil: [SystemVersion current highestUpdate]! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!MetacelloScriptLoader methodsFor: 'mc public utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
deletePackage: aString

	| toRemove | 
	toRemove := (self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	MCWorkingCopy registry removeKey: toRemove package.! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/11/2012 15:22'!
doneApplyingChanges
	| comment commentQuoted st |
	
	SmalltalkImage current saveSession.
		"now you can reopen prior to publishing to fix :)"
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	
	comment := UIManager default
		multiLineRequest: 'Comment for this update.'
		initialAnswer: self commentForCurrentUpdate
		answerHeight: 200.
	comment ifNil: [^ self].
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersion.
	self saveLatestScriptLoaderToWaitingFolder.
	
	self inform: 'Update prepared and ready to be verified.'! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
doneApplyingChangesSilentlyComment: providedComment preLoad: preload postLoad: postLoad
	| comment commentQuoted st |
	SmalltalkImage current saveSession.
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	comment := providedComment trimBoth.
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad.
	self saveLatestScriptLoaderToWaitingFolder.! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
doneApplyingChangesSilentlyIssues: issuesToIntegrate preLoad: preload postLoad: postLoad
	| comment commentQuoted st |
	SmalltalkImage current saveSession.
		"now you can reopen prior to publishing to fix :)"
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	comment := String streamContents: [:stream |
		issuesToIntegrate do: [:each | 
			stream << each name << 'Thanks to ' << each content author email ; lf;lf.
			stream << each url;lf;lf;lf.]].
	comment := comment trimBoth.
	
	"comment := UIManager default
		multiLineRequest: 'Comment for this update.'
		initialAnswer: self commentForCurrentUpdate
		answerHeight: 200.
	comment ifNil: [^ self]."
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad.
	self saveLatestScriptLoaderToWaitingFolder.
! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
fixObsoleteReferences
	"self new fixObsoleteReferences"
	CompiledMethod allInstances
		do: [ :method | 
			| obsoleteBindings |
			obsoleteBindings := method literals
				select: [ :literal | literal isVariableBinding 
									and: [ literal value isBehavior and: [ literal value isObsolete ]] ].
			obsoleteBindings
				do: [ :binding | 
					| realClass obsName realName |
					obsName := binding value name.
					Transcript
						show: obsName;
						cr.
					realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
					realClass := Smalltalk globals at: realName asSymbol ifAbsent: [ UndefinedObject ].
					binding key: binding key value: realClass ] ].
	Behavior flushObsoleteSubclasses.
	Smalltalk
		garbageCollect;
		garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [ SystemNavigation default obsoleteBehaviors inspect ]! !

!MetacelloScriptLoader methodsFor: 'cleaning' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/16/2012 13:44'!
generateCS: packageInfo fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''', self homeRepositoryUrlString,
'''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: packageInfo, '.mcz'') load.'; cr.
	st nextPutAll: 'MetacelloScriptLoader new update', (updateNumber) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!MetacelloScriptLoader methodsFor: 'utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
generateCompleteFixList
	"generateCompleteFixList"
	| stream |
	stream := (FileStream newFileNamed: 'changes-log.txt').
	[ stream nextPutAll: ScriptLoader new logStream contents ] ensure: [ stream close ]! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := UIManager default 
		multiLineRequest: 'Preamble expression'
		initialAnswer: ''
		answerHeight: 100.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, '.'.
	str crtab.
	postscript := UIManager default
					multiLineRequest: 'Postscript expression'
					initialAnswer: ''
					answerHeight: 100. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab].
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 15:17'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: self currentUpdateVersionNumber.
	self compileNewUpdateMethod.! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: self currentScriptVersionNumber.
	self compileNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad.
! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersionsToBeSaved do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names |'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader
		do: [ :each | str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | [(each asString last: 5) asNumber] on: Error do: [0]].
	^ upfroms asSortedCollection last! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
gofer
	^ Smalltalk globals
		at: #Gofer
		ifAbsent: [ 
			self
				installGofer;
				gofer ]! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
homeRepositoryUrlString
	
	^ self rootURLString, 'Pharo20'! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
inboxRepository
	^ inboxRepository ifNil: [inboxRepository :=  self inboxRepositoryDefault]
	! !

!MetacelloScriptLoader methodsFor: 'as yet unclassified' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
inboxRepositoryDefault
	^ MCHttpRepository new 
	 	location: self inboxRepositoryUrlString;
		user: '';
		password: ''! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
inboxRepositoryUrlString
	
	^ self rootURLString, 'PharoInbox'! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
installRepository: aString for: packageName

	(self allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!MetacelloScriptLoader methodsFor: 'fixing stream' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := UIManager default request: 'New version designation:' translated initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
latestScriptLoaderPackageIdentificationString
	"ScriptLoader new latestScriptLoaderPackageIdentificationString"
	
	^  self allCurrentVersions detect: [:each | 'ScriptLoader*' match: each ]
	! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
launchUpdate

	UpdateStreamer new updateFromServer! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
launchUpdateSilently

	^ UpdateStreamer new updateFromServerSilently
! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadLatestScriptloader
	"self new loadLatestScriptloader"
	
	self class 
		loadLatestPackage: 'ScriptLoader', self currentMajorVersionNumberWithoutDot 
		fromSqueaksource: 'Pharo20' 
	

! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
loadLatestUpdateList
	"fetch the latest version of the update.list on the server"
	
	| result listToUse lastUpdate |
	result := ZnClient new
		systemPolicy;
		beOneShot;
		accept: ZnMimeType text;
		url: (UpdateStreamer new updateFolderURL, self updatesListFileName);
		ifFail: [ :exception | self error: 'Cannot access update server: ' , exception printString ];
		get.
	(listToUse := result lines) isEmpty 
		ifTrue: [ self error: 'Update list is empty' ].			
	lastUpdate := listToUse last.
	(lastUpdate beginsWith: self getLatestUpdateNumber asString)
		 ifTrue: ["Write this file as our current updates.list"
			FileDirectory default
				forceNewFileNamed: self updatesListFileName
				do: [:stream | stream nextPutAll: result ] ]
		ifFalse: [ 
			self inform: 'Image update version did not match automatically fetched  update.list!!  
			Proceed after downloading using the script ./getUpdatesList instead' ].
	! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadLatestUpdateListSilently
	"fetch the latest version of the update.list on the server"
	
	| result listToUse lastUpdate |
	(result := ZnEasy get: UpdateStreamer new updateFolderURL, self updatesListFileName) isSuccess
		ifFalse: [ self error: 'Cannot access update server' ].
	listToUse := result contents.			
	listToUse linesDo: [:each | lastUpdate := each].
	(lastUpdate beginsWith: self getLatestUpdateNumber asString)
		 ifTrue: ["Write this file as our current updates.list"
			FileDirectory default
				forceNewFileNamed: self updatesListFileName
				do: [:stream | stream nextPutAll: listToUse]]
		ifFalse: [ 
			self inform: 'Image update version did not match automatically fetched  update.list!!  
			Proceed after downloading using the script ./getUpdatesList instead' ].
	! !

!MetacelloScriptLoader methodsFor: 'load primitives' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadOneAfterTheOther: aCollection merge: aBoolean
	
	(self newerVersionsIn: aCollection)
		do: [:fn | | loader |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]].
	

! !

!MetacelloScriptLoader methodsFor: 'load primitives' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean ]! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	
	self waitingFolderMCZFiles do: [:name | | version |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		version load]! !

!MetacelloScriptLoader methodsFor: 'load primitives' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!MetacelloScriptLoader methodsFor: 'load primitives' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
loadVersionFromFileNamed: fn
	| version |
	version := self repository loadVersionFromFileNamed: fn.
	^version
		ifNil: [self inboxRepository loadVersionFromFileNamed: fn]! !

!MetacelloScriptLoader methodsFor: 'log' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!MetacelloScriptLoader methodsFor: 'log' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
logContents

	^ self logStream contents! !

!MetacelloScriptLoader methodsFor: 'log' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
logStream
	^ LogStream ifNil: [
		LogStream := ReadWriteStream on: (String new: 1000)]! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
mergePackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	
	self waitingFolderMCZFiles
		do: [ :name | | version |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version merge.
			]! !

!MetacelloScriptLoader methodsFor: 'new script-update format' stamp: 'EstebanLorenzano 5/16/2012 13:10'!
newGenerateNewUpdateMethod
	"self new newGenerateNewUpdateMethod"
	
	^'update{1}

	(ConfigurationOfPharo20 project version: ''{1}'') load.
	self postUpdate.
' format: {self currentUpdateVersionNumber}.
! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
newGenerateNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad
	"ScriptLoader new newGenerateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := preload reset contents asString.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab ].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self loadTogether: '.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, ' merge: false.'.
	str crtab.
	postscript := postLoad reset contents asString. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab ].
	
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!MetacelloScriptLoader methodsFor: 'new script-update format' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
newGenerateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	"this version change the script to only "
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '^ '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader
		do: [ :each | str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr'.
	^ str contents! !

!MetacelloScriptLoader methodsFor: 'load primitives' stamp: 'StephaneDucasse 5/26/2012 22:04'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		self allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!MetacelloScriptLoader methodsFor: 'utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:25'!
packagesNotToSavePatternNames
	^ #(	'ScriptLoader*'
			'Metacello*'
			'SLICE*'
			'Slice*'
			'slice*'
			'ConfigurationOf*'
		).! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 5/26/2012 22:04'!
postUpdate
	"Post update processing"
	
	"Flush caches"
	self flushCaches.
	"Remove metacello"
	Smalltalk globals 
		at: #ConfigurationOfMetacello
		ifPresent: [ :c | c unloadMetacello ].
	"Remove configurations"
	(self allManagers 
		select: [ :each | 'ConfigurationOf*' match: each packageName ])
		do: #unload.
	"Remove extra repositories"
	(MCRepositoryGroup default repositories 
		select: [ :each | '*metacello*' match: each description ])
		do: [ :each | MCRepositoryGroup default removeRepository: each ].
	"Rehash symbols"
	Symbol rehash.! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
prepareNewUpdate
	self launchUpdate.
	self loadLatestScriptloader.
	self markPackagesBeforeNewCodeIsLoaded.
	self checkImageIsUptodate ifFalse: [self loadLatestUpdateList].
	self checkImageIsUptodate ifFalse: [
		^ self inform: 'Your update.list and your image are not in sync!! Please use a fresh image and download the latest update.list and start over. May be you are doing a rollback and you should remove the bogus ScriptLoader version from the Pharo repository' ].
	self setUpdateAndScriptVersionNumbers.
	self saveAsNewImageWithCurrentReleaseName.
	self inform: 'The new version number is ' , self currentUpdateVersionNumber asString , '. Ready to apply changes now.', String cr, 'You are now running in image ', (FileDirectory baseNameFor: (FileDirectory default localNameFor: Smalltalk imageName)).! !

!MetacelloScriptLoader methodsFor: 'ci' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
prepareNewUpdateSilently
	"Return nil on error"

	self launchUpdateSilently ifFalse: [ ^ nil ].
	[ self loadLatestScriptloader ]
		on: Warning
		do: [:warning | ^ nil ].
	self markPackagesBeforeNewCodeIsLoaded.
	self checkImageIsUptodateSilently ifFalse: [ self loadLatestUpdateListSilently ].
	self checkImageIsUptodate ifFalse: [ ^ nil ].
	self setUpdateAndScriptVersionNumbers.
	self saveAsNewImageWithCurrentReleaseName.
	^ self currentUpdateVersionNumber! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
publishChanges
	| username password changescriptname changesetFilename str strings|
	(FileStream isAFileNamed: 'PharoPass.txt') 
		ifTrue: [ str := FileStream fileNamed:  'PharoPass.txt'. 
				strings := str contents substrings.
				username := strings first.
				password := strings second] 
		ifFalse: [ username := UIManager default request: 'Pharo repository login'.
			     password := UIManager default requestPassword: 'Pharo repository password'.].

	self setToRepositoriesPassword: password to: username.
	
	changescriptname := UIManager default request: 'Changeset name (no space)' initialAnswer: 'WhatAsChanged'.
	changesetFilename := self CSForLastUpdateAndPatchUpdatesList: changescriptname.
	self copyPackagesFromWaitingFolderToHomeRepository.
	self announceOnMailingList.
	self inform: 'All packages have been uploaded to the Pharo repository.
Remaining manual steps:
1) ./upFilesXX ',changesetFilename,'
2) ./upFilesXX updatesXX.list
3) Announce new update on mailing list'! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
removeAllHTTPRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"
 
	
	self allManagers do: [:each | 
		aColl
			do: [:location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:04'!
removeAllRepositories
	"self new removeAllRepositories"
	
	self allManagers do: [:each |  each  repositoryGroup initialize].
	MCRepositoryGroup default initialize.
	! !

!MetacelloScriptLoader methodsFor: 'utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
removeScriptMethods
	"self new removeScriptMethods"
	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - scripts') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!MetacelloScriptLoader methodsFor: 'utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
removeUpdateMethods

	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - updates') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repository
	^ repository ifNil: [
		repository := MCHttpRepository new
			location: self homeRepositoryUrlString ;
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repository310
	^ repository310 ifNil: [
		repository310 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/310';
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repository39
	^ repository39 ifNil: [
		repository39 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/39a';
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repository: aRepository
	repository := aRepository! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repositoryMC
	^ repositoryMC ifNil: [
		repositoryMC := MCHttpRepository new
			location:  'http://source.wiresong.ca/mc';
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repositorySqueakTrunk
	^ repositorySqueakTrunk ifNil: [
		repositorySqueakTrunk := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/trunk';
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repositoryTaskForces
	^ repositoryTaskForces ifNil: [
		repositoryTaskForces := MCHttpRepository new
			location:  self taskForcesRepositoryUrlString;
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
repositoryTreated
	^ repositoryTreated ifNil: [
		repositoryTreated := MCHttpRepository new
			location:  'http://www.squeaksource.com/PharoTreatedInbox';
			user: '';
			password: '']! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
rootURLString 

	^ self class rootURLString! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
saveAsImageAsTestImage
	"Now you can run tests and see and go back to the previous image
	and do that go and back.... then after you can decide to freeze"

	|name|
	name := FileDirectory default
				nextNameFor: (self shortImageName, '-imageForTestsFor')
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
saveAsNewImageWithCurrentReleaseName
	|name|
	name := FileDirectory default
				nextNameFor: ('releasePharo-',  self currentUpdateVersionNumber asString)
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
saveAsNewImageWithCurrentReleaseNameToPublish
	"If the reload failed and you do not want to lose time reload all the cs and packages... you can now restart from the image saved now"
	
	|name|
	name := FileDirectory default
				nextNameFor: (self shortImageName, '-releasePharoToPublish')
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
saveChangedPackagesIntoWaitingFolder
	self currentChangedPackages do: [:each |
		self
			saveInToReloadCachePackage: each
			with: self commentForCurrentUpdate]! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
saveImageForRunningTests

	| comment commentQuoted st resuming |
	resuming := false.
	SmalltalkImage current saveSession
		ifFalse: [ resuming := true].
	resuming ifTrue: [
		self saveAsImageAsTestImage.
	
		self inform: 'Now you can use this image named ''Test'' to run the tests and come back to fix problems in the \ previous one and eventually freeze it by selecting the next step, in either one.' withCRs]! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString
	self
		savePackage: aWorkingCopy
		in: self class defaultMCWaitingFolder
		with: aMessageString! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 5/26/2012 22:04'!
saveLatestScriptLoaderToHome
	"self new saveLatestScriptLoaderToHome"

	| man r |
	man := self allManagers.
	r := man select: [:each | 'ScriptLoader*' match: each  package name].
	self repository storeVersion: r first newVersion.! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 5/26/2012 22:05'!
saveLatestScriptLoaderToWaitingFolder
	"self new saveLatestScriptLoaderToWaitingFolder"

	| man r |
	man := self allManagers.
	r := man select: [:each | 'ScriptLoader', self currentMajorVersionNumberWithoutDot, '*' match: each  package name].
	self
		saveInToReloadCachePackage: r first
		with: self commentForCurrentUpdate! !

!MetacelloScriptLoader methodsFor: 'mc related utils' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	" | sc |
	  sc := self new.
	  sc savePackage: (self new workingCopyFromPackageName: 'ScriptLoader11') 
		in: MCCacheRepository default
		with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: (aWorkingCopy 
		newVersionWithName: aWorkingCopy uniqueVersionName
		message: aMessageString)! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: 'sd' to: 'zork'"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllHTTPRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self addHomeRepositoryToAllPackages! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/16/2012 11:31'!
setUpdateAndScriptVersionNumbers
	CurrentUpdateVersionNumber := self getLatestUpdateNumber + 1.
	"CurrentScriptVersionNumber := self getLatestScriptNumber + 1."! !

!MetacelloScriptLoader methodsFor: 'utils' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
shortImageName
	"should be removed when the version  will be integrated in SmalltalkImage"
	
	^ FileDirectory baseNameFor: (FileDirectory default localNameFor: Smalltalk imageName).! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
taskForcesRepositoryUrlString
	
	^ self rootURLString , 'PharoTaskForces'! !

!MetacelloScriptLoader methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
theScriptLoaderPackageName
	^'ScriptLoader',  CurrentMajorVersionNumber asString copyWithout: $. ! !

!MetacelloScriptLoader methodsFor: 'mc public utils' stamp: 'StephaneDucasse 5/26/2012 22:05'!
unloadPackage: aString
	"self new unloadPackage: 'Sixx'"
	| toRemove | 
	toRemove := (self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	toRemove unload.! !

!MetacelloScriptLoader methodsFor: 'fixing stream' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
unloadPackageNamed: aString
	"self new workingCopyFromPackageName: 'CollectionExtensions' "
	
	^ (self workingCopyFromPackageName: aString) unload
	! !

!MetacelloScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/11/2012 14:31'!
update20067
! !

!MetacelloScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/16/2012 11:30'!
update20074! !

!MetacelloScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/16/2012 14:17'!
update20075

	(ConfigurationOfPharo20 project version: '20075') load.
	self postUpdate.
! !

!MetacelloScriptLoader methodsFor: 'elementary steps' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
updateUpdatesList: aString
	"ScriptLoader new updateUpdatesList: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default oldFileNamed: self updatesListFileName.
	[	str
			setToEnd;
			cr;
			nextPutAll: self currentUpdateVersionNumber asString;
			nextPutAll: '-Pha-', aString, '.cs' ]
		ensure: [ str close ]! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
updatesListFileName

	^ 'updates', (SystemVersion current majorMinor:''), '.list'! !

!MetacelloScriptLoader methodsFor: 'menu integration actions' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
verifyNewUpdate
	self repository: self class defaultMCWaitingFolder.
	self class loadLatestPackage: 'ScriptLoader' fromRepository: self repository.
	self perform: ('update' , self getLatestUpdateNumber asString) asSymbol.
	(self confirm: 'Completed loading the new update. Run all test now?')
		ifTrue: [ 
			Author fullName: 'tester'.
			Smalltalk globals at: #TestRunner ifPresent: [ :class | class open model runAll ] ]! !

!MetacelloScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 5/8/2012 12:18'!
waitingFolderMCZFiles
	^ self class defaultMCWaitingFolder allFileNames
		reject: [:each | each =  '.DS_Store']! !

!MetacelloScriptLoader methodsFor: 'log' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!MetacelloScriptLoader methodsFor: 'fixing stream' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!MetacelloScriptLoader methodsFor: 'generate scripts/methods' stamp: 'EstebanLorenzano 5/8/2012 12:17'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	

	FileDirectory default 
		forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'
		do: [ :stream | self generateCS: extensionAndNumber fromUpdate: updateNumber on: stream].
! !

Loader subclass: #ScriptLoader
	instanceVariableNames: 'repository inboxRepository repository39 repositorySqueakTrunk repository310 repositoryTaskForces repositoryMC repositoryTreated'
	classVariableNames: 'CheckImageInSyncWithUpdate CurrentMajorVersionNumber CurrentScriptVersionNumber CurrentUpdateVersionNumber CurrentlyIntegratingChanges LogStream Repository'
	poolDictionaries: 'TextConstants'
	category: 'ScriptLoader20'!

!ScriptLoader commentStamp: 'StephaneDucasse 5/26/2010 20:49' prior: 0!
Pharo Process Description


---
Here is the pharo process.

General points
-----------------------
An enhancement
	- should be added to the bug tracker
	- announced to the mailing-list
	- asked for feedback 
	- results should be added to the BT entry

Fixed tag means ready for integration
Closed tag means integrated

A bug detected
	- discuss via the mailing-list
	- should be added to the bug tracker
	- fix are considered as enh (see point above)

When a fix is fixed it should be either post as cs to the BT entry or in the PharoInbox
as a Slice (a slice is an emtpy package that has as requirement other package composing the fix).

We have three projects:
	Pharo
	PharoInbox
	PharoTreatedInbox

A fix goes either from inbox to treatedInbox or to Pharo.
If a fix does not work it is moved to the TreatedInbox.
If a fix works it is integrated as follow - it will be moved from the Inbox to the TreatedInbox
and integrated and published in the Pharo project

To help browsing multiple repositories:

ScriptLoader new addExtraRepositories


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Now the integration works in 4 main steps which can be steered by the following expression
ScriptLoader releaseMenu
or via the menu that can be shown/hidden using 
	ScriptLoader showIntegrationMenu
	ScriptLoader hideIntegrationMenu


1.) Start up a recent and clean image
	ScriptLoader new prepareNewUpdate
	
	This step will 
		- load the latest updates
		- load the latest ScriptLoader package from the Pharo repository.
		Indeed when we work on improving the ScriptLoader it may not be published in the update stream. 
		New versions can be available on the server but not part of the latest updates.
		Therefore the process always loads the latest version of scriptloader from the pharo repository.
		This point is important because when an integration failed, you have to check and optionally 
		remove the scriptloader package from the pharo repository.
		
		- check that the update.list (which contains the cs to load the packages) is in sync
		with the image current version. You have to download the latest version using a script like this one.
		Pay attention to update it so that it reflects the right version (ie 1.0, 1.1, 1.2...)
		     scp -p LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.1/updates.list .
		- snapshot the package version to detect dirty or changed but non dirty packages.

2.) Apply changes

	ScriptLoader new doneApplyingChanges
	
	This step will 
		- create an update method with can trigger the load of the packages and some pre/post actions
		- create a script method with describes all the package versions and it used by the update methods
		- save all the packages that are different (except some filtered packages)	
		into a local folder named package-to-be-tested.
		ScriptLoader, SLICE*.... and a couple of other packages are not considered to be included in the script method
			(check method packagesNotToSavePatternNames)
		

3.) Verify changes
	==> in a ***new*** image (in the current folder) execute:
	ScriptLoader new verifyNewUpdate

	This step will 
		- load in any order (so may break) the package previously saved
		in the packages to be tested.
		- this step is important because you may get simple changes with unexpected side effects and that 
		may break the load.
		

4.) If there are problems go to 2.) to fix them, else:
	ScriptLoader new publishChanges

	This step will
		- generate a new cs file whose purpose is to load the given version of the scriptloader and trigger the 
		correct update method.
		- add the name of the cs file to the end of the updates.list file local to the disc
		- copy all the package from the local directory to the Pharo
		
	After the updates.list and the cs file should be manually uploaded to the ftp (see below) 
	   scp "$1" LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.1/
	

5) in case of problems.
Think that if you pass the step 4 you may have a scriptLoader version that got published and that is reloaded 
during the first step.



CurrentMajorVersionNumber should contains a string '1.0', '1.1'....
This string will determine on which folder on the server the updates.list should be loaded.
	i.e., updates/pharo1.0, updates/pharo1.1 ....

--- Not to forget ---
To change the release stream
add a new method for each releaseStream
	ScriptLoader toPharoOne
	ScriptLoader toPharoOneDotOne
!

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 9/10/2010 17:28'!
checkImageInSyncWithUpdate
	"most of the time you want to make sure that your image is in sync with the latest item of the update.list
	but in some cases you do not to get forced to have this behavior."
	
	^ CheckImageInSyncWithUpdate ifNil: [CheckImageInSyncWithUpdate := true]! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 6/12/2010 08:47'!
checkImageInSyncWithUpdate: aBoolean

	CheckImageInSyncWithUpdate := aBoolean! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:15'!
currentMajorVersionNumber

	^ CurrentMajorVersionNumber ! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:12'!
currentMajorVersionNumber: aNumber

	CurrentMajorVersionNumber := aNumber! !

!ScriptLoader class methodsFor: 'menu' stamp: 'StephaneDucasse 5/14/2010 22:06'!
currentlyIntegratingChanges

	CurrentlyIntegratingChanges isNil ifTrue: [self hideIntegrationMenu].
	^ CurrentlyIntegratingChanges! !

!ScriptLoader class methodsFor: 'private' stamp: 'adrian_lienhard 3/16/2009 21:32'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^ MCDirectoryRepository new directory: self waitingCacheFolder! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'lr 3/14/2010 21:13'!
gofer
	^ Smalltalk globals
		at: #Gofer
		ifAbsent: [ 
			(self new)
				installGofer;
				gofer ]! !

!ScriptLoader class methodsFor: 'menu' stamp: 'StephaneDucasse 5/14/2010 22:03'!
hideIntegrationMenu

	CurrentlyIntegratingChanges := false.! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'MarcusDenker 4/24/2012 18:10'!
initialize
	self flag: #shouldRemoveNumber.
	CurrentMajorVersionNumber :=  2.0! !

!ScriptLoader class methodsFor: 'source' stamp: 'CamilloBruni 12/16/2011 14:07'!
latestSource: packageName location: location

  | contents versionName zip |
  
  versionName := location, '/', (self latestVersionOf: packageName location: location).
  contents := ZnClient new
		systemPolicy;
		beOneShot;
		url: versionName;
		ifFail: [ :exception | self error: 'Cannot access latest source: ' , exception printString ];
		get.
    
  zip := ZipArchive new.
  zip readFrom: contents readStream.
  ^  (zip memberNamed: 'snapshot/source.st') contents.! !

!ScriptLoader class methodsFor: 'source' stamp: 'PavelKrivanek 9/30/2010 11:11'!
latestVersionOf: packageName location: location

  | repository sortMczs fileToLoad | 
  
  repository := MCHttpRepository location: location user: '' password: ''.
  sortMczs := [:a :b |
    [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b  
      findBetweenSubStrs: #($.)) allButLast last asInteger]
    on: Error do: [:ex | false]].
  
  fileToLoad := (repository readableFileNames asSortedCollection: sortMczs) detect: 
    [:file | file beginsWith: (packageName, '-')].
  
  ^ fileToLoad! !

!ScriptLoader class methodsFor: 'private' stamp: 'al 11/1/2008 20:03'!
loadLatestPackage: aString from: aPath
	| repository |
	
	repository := MCHttpRepository
		location: aPath
		user:  ''
		password: ''.
	self loadLatestPackage: aString fromRepository: repository! !

!ScriptLoader class methodsFor: 'private' stamp: 'nice 1/5/2010 15:59'!
loadLatestPackage: aString fromRepository: aRepository
	| versionsBlock versions tries |
	
	versionsBlock := [ (aRepository allVersionNames select: [ :each |
		each beginsWith: aString ])
		asSortedCollection: [ :a :b |
			(a copyAfterLast: $.) asNumber <= (b copyAfterLast: $.) asNumber]].
	versions := versionsBlock value.
	tries := 0.
	[ versions isEmpty and: [ tries < 3 ] ] whileTrue: [
		versions := versionsBlock value.
		tries := tries + 1 ].
	versions isEmpty ifTrue: [ self error: 'problems when accessing squeaksource' ].
	
	aRepository versionReaderForFileNamed: (versions last , '.mcz') do: [:reader | | version |
		version := reader version.
		version load.
		version workingCopy repositoryGroup addRepository: aRepository]! !

!ScriptLoader class methodsFor: 'private' stamp: 'StephaneDucasse 8/21/2011 16:01'!
loadLatestPackage: aString fromSqueaksource: aDirectoryName
	" self loadLatestPackage: 'ScriptLoader' fromSqueaksource: 'Pharo' "

	self loadLatestPackage: aString from: self rootURLString, aDirectoryName
	! !

!ScriptLoader class methodsFor: 'menu' stamp: 'EstebanLorenzano 5/16/2012 16:47'!
menuCommandOn: aBuilder 
	<worldMenu>
	
	(aBuilder item: #'Integrator Menu')
		order: 1.5;
		precondition: [self currentlyIntegratingChanges];
		parent: #System;
		icon: self theme smallAuthoringToolsIcon;
		action: [ScriptLoader releaseMenu]! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 11/9/2010 18:39'!
releaseMenu
	"self releaseMenu"
	|symbol|
	symbol := UIManager default
		chooseFrom: #('1- Prepare new update'
		                        '2- Save new image for testing (optional)'
						'3- Freeze changes: packages will be saved (required)'
						'4- Verify new update (open the mother image in the same folder) (optional)'
						'5- Publish changes')
		values: #(prepareNewUpdate saveImageForRunningTests doneApplyingChanges verifyNewUpdate publishChanges).
	symbol ifNotNil: [ScriptLoader new perform: symbol]! !

!ScriptLoader class methodsFor: 'public' stamp: 'adrian-lienhard 6/6/2009 11:46'!
resetLogStream
	LogStream := nil! !

!ScriptLoader class methodsFor: 'private' stamp: 'StephaneDucasse 8/21/2011 16:29'!
rootURLString 

	^ 'http://ss3.gemstone.com/ss/'! !

!ScriptLoader class methodsFor: 'menu' stamp: 'StephaneDucasse 5/14/2010 22:03'!
showIntegrationMenu

	CurrentlyIntegratingChanges := true.! !

!ScriptLoader class methodsFor: 'menu' stamp: 'FernandoOlivero 4/12/2011 10:14'!
theme
	^ UITheme current ! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 2/25/2010 18:22'!
CSForLastUpdate: aString
	"ScriptLoader new CSForLastUpdate: 'cleanUpMethods'"
	
	| str updateNumber filename|
	updateNumber := self getLatestUpdateNumber.
	filename := updateNumber asString, '-Pha-', aString, '.cs'.
	FileDirectory default 
		forceNewFileNamed:  filename
		do: [ :stream | 
					self 
						generateCS: self latestScriptLoaderPackageIdentificationString
						fromUpdate: updateNumber on: stream].
	^ filename! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 1/31/2010 22:31'!
CSForLastUpdateAndPatchUpdatesList: aString
	"ScriptLoader new CSForLastUpdateAndPatchUpdatesList: 'cleanUpMethods'"
	| filename |
	filename := self CSForLastUpdate: aString.
	self updateUpdatesList: aString.
	^ filename ! !

!ScriptLoader methodsFor: 'mc public utils' stamp: 'StephaneDucasse 9/26/2009 07:46'!
addExtraRepositories
	
	"self new addExtraRepositories"
	
	self addRepository39ToAllPackages.
	self addRepository310ToAllPackages.
	self addRepositoryTaskForcesToAllPackages.
	self addRepositorySqueakTrunkToAllPackages.
	self addRepositoryMCToAllPackages.
	self addRepositoryTreatedToAllPackages.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:00'!
addHomeRepositoryToAllPackages
	"self new addHomeRepositoryToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository;
			addRepository: self repositoryTreated ].
		
	MCRepositoryGroup default
			 addRepository: self repository;
			 addRepository: self inboxRepository;
			 addRepository: self repositoryTreated.
	
		
	
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:40'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 10/18/2009 16:11'!
addPackage: aString
	"to be tested" 
	
	| workingCopy |
	PackageInfo registerPackageName: aString.
	workingCopy := MCWorkingCopy forPackage: (MCPackage new name: aString)! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 5/26/2012 22:00'!
addRepository310ToAllPackages
	"self new addRepository310ToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository310
			].
	
	! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 5/26/2012 22:00'!
addRepository39ToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepository39ToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository39
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
addRepositoryMCToAllPackages
	"self new addRepositoryMCToAllPackages"
	
	self allManagers do: [ :each | 
		each repositoryGroup  addRepository: self repositoryMC
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
addRepositorySqueakTrunkToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepositorySqueakTrunkToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositorySqueakTrunk
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
addRepositoryTaskForcesToAllPackages
	"self new addRepositoryTaskForcesToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTaskForces
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 10/31/2005 18:01'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
addRepositoryTreatedToAllPackages
	"self new addRepositoryTreatedToAllPackages"
	
	self allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTreated
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentDirtyPackages
	"ScriptLoader new allCurrentDirtyPackages"
	"return all the current dirty packages even the ones that we do not want to save"

	
	^  self allCurrentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
allCurrentPackages
	"ScriptLoader new allCurrentPackages" 
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 5/26/2012 21:57'!
allManagers

	^ MCWorkingCopy allManagers! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 9/10/2010 17:26'!
announceOnMailingList
	"
	self new announceOnMailingList"
	|title|
	title := '[update ', self currentMajorVersionNumber asString , '] #', self currentUpdateVersionNumber asString.
UIManager default
	edit: title, String cr, self currentUpdateVersionNumber asString, '
-----

', self commentForCurrentUpdate
	label: title.! !

!ScriptLoader methodsFor: 'private' stamp: 'nice 1/5/2010 15:59'!
buildConfigurationMapFor: packageNames

	| configurationMap |
	configurationMap := MCConfiguration new.
	configurationMap repositories
		add: self repository;
		add: self inboxRepository.

	packageNames do: [:packageName | | version depArray |
		version := self loadVersionFromFileNamed: packageName.
		depArray := { version package name. version info name. version info id asString. }.
		configurationMap dependencies add: (MCConfiguration dependencyFromArray: depArray)].
	^configurationMap! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'sd 4/20/2012 16:16'!
checkImageIsUptodate

	| stream last number |
	self class checkImageInSyncWithUpdate 
		ifFalse: [^ true].	
	stream := FileDirectory default oldFileNamed: self updatesListFileName.
	stream contents linesDo: [ :each | last := each ].
	stream close.
	last isNil 
		ifTrue: [^ false]. "in case the file is empty"
	 (last copyUpTo: $-) isAllDigits
		ifFalse: [^ true].  			"for cases where we have #Pharo1.1rc1 starting the line"
	number := (last copyUpTo: $-) asNumber.
	^ number = self getLatestUpdateNumber.
	! !

!ScriptLoader methodsFor: 'ci' stamp: 'sd 4/20/2012 16:06'!
checkImageIsUptodateSilently

	| stream last number |
	self class checkImageInSyncWithUpdate 
		ifFalse: [^ true].	
	
	stream := (FileDirectory default oldFileOrNoneNamed: self updatesListFileName).
	
	stream
		ifNil: [ stream := FileDirectory default forceNewFileNamed: self updatesListFileName ].
		
	stream contents linesDo: [ :each | last := each ].
	stream close.
	last isNil 
		ifTrue: [^ false]. "in case the file is empty"
	 (last copyUpTo: $-) isAllDigits
		ifFalse: [^ true].  			"for cases where we have #Pharo1.1rc1 starting the line"
	number := (last copyUpTo: $-) asNumber.
	^ number = self getLatestUpdateNumber.
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'StephaneDucasse 11/13/2010 22:31'!
cleanRepositories
	"self new cleanRepositories"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories.
	self addHomeRepositoryToAllPackages! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'MarcusDenker 4/6/2012 10:18'!
cleanUpForProduction
	"self new cleanUpForProduction"
	
	"trim MC ancestory information"
	MCVersionInfo allInstances do: [ :each | each instVarNamed: 'ancestors' put: nil ].

	"delete logo"	
	PolymorphSystemSettings showDesktopLogo: false.

	"unload packages"
	Smalltalk globals at: #SUnitUnloader ifPresent:[ :unloader | unloader new unloadAll  ].
	(MCPackage named: 'Announcements-Help') unload.
	(MCPackage named: 'Regex-Help') unload.
	(MCPackage named: 'HelpSystem-Core') unload.
	(MCPackage named: 'FixUnderscores') unload.
	(MCPackage named: 'Deprecated14') unload.
	
	self cleanUpForRelease.
	(MCPackage named: self theScriptLoaderPackageName) unload.
	
	Smalltalk cleanUp: true except: #() confirming: false.
	Smalltalk garbageCollect.
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'MarcusDenker 4/17/2012 10:15'!
cleanUpForRelease
	"self new cleanUpForRelease"

	Author fullName: 'Mr.Cleaner'.
	self cleanUpPackageOrganizer.
	self cleanUpMethods.

	ImageMorph classPool at: #DefaultForm put: (Form extent: 1 @ 1 depth: 1).
	Smalltalk globals
		at: #TTFontDescription
		ifPresent: [ :c | 
			c
				clearDefault;
				clearDescriptions ].
	ExternalDropHandler resetRegisteredHandlers.
	FreeTypeFontProvider current initialize.
	SystemNavigation default
		allObjectsDo: [ :each | 
			(each respondsTo: #releaseCachedState)
				ifTrue: [ each releaseCachedState ] ].
	
	"Remove empty categories, which are not in MC packages, because MC does
	not do this (this script does not make packages dirty)"
	Smalltalk organization removeEmptyCategories.
	Smalltalk
		allClassesAndTraitsDo: [ :class |
			[ :each |
				each
					removeEmptyCategories;
					sortCategories ]
						value: class organization;
						value: class class organization ].
	Smalltalk organization sortCategories.
	Smalltalk garbageCollect.
	Smalltalk cleanOutUndeclared. 
	Smalltalk fixObsoleteReferences.
	Smalltalk cleanUp: true except: #() confirming: false.
	Author reset! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'AdrianLienhard 6/5/2010 11:12'!
cleanUpMethods
	"Make sure that all methods in use are restarted"
	"ScriptLoader new cleanUpMethods"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo: [:x | x noteNewMethod: nil].
	WorldState allInstancesDo: [ :ws | ws convertAlarms; convertStepList; resetWorldMenu].
	WorldState allInstancesDo: [ :ws | ws instVarNamed: 'menuBuilder' put: nil ].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.
	Delay startTimerEventLoop! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'StephaneDucasse 12/5/2009 11:19'!
cleanUpPackageOrganizer

	PackageOrganizer default packages
		do: [ :each | 
			each methods isEmpty
				ifTrue: [ PackageOrganizer default unregisterPackage: each ] ]
		displayingProgress: 'Cleaning Packages'! !

!ScriptLoader methodsFor: 'public' stamp: 'StephaneDucasse 6/3/2012 13:36'!
commentForCurrentUpdate
 ^ ' Issue 6016:	privateAnnouncer is not used and this is not good
		http://code.google.com/p/pharo/issues/detail?id=6016
	'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 4/4/2010 14:36'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self newGenerateNewUpdateMethod)
		classified: 'pharo - updates'! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 20:13'!
compileNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self newGenerateNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad)
		classified: 'pharo - updates'
! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 4/4/2010 13:26'!
compileScriptMethodWithCurrentPackages: aNumber 
	"ScriptLoader new compileScriptMethodWithCurrentPackages: 9999"
	
	self class compile: 
		(self newGenerateScriptTemplateWithCurrentPackages: aNumber)
		classified: 'pharo - scripts'! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'nice 1/5/2010 15:59'!
copyPackagesFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	
	self waitingFolderMCZFiles do: [:name | | version |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		self repository storeVersion: version]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
currentPackages
	"self new currentPackages" 
	
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies reject: [:each |
		self packagesNotToSavePatternNames
			anySatisfy: [:p | p match: each package name]].
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'adrian lienhard 11/7/2008 22:08'!
currentScriptVersionNumber
	^ CurrentScriptVersionNumber! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'DamienCassou 9/8/2009 14:41'!
currentUpdateVersionNumber
	^ CurrentUpdateVersionNumber ifNil: [SystemVersion current highestUpdate]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'mc public utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
deletePackage: aString

	| toRemove | 
	toRemove := (self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	MCWorkingCopy registry removeKey: toRemove package.! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'StephaneDucasse 9/7/2011 21:23'!
doneApplyingChanges
	| comment commentQuoted st |
	SmalltalkImage current saveSession.
		"now you can reopen prior to publishing to fix :)"
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	
	comment := UIManager default
		multiLineRequest: 'Comment for this update.'
		initialAnswer: self commentForCurrentUpdate
		answerHeight: 200.
	comment ifNil: [^ self].
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersion.
	self saveLatestScriptLoaderToWaitingFolder.
	
	self inform: 'Update prepared and ready to be verified.'! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 20:13'!
doneApplyingChangesSilentlyComment: providedComment preLoad: preload postLoad: postLoad
	| comment commentQuoted st |
	SmalltalkImage current saveSession.
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	comment := providedComment trimBoth.
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad.
	self saveLatestScriptLoaderToWaitingFolder.! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 20:12'!
doneApplyingChangesSilentlyIssues: issuesToIntegrate preLoad: preload postLoad: postLoad
	| comment commentQuoted st |
	SmalltalkImage current saveSession.
		"now you can reopen prior to publishing to fix :)"
	self saveAsNewImageWithCurrentReleaseNameToPublish.
	comment := String streamContents: [:stream |
		issuesToIntegrate do: [:each | 
			stream << each name << 'Thanks to ' << each content author email ; lf;lf.
			stream << each url;lf;lf;lf.]].
	comment := comment trimBoth.
	
	"comment := UIManager default
		multiLineRequest: 'Comment for this update.'
		initialAnswer: self commentForCurrentUpdate
		answerHeight: 200.
	comment ifNil: [^ self]."
	
	commentQuoted := comment copyReplaceAll: (String with: $') with: (String with: $' with: $').
	st := String new writeStream.
	st nextPutAll: 'commentForCurrentUpdate'; cr.
	st nextPutAll: ' ^ '.
	st nextPut: $'.
	st nextPutAll: commentQuoted.
	st nextPut: $'.
	self class
		compile: (st contents)
		classified: 'public'.

	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad.
	self saveLatestScriptLoaderToWaitingFolder.
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'MarcusDenker 8/15/2010 12:33'!
fixObsoleteReferences
	"self new fixObsoleteReferences"
	CompiledMethod allInstances
		do: [ :method | 
			| obsoleteBindings |
			obsoleteBindings := method literals
				select: [ :literal | literal isVariableBinding 
									and: [ literal value isBehavior and: [ literal value isObsolete ]] ].
			obsoleteBindings
				do: [ :binding | 
					| realClass obsName realName |
					obsName := binding value name.
					Transcript
						show: obsName;
						cr.
					realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
					realClass := Smalltalk globals at: realName asSymbol ifAbsent: [ UndefinedObject ].
					binding key: binding key value: realClass ] ].
	Behavior flushObsoleteSubclasses.
	Smalltalk
		garbageCollect;
		garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [ SystemNavigation default obsoleteBehaviors inspect ]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'AdrianLienhard 3/14/2010 12:44'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 8/21/2011 16:24'!
generateCS: packageInfo fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''', self homeRepositoryUrlString,
'''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: packageInfo, '.mcz'') load.'; cr.
	st nextPutAll: 'ScriptLoader new update', (updateNumber) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!ScriptLoader methodsFor: 'utils' stamp: 'stephane.ducasse 7/4/2009 12:27'!
generateCompleteFixList
	"generateCompleteFixList"
	| stream |
	stream := (FileStream newFileNamed: 'changes-log.txt').
	[ stream nextPutAll: ScriptLoader new logStream contents ] ensure: [ stream close ]! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 9/7/2011 22:03'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := UIManager default 
		multiLineRequest: 'Preamble expression'
		initialAnswer: ''
		answerHeight: 100.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, '.'.
	str crtab.
	postscript := UIManager default
					multiLineRequest: 'Postscript expression'
					initialAnswer: ''
					answerHeight: 100. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab].
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'adrianLienhard 11/1/2008 23:05'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: self currentScriptVersionNumber.
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 20:12'!
generateScriptAndUpdateMethodForNewVersionSilentlyPreLoad: preload postLoad: postLoad
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: self currentScriptVersionNumber.
	self compileNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad.
! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 3/21/2009 14:41'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersionsToBeSaved do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 3/21/2009 18:07'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names |'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader
		do: [ :each | str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'al 11/1/2008 18:15'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 4/20/2012 16:16'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | [(each asString last: 5) asNumber] on: Error do: [0]].
	^ upfroms asSortedCollection last! !

!ScriptLoader methodsFor: 'accessing' stamp: 'lr 3/14/2010 21:13'!
gofer
	^ Smalltalk globals
		at: #Gofer
		ifAbsent: [ 
			self
				installGofer;
				gofer ]! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'MarcusDenker 4/19/2012 16:58'!
homeRepositoryUrlString
	
	^ self rootURLString, 'Pharo20'! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 8/21/2011 15:23'!
inboxRepository
	^ inboxRepository ifNil: [inboxRepository :=  self inboxRepositoryDefault]
	! !

!ScriptLoader methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 8/21/2011 15:23'!
inboxRepositoryDefault
	^ MCHttpRepository new 
	 	location: self inboxRepositoryUrlString;
		user: '';
		password: ''! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 8/21/2011 15:50'!
inboxRepositoryUrlString
	
	^ self rootURLString, 'PharoInbox'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:01'!
installRepository: aString for: packageName

	(self allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'alain.plantec 2/6/2009 15:49'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := UIManager default request: 'New version designation:' translated initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 8/14/2008 16:03'!
latestScriptLoaderPackageIdentificationString
	"ScriptLoader new latestScriptLoaderPackageIdentificationString"
	
	^  self allCurrentVersions detect: [:each | 'ScriptLoader*' match: each ]
	! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'Jb 10/23/2010 12:14'!
launchUpdate

	UpdateStreamer new updateFromServer! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 18:04'!
launchUpdateSilently

	^ UpdateStreamer new updateFromServerSilently
! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'MarcusDenker 4/19/2012 17:33'!
loadLatestScriptloader
	"self new loadLatestScriptloader"
	
	self class 
		loadLatestPackage: 'ScriptLoader', self currentMajorVersionNumberWithoutDot 
		fromSqueaksource: 'Pharo20' 
	

! !

!ScriptLoader methodsFor: 'private' stamp: 'CamilloBruni 12/16/2011 14:07'!
loadLatestUpdateList
	"fetch the latest version of the update.list on the server"
	
	| result listToUse lastUpdate |
	result := ZnClient new
		systemPolicy;
		beOneShot;
		accept: ZnMimeType text;
		url: (UpdateStreamer new updateFolderURL, self updatesListFileName);
		ifFail: [ :exception | self error: 'Cannot access update server: ' , exception printString ];
		get.
	(listToUse := result lines) isEmpty 
		ifTrue: [ self error: 'Update list is empty' ].			
	lastUpdate := listToUse last.
	(lastUpdate beginsWith: self getLatestUpdateNumber asString)
		 ifTrue: ["Write this file as our current updates.list"
			FileDirectory default
				forceNewFileNamed: self updatesListFileName
				do: [:stream | stream nextPutAll: result ] ]
		ifFalse: [ 
			self inform: 'Image update version did not match automatically fetched  update.list!!  
			Proceed after downloading using the script ./getUpdatesList instead' ].
	! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 18:06'!
loadLatestUpdateListSilently
	"fetch the latest version of the update.list on the server"
	
	| result listToUse lastUpdate |
	(result := ZnEasy get: UpdateStreamer new updateFolderURL, self updatesListFileName) isSuccess
		ifFalse: [ self error: 'Cannot access update server' ].
	listToUse := result contents.			
	listToUse linesDo: [:each | lastUpdate := each].
	(lastUpdate beginsWith: self getLatestUpdateNumber asString)
		 ifTrue: ["Write this file as our current updates.list"
			FileDirectory default
				forceNewFileNamed: self updatesListFileName
				do: [:stream | stream nextPutAll: listToUse]]
		ifFalse: [ 
			self inform: 'Image update version did not match automatically fetched  update.list!!  
			Proceed after downloading using the script ./getUpdatesList instead' ].
	! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'StephaneDucasse 12/14/2011 21:46'!
loadOneAfterTheOther: aCollection merge: aBoolean
	
	(self newerVersionsIn: aCollection)
		do: [:fn | | loader |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]].
	

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'adrian_lienhard 2/21/2009 13:40'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'nice 1/5/2010 15:59'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	
	self waitingFolderMCZFiles do: [:name | | version |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		version load]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'michael.rueger 1/13/2009 15:26'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:41'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'private' stamp: 'michael.rueger 1/13/2009 15:25'!
loadVersionFromFileNamed: fn
	| version |
	version := self repository loadVersionFromFileNamed: fn.
	^version
		ifNil: [self inboxRepository loadVersionFromFileNamed: fn]! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 4/4/2008 14:47'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logContents

	^ self logStream contents! !

!ScriptLoader methodsFor: 'log' stamp: 'adrian_lienhard 3/16/2009 21:30'!
logStream
	^ LogStream ifNil: [
		LogStream := ReadWriteStream on: (String new: 1000)]! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'nice 1/5/2010 15:59'!
mergePackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	
	self waitingFolderMCZFiles
		do: [ :name | | version |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version merge.
			]! !

!ScriptLoader methodsFor: 'new script-update format' stamp: 'StephaneDucasse 9/7/2011 22:03'!
newGenerateNewUpdateMethod
	"ScriptLoader new newGenerateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := UIManager default 
		multiLineRequest: 'Preamble expression'
		initialAnswer: ''
		answerHeight: 100.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self loadTogether: '.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, ' merge: false.'.
	str crtab.
	postscript := UIManager default
					multiLineRequest: 'Postscript expression'
					initialAnswer: ''
					answerHeight: 100. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab].
	
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!ScriptLoader methodsFor: 'ci' stamp: 'MarcusDenker 2/28/2012 20:13'!
newGenerateNewUpdateMethodSilentlyPreLoad: preload postLoad: postLoad
	"ScriptLoader new newGenerateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := preload reset contents asString.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab ].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self loadTogether: '.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, ' merge: false.'.
	str crtab.
	postscript := postLoad reset contents asString. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab ].
	
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!ScriptLoader methodsFor: 'new script-update format' stamp: 'StephaneDucasse 4/4/2010 13:25'!
newGenerateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	"this version change the script to only "
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '^ '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader
		do: [ :each | str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr'.
	^ str contents! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'StephaneDucasse 5/26/2012 22:02'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		self allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!ScriptLoader methodsFor: 'utils' stamp: 'sd 2/4/2008 16:09'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!ScriptLoader methodsFor: 'private' stamp: 'EstebanLorenzano 4/25/2012 17:03'!
packagesNotToSavePatternNames
	^ #(	'ScriptLoader*'
			'Metacello*'
			'SLICE*'
			'Slice*'
			'slice*'
			'*OB-*'
			'OmniBrowser*'
			'ConfigurationOf*'
		).! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'StephaneDucasse 7/7/2010 23:23'!
prepareNewUpdate
	self launchUpdate.
	self loadLatestScriptloader.
	self markPackagesBeforeNewCodeIsLoaded.
	self checkImageIsUptodate ifFalse: [self loadLatestUpdateList].
	self checkImageIsUptodate ifFalse: [
		^ self inform: 'Your update.list and your image are not in sync!! Please use a fresh image and download the latest update.list and start over. May be you are doing a rollback and you should remove the bogus ScriptLoader version from the Pharo repository' ].
	self setUpdateAndScriptVersionNumbers.
	self saveAsNewImageWithCurrentReleaseName.
	self inform: 'The new version number is ' , self currentUpdateVersionNumber asString , '. Ready to apply changes now.', String cr, 'You are now running in image ', (FileDirectory baseNameFor: (FileDirectory default localNameFor: Smalltalk imageName)).! !

!ScriptLoader methodsFor: 'ci' stamp: 'sd 4/20/2012 16:06'!
prepareNewUpdateSilently
	"Return nil on error"

	self launchUpdateSilently ifFalse: [ ^ nil ].
	[ self loadLatestScriptloader ]
		on: Warning
		do: [:warning | ^ nil ].
	self markPackagesBeforeNewCodeIsLoaded.
	self checkImageIsUptodateSilently ifFalse: [ self loadLatestUpdateListSilently ].
	self checkImageIsUptodate ifFalse: [ ^ nil ].
	self setUpdateAndScriptVersionNumbers.
	self saveAsNewImageWithCurrentReleaseName.
	^ self currentUpdateVersionNumber! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'StephaneDucasse 1/31/2011 22:17'!
publishChanges
	| username password changescriptname changesetFilename str strings|
	(FileStream isAFileNamed: 'PharoPass.txt') 
		ifTrue: [ str := FileStream fileNamed:  'PharoPass.txt'. 
				strings := str contents substrings.
				username := strings first.
				password := strings second] 
		ifFalse: [ username := UIManager default request: 'Pharo repository login'.
			     password := UIManager default requestPassword: 'Pharo repository password'.].

	self setToRepositoriesPassword: password to: username.
	
	changescriptname := UIManager default request: 'Changeset name (no space)' initialAnswer: 'WhatAsChanged'.
	changesetFilename := self CSForLastUpdateAndPatchUpdatesList: changescriptname.
	self copyPackagesFromWaitingFolderToHomeRepository.
	self announceOnMailingList.
	self inform: 'All packages have been uploaded to the Pharo repository.
Remaining manual steps:
1) ./upFilesXX ',changesetFilename,'
2) ./upFilesXX updatesXX.list
3) Announce new update on mailing list'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:02'!
removeAllHTTPRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"
 
	self allManagers do: [:each | 
		aColl do: [ :location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 5/26/2012 22:02'!
removeAllRepositories
	"self new removeAllRepositories"
	
	self allManagers do: [:each |  each  repositoryGroup initialize].
	MCRepositoryGroup default initialize.
	! !

!ScriptLoader methodsFor: 'utils' stamp: 'StephaneDucasse 10/18/2009 16:06'!
removeScriptMethods
	"self new removeScriptMethods"
	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - scripts') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!ScriptLoader methodsFor: 'utils' stamp: 'StephaneDucasse 10/18/2009 16:04'!
removeUpdateMethods

	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - updates') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 8/21/2011 15:19'!
repository
	^ repository ifNil: [
		repository := MCHttpRepository new
			location: self homeRepositoryUrlString ;
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/13/2009 15:48'!
repository310
	^ repository310 ifNil: [
		repository310 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/310';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2009 20:49'!
repository39
	^ repository39 ifNil: [
		repository39 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/39a';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'adrian_lienhard 3/16/2009 21:42'!
repository: aRepository
	repository := aRepository! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/14/2009 10:32'!
repositoryMC
	^ repositoryMC ifNil: [
		repositoryMC := MCHttpRepository new
			location:  'http://source.wiresong.ca/mc';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2009 20:49'!
repositorySqueakTrunk
	^ repositorySqueakTrunk ifNil: [
		repositorySqueakTrunk := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/trunk';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 8/21/2011 15:27'!
repositoryTaskForces
	^ repositoryTaskForces ifNil: [
		repositoryTaskForces := MCHttpRepository new
			location:  self taskForcesRepositoryUrlString;
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/26/2009 07:47'!
repositoryTreated
	^ repositoryTreated ifNil: [
		repositoryTreated := MCHttpRepository new
			location:  'http://www.squeaksource.com/PharoTreatedInbox';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 8/21/2011 16:30'!
rootURLString 

	^ self class rootURLString! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 11/8/2010 22:30'!
saveAsImageAsTestImage
	"Now you can run tests and see and go back to the previous image
	and do that go and back.... then after you can decide to freeze"

	|name|
	name := FileDirectory default
				nextNameFor: (self shortImageName, '-imageForTestsFor')
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!ScriptLoader methodsFor: 'private' stamp: 'DamienCassou 9/8/2009 14:42'!
saveAsNewImageWithCurrentReleaseName
	|name|
	name := FileDirectory default
				nextNameFor: ('releasePharo-',  self currentUpdateVersionNumber asString)
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 11/8/2010 22:31'!
saveAsNewImageWithCurrentReleaseNameToPublish
	"If the reload failed and you do not want to lose time reload all the cs and packages... you can now restart from the image saved now"
	
	|name|
	name := FileDirectory default
				nextNameFor: (self shortImageName, '-releasePharoToPublish')
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'al 11/1/2008 18:33'!
saveChangedPackagesIntoWaitingFolder
	self currentChangedPackages do: [:each |
		self
			saveInToReloadCachePackage: each
			with: self commentForCurrentUpdate]! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'StephaneDucasse 11/9/2010 18:38'!
saveImageForRunningTests

	| comment commentQuoted st resuming |
	resuming := false.
	SmalltalkImage current saveSession
		ifFalse: [ resuming := true].
	resuming ifTrue: [
		self saveAsImageAsTestImage.
	
		self inform: 'Now you can use this image named ''Test'' to run the tests and come back to fix problems in the \ previous one and eventually freeze it by selecting the next step, in either one.' withCRs]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'adrianLienhard 11/2/2008 00:31'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString
	self
		savePackage: aWorkingCopy
		in: self class defaultMCWaitingFolder
		with: aMessageString! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 5/26/2012 22:02'!
saveLatestScriptLoaderToHome
	"self new saveLatestScriptLoaderToHome"

	| man r |
	man := self allManagers.
	r := man select: [:each | 'ScriptLoader*' match: each  package name].
	self repository storeVersion: r first newVersion.! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 5/26/2012 22:02'!
saveLatestScriptLoaderToWaitingFolder
	"self new saveLatestScriptLoaderToWaitingFolder"

	| man r |
	man := self allManagers.
	r := man select: [:each | 'ScriptLoader', self currentMajorVersionNumberWithoutDot, '*' match: each  package name].
	self
		saveInToReloadCachePackage: r first
		with: self commentForCurrentUpdate! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'MarcusDenker 10/20/2009 11:28'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	" | sc |
	  sc := self new.
	  sc savePackage: (self new workingCopyFromPackageName: 'ScriptLoader11') 
		in: MCCacheRepository default
		with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: (aWorkingCopy 
		newVersionWithName: aWorkingCopy uniqueVersionName
		message: aMessageString)! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/19/2012 16:47'!
script1! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 11:29'!
script10

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1054.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.119.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.21.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.817.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.408.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 11:57'!
script11

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1054.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.119.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.21.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.622.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.201.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.818.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.408.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 13:35'!
script12

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1054.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.119.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1132.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.22.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.622.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.201.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.818.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.408.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 14:06'!
script13

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1054.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1133.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.22.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.623.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.202.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.818.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.408.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 14:39'!
script14

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1055.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1133.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.22.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.624.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.202.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.818.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 14:53'!
script15

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1055.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1134.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.625.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.202.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.819.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 15:24'!
script16

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1055.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1135.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.820.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 15:35'!
script17

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1055.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1136.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.821.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 16:08'!
script18

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1055.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1136.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.62.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.822.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/28/2012 00:08'!
script19

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.325.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1057.mcz
KernelTests-MarcusDenker.395.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.62.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.45.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.358.mcz
Tools-MarcusDenker.822.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/20/2012 16:23'!
script2

	^ 'Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.82.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.322.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated14-EstebanLorenzano.54.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.147.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.70.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.73.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
Kernel-MarcusDenker.1047.mcz
KernelTests-MarcusDenker.391.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1127.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.18.mcz
NOCompletion-EstebanLorenzano.9.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.617.mcz
RecentSubmissions-MarcusDenker.148.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-StephaneDucasse.18.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.153.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-EstebanLorenzano.610.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-MarcusDenker.79.mcz
Tests-MarcusDenker.354.mcz
Tools-EstebanLorenzano.811.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/28/2012 09:23'!
script20

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.325.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1058.mcz
KernelTests-MarcusDenker.395.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.577.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.62.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.45.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.359.mcz
Tools-MarcusDenker.822.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/28/2012 22:16'!
script21

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.325.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1058.mcz
KernelTests-MarcusDenker.395.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.577.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.62.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.45.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.823.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/29/2012 11:19'!
script22

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.105.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1059.mcz
KernelTests-MarcusDenker.396.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.577.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.63.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.150.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/30/2012 09:55'!
script23

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.105.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1060.mcz
KernelTests-MarcusDenker.396.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.577.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.150.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/30/2012 14:19'!
script24

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.105.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1062.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.121.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.577.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.409.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/30/2012 20:44'!
script25

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.106.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1063.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.410.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/30/2012 21:03'!
script26

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.106.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1064.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.360.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.410.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/1/2012 11:24'!
script27

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.106.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1064.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.626.mcz
RPackage-Core-MarcusDenker.110.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.362.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.410.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/1/2012 16:46'!
script28

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.232.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1065.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1137.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.362.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.410.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/1/2012 19:05'!
script29

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.326.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.233.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1065.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1138.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.362.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.410.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/24/2012 18:17'!
script3

	^ 'Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.82.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.322.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated14-EstebanLorenzano.54.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.147.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.70.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.73.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
Kernel-MarcusDenker.1049.mcz
KernelTests-MarcusDenker.392.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1127.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.18.mcz
NOCompletion-EstebanLorenzano.9.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.617.mcz
RecentSubmissions-MarcusDenker.148.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-StephaneDucasse.18.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.153.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-EstebanLorenzano.610.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-MarcusDenker.79.mcz
Tests-MarcusDenker.354.mcz
Tools-EstebanLorenzano.811.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/1/2012 20:00'!
script30

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.327.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.233.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1066.mcz
KernelTests-MarcusDenker.397.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1138.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.363.mcz
Tools-MarcusDenker.824.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/2/2012 09:02'!
script31

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.209.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.327.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.233.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1068.mcz
KernelTests-MarcusDenker.399.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1138.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.363.mcz
Tools-MarcusDenker.825.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/2/2012 14:10'!
script32

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.209.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.327.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.233.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1069.mcz
KernelTests-MarcusDenker.399.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.262.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.364.mcz
Tools-MarcusDenker.826.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/2/2012 14:57'!
script33

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.327.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.233.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1069.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.264.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.364.mcz
Tools-MarcusDenker.827.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/3/2012 09:37'!
script34

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.327.mcz
CompilerTests-MarcusDenker.107.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.234.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1069.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.264.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.203.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.365.mcz
Tools-MarcusDenker.829.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/3/2012 10:38'!
script35

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.234.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1070.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.264.mcz
NautilusCommon-MarcusDenker.64.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.15.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.613.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.365.mcz
Tools-MarcusDenker.830.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 10:23'!
script36

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.234.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1072.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.616.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.365.mcz
Tools-MarcusDenker.830.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 10:47'!
script37

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.234.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1072.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.10.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.617.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.367.mcz
Tools-MarcusDenker.830.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 12:53'!
script38

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.236.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1072.mcz
KernelTests-MarcusDenker.400.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1139.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.6.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.617.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.369.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 13:22'!
script39

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.236.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1074.mcz
KernelTests-MarcusDenker.402.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.6.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.617.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 4/25/2012 16:20'!
script4

	^ 'Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.82.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.322.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.70.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.73.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
Kernel-MarcusDenker.1049.mcz
KernelTests-MarcusDenker.392.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1127.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.18.mcz
NOCompletion-EstebanLorenzano.9.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.617.mcz
RecentSubmissions-MarcusDenker.148.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-StephaneDucasse.18.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.153.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-EstebanLorenzano.610.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-MarcusDenker.79.mcz
Tests-MarcusDenker.354.mcz
Tools-EstebanLorenzano.811.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 14:05'!
script40

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.237.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1075.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.6.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.618.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/4/2012 16:05'!
script41

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.237.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1075.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.18.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.6.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.618.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/5/2012 12:52'!
script42

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.6.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1075.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.13.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.20.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-MarcusDenker.36.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.6.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Debugging-MarcusDenker.17.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.620.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/5/2012 13:15'!
script43

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1075.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.620.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/5/2012 19:23'!
script44

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1075.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.46.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.621.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.370.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.411.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/7/2012 10:17'!
script45

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.142.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.112.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-MarcusDenker.19.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/7/2012 14:51'!
script46

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.144.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1141.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.265.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.52.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.628.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.17.mcz
Spec-Widgets-MarcusDenker.21.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.832.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/7/2012 16:33'!
script47

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.269.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.52.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.17.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.835.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/7/2012 17:52'!
script48

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.270.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.52.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.17.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/8/2012 09:59'!
script49

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.578.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.270.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.55.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.67.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.152.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 4/25/2012 17:08'!
script5

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.82.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.322.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.70.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.73.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1049.mcz
KernelTests-MarcusDenker.392.mcz
Keymapping-Core-EstebanLorenzano.117.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.20.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.148.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-StephaneDucasse.18.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.153.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-EstebanLorenzano.610.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.354.mcz
Tools-EstebanLorenzano.814.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 5/8/2012 15:46'!
script50

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1076.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.580.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.270.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.55.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.67.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.622.mcz
System-Text-MarcusDenker.204.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/9/2012 10:43'!
script51

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1077.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.271.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.56.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.66.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.623.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/9/2012 17:46'!
script52

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.238.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1077.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.21.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.56.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.66.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.623.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/10/2012 10:17'!
script53

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1077.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1145.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.21.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.66.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.632.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.623.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.836.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/10/2012 13:25'!
script54

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1077.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1146.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.21.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.66.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.47.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.624.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.837.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/10/2012 15:32'!
script55

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1077.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1146.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.21.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.66.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.624.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.837.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/11/2012 13:06'!
script56

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.3.mcz
CodeImport-Tests-MarcusDenker.3.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.328.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1079.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1146.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.29.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.12.mcz
System-Download-MarcusDenker.78.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.371.mcz
Tools-MarcusDenker.837.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/11/2012 13:20'!
script57

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.5.mcz
CodeImport-Tests-MarcusDenker.5.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1079.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1146.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-EstebanLorenzano.154.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.19.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/11/2012 15:43'!
script58

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.5.mcz
CodeImport-Tests-MarcusDenker.5.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1079.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1146.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.156.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.21.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.21.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/11/2012 18:25'!
script59

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.5.mcz
CodeImport-Tests-MarcusDenker.5.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1081.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1148.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.21.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/26/2012 15:41'!
script6

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.323.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1050.mcz
KernelTests-MarcusDenker.392.mcz
Keymapping-Core-EstebanLorenzano.117.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.20.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.355.mcz
Tools-MarcusDenker.815.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/12/2012 08:50'!
script60

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.5.mcz
CodeImport-Tests-MarcusDenker.5.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1083.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1148.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.21.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-MarcusDenker.37.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 5/12/2012 14:47'!
script61

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1083.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1148.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.272.mcz
NautilusCommon-MarcusDenker.65.mcz
NautilusRefactoring-MarcusDenker.27.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.16.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.21.mcz
Spec-Widgets-MarcusDenker.22.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/13/2012 20:35'!
script62

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1084.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1148.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.275.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-MarcusDenker.30.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.633.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.51.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.18.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.23.mcz
Spec-Widgets-MarcusDenker.25.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.206.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.839.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/14/2012 09:02'!
script63

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.76.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1084.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.581.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1149.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.275.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-MarcusDenker.30.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.634.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.52.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.18.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.24.mcz
Spec-Widgets-MarcusDenker.25.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.625.mcz
System-Text-MarcusDenker.207.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.840.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/14/2012 10:42'!
script64

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.76.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1084.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.582.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.147.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1150.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.275.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-MarcusDenker.30.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.634.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.52.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.18.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.24.mcz
Spec-Widgets-MarcusDenker.25.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.626.mcz
System-Text-MarcusDenker.207.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-MarcusDenker.840.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 5/16/2012 18:28'!
script65

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.76.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-EstebanLorenzano.1086.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-MarcusDenker.4.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-EstebanLorenzano.149.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1150.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.279.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-MarcusDenker.30.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.634.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.18.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-MarcusDenker.24.mcz
Spec-Widgets-MarcusDenker.25.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.626.mcz
System-Text-MarcusDenker.207.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-EstebanLorenzano.842.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucass 5/18/2012 19:23'!
script66

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.76.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-EstebanLorenzano.1086.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-EstebanLorenzano.149.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1150.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.279.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.634.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucass.21.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.626.mcz
System-Text-MarcusDenker.207.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucass.843.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/19/2012 22:53'!
script67

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.240.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.76.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1087.mcz
KernelTests-MarcusDenker.403.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1150.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.30.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.138.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.15.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.626.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.844.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/20/2012 14:25'!
script68

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1088.mcz
KernelTests-MarcusDenker.404.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1150.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.626.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.844.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/20/2012 17:57'!
script69

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.330.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1089.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-StephaneDucasse.1152.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-EstebanLorenzano.42.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.844.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 09:56'!
script7

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.323.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1051.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-EstebanLorenzano.117.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.48.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.20.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.815.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/20/2012 18:48'!
script70

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-MarcusDenker.8.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1090.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-StephaneDucasse.1153.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-EstebanLorenzano.54.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.845.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/20/2012 19:16'!
script71

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-StephaneDucasse.161.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.72.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1090.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-StephaneDucasse.1153.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.846.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/20/2012 19:49'!
script72

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-StephaneDucasse.161.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1091.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-EstebanLorenzano.595.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-StephaneDucasse.1154.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucass.32.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 5/20/2012 21:35'!
script73

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-StephaneDucasse.161.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1091.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-StephaneDucasse.598.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-StephaneDucasse.1154.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-StephaneDucasse.208.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 5/21/2012 09:48'!
script74

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-StephaneDucasse.161.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-StephaneDucasse.1091.mcz
KernelTests-StephaneDucasse.406.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-StephaneDucasse.598.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1156.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-StephaneDucass.27.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/21/2012 17:40'!
script75

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-StephaneDucasse.161.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.53.mcz
Graphics-Primitives-MarcusDenker.77.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1092.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-StephaneDucasse.598.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1158.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-StephaneDucasse.635.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.156.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/22/2012 09:09'!
script76

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-EstebanLorenzano.7.mcz
CodeImport-Tests-EstebanLorenzano.7.mcz
Collections-Abstract-MarcusDenker.163.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.79.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1092.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.600.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1160.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.636.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.15.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.158.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.373.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/22/2012 11:33'!
script77

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.163.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.210.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.60.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.79.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.29.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1092.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.600.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1160.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.636.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.21.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.374.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/22/2012 13:46'!
script78

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.163.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.213.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-StephaneDucasse.73.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.600.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1161.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.23.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.637.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-StephaneDucass.6.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.374.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/22/2012 17:24'!
script79

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.213.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.74.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.600.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1162.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-MarcusDenker.10.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.75.mcz
Polymorph-Widgets-MarcusDenker.637.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.374.mcz
Tools-StephaneDucasse.847.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 10:37'!
script8

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.323.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1051.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.119.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-EstebanLorenzano.20.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.13.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.815.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.406.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/23/2012 13:30'!
script80

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.74.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.600.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.150.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1162.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-StephaneDucasse.280.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-MarcusDenker.10.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.637.mcz
RPackage-Core-MarcusDenker.113.mcz
RPackage-SystemIntegration-MarcusDenker.91.mcz
RPackage-Tests-MarcusDenker.56.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.3.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.374.mcz
Tools-MarcusDenker.849.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/23/2012 14:28'!
script81

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1162.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.282.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-MarcusDenker.10.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.637.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.376.mcz
Tools-MarcusDenker.849.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/23/2012 17:27'!
script82

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1162.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.282.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
PluggableTextMorphWithLimits-MarcusDenker.10.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.637.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-StephaneDucasse.22.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.378.mcz
Tools-MarcusDenker.849.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/24/2012 15:57'!
script83

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1162.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.282.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.639.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.16.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.378.mcz
Tools-MarcusDenker.849.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/25/2012 14:37'!
script84

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1164.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.639.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.19.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.851.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.10.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/26/2012 11:17'!
script85

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.95.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1095.mcz
KernelTests-MarcusDenker.407.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1164.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.639.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.19.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-StephaneDucasse.627.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.851.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.10.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/26/2012 13:42'!
script86

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1098.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1164.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.639.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.19.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.629.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.851.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/26/2012 14:15'!
script87

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.214.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1098.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1164.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.75.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.639.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.19.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.629.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.851.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/26/2012 14:41'!
script88

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.577.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1099.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1166.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.631.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.855.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/26/2012 16:14'!
script89

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.64.mcz
CollectionsTests-MarcusDenker.560.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.577.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1099.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1166.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.631.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.855.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 4/27/2012 11:02'!
script9

	^ 'AST-Core-EstebanLorenzano.93.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.83.mcz
BalloonTests-MarcusDenker.1.mcz
Collections-Abstract-MarcusDenker.160.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.66.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.5.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.207.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.77.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.131.mcz
Collections-Weak-IgorStasenko.59.mcz
CollectionsTests-Integrator.557.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-MarcusDenker.324.mcz
CompilerTests-marcusDenker.104.mcz
Compression-StephaneDucasse.93.mcz
CompressionTests-MarcusDenker.2.mcz
EmergencyEvaluator-MarcusDenker.25.mcz
EventModel-StephaneDucasse.1.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-EstebanLorenzano.8.mcz
FileSystem-Disk-EstebanLorenzano.6.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-EstebanLorenzano.6.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.231.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.574.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.131.mcz
Graphics-Display Objects-MarcusDenker.71.mcz
Graphics-External-MarcusDenker.10.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-EstebanLorenzano.52.mcz
Graphics-Primitives-MarcusDenker.74.mcz
Graphics-Resources-MarcusDenker.13.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.27.mcz
Graphics-Transformations-StephaneDucasse.4.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1053.mcz
KernelTests-MarcusDenker.393.mcz
Keymapping-Core-MarcusDenker.119.mcz
Keymapping-Pragmas-EstebanLorenzano.10.mcz
Keymapping-Settings-EstebanLorenzano.61.mcz
Keymapping-Shortcuts-EstebanLorenzano.54.mcz
Keymapping-Tools-Spec-EstebanLorenzano.2.mcz
MenuRegistration-StephaneDucasse.37.mcz
Monticello-MarcusDenker.575.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.140.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-EstebanLorenzano.1131.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-StephaneDucasse.20.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-StephaneDucasse.16.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.27.mcz
NECompletion-MarcusDenker.21.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-EstebanLorenzano.258.mcz
NautilusCommon-EstebanLorenzano.60.mcz
NautilusRefactoring-EstebanLorenzano.25.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-StephaneDucasse.10.mcz
Network-Protocols-StephaneDucasse.73.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-MarcusDenker.51.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-StephaneDucasse.64.mcz
NetworkTests-StephaneDucasse.64.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.75.mcz
PluggableTextMorphWithLimits-EstebanLorenzano.9.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-StephaneDucasse.10.mcz
Polymorph-Tools-Diff-StephaneDucasse.73.mcz
Polymorph-Widgets-EstebanLorenzano.620.mcz
RPackage-Core-EstebanLorenzano.108.mcz
RPackage-SystemIntegration-EstebanLorenzano.90.mcz
RPackage-Tests-EstebanLorenzano.53.mcz
RecentSubmissions-MarcusDenker.149.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-MarcusDenker.11.mcz
Ring-Core-Kernel-MarcusDenker.44.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.24.mcz
SUnit-Core-EstebanLorenzano.15.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.2.mcz
SUnit-UI-MarcusDenker.19.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.2.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-MarcusDenker.43.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.16.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-EstebanLorenzano.13.mcz
Spec-Tests-EstebanLorenzano.4.mcz
Spec-Tools-EstebanLorenzano.10.mcz
Spec-Widgets-EstebanLorenzano.17.mcz
StartupPreferences-EstebanLorenzano.34.mcz
System-Announcements-MarcusDenker.1.mcz
System-Applications-EstebanLorenzano.42.mcz
System-BreakPoints-MarcusDenker.4.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.135.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-Debugging-MarcusDenker.14.mcz
System-Download-EstebanLorenzano.74.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.13.mcz
System-Localization-StephaneDucasse.61.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.154.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.611.mcz
System-Text-MarcusDenker.199.mcz
System-Tools-EstebanLorenzano.81.mcz
Tests-MarcusDenker.356.mcz
Tools-MarcusDenker.815.mcz
ToolsTest-MarcusDenker.denker.22.mcz
Traits-MarcusDenker.407.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.8.mcz
UIManager-MarcusDenker.61.mcz
Zinc-HTTP-EstebanLorenzano.253.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/29/2012 18:01'!
script90

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.577.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1100.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-MarcusDenker.115.mcz
RPackage-SystemIntegration-MarcusDenker.93.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.23.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.16.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.631.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.379.mcz
Tools-MarcusDenker.856.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.412.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/30/2012 15:05'!
script91

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.577.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.25.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-MarcusDenker.119.mcz
RPackage-SystemIntegration-MarcusDenker.96.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.382.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 5/31/2012 11:09'!
script92

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-MarcusDenker.4.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-MarcusDenker.577.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-MarcusDenker.119.mcz
RPackage-SystemIntegration-MarcusDenker.96.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-MarcusDenker.159.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-MarcusDenker.382.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'EstebanLorenzano 6/1/2012 17:19'!
script93

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-EstebanLorenzano.7.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-EstebanLorenzano.580.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-EstebanLorenzano.122.mcz
RPackage-SystemIntegration-MarcusDenker.96.mcz
RPackage-Tests-MarcusDenker.58.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-MarcusDenker.5.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-EstebanLorenzano.162.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-EstebanLorenzano.385.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 6/2/2012 18:59'!
script94

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-EstebanLorenzano.7.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-EstebanLorenzano.580.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-MarcusDenker.132.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-MarcusDenker.152.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-StephaneDucasse.123.mcz
RPackage-SystemIntegration-StephaneDucasse.97.mcz
RPackage-Tests-StephaneDucasse.60.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.14.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucass.26.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-StephaneDucasse.7.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-EstebanLorenzano.162.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-EstebanLorenzano.385.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 6/2/2012 20:43'!
script95

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-EstebanLorenzano.7.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-EstebanLorenzano.580.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-StephaneDucasse.133.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.153.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-StephaneDucasse.124.mcz
RPackage-SystemIntegration-StephaneDucasse.98.mcz
RPackage-Tests-StephaneDucasse.61.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.15.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucasse.27.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-StephaneDucasse.7.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-EstebanLorenzano.162.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-EstebanLorenzano.385.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 6/2/2012 22:45'!
script96

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-EstebanLorenzano.7.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-EstebanLorenzano.580.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-StephaneDucasse.133.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.153.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-StephaneDucasse.124.mcz
RPackage-SystemIntegration-StephaneDucasse.98.mcz
RPackage-Tests-StephaneDucasse.61.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.15.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucasse.27.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-StephaneDucasse.8.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-EstebanLorenzano.162.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-StephaneDucasse.386.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 6/3/2012 13:37'!
script97

	^ 'AST-Core-MarcusDenker.94.mcz
AST-Semantic-EstebanLorenzano.16.mcz
Announcements-Core-StephaneDucasse.31.mcz
Announcements-Help-MarcusDenker.5.mcz
Announcements-Tests-Core-StephaneDucasse.11.mcz
Announcements-View-StephaneDucasse.9.mcz
Balloon-MarcusDenker.84.mcz
BalloonTests-MarcusDenker.1.mcz
CodeImport-MarcusDenker.8.mcz
CodeImport-Tests-MarcusDenker.8.mcz
Collections-Abstract-MarcusDenker.164.mcz
Collections-Arithmetic-StephaneDucasse.6.mcz
Collections-Arrayed-MarcusDenker.67.mcz
Collections-Atomic-MarcusDenker.5.mcz
Collections-Native-MarcusDenker.6.mcz
Collections-Sequenceable-MarcusDenker.117.mcz
Collections-Stack-MarcusDenker.7.mcz
Collections-Streams-StephaneDucasse.105.mcz
Collections-Strings-MarcusDenker.217.mcz
Collections-Support-MarcusDenker.49.mcz
Collections-Text-MarcusDenker.79.mcz
Collections-Traits-StephaneDucasse.6.mcz
Collections-Unordered-MarcusDenker.133.mcz
Collections-Weak-MarcusDenker.63.mcz
CollectionsTests-MarcusDenker.559.mcz
Compatibility-MarcusDenker.8.mcz
Compiler-StephaneDucasse.331.mcz
CompilerTests-MarcusDenker.108.mcz
Compression-MarcusDenker.98.mcz
CompressionTests-MarcusDenker.2.mcz
Deprecated20-EstebanLorenzano.7.mcz
EmergencyEvaluator-StephaneDucasse.27.mcz
EventModel-StephaneDucasse.1.mcz
FamFam-Icons-MarcusDenker.8.mcz
FileSystem-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Core-MarcusDenker.10.mcz
FileSystem-Disk-StephaneDucasse.9.mcz
FileSystem-Memory-EstebanLorenzano.6.mcz
FileSystem-Tests-AnsiStreams-MarcusDenker.4.mcz
FileSystem-Tests-Core-MarcusDenker.8.mcz
FileSystem-Tests-Disk-EstebanLorenzano.6.mcz
FileSystem-Tests-Memory-MarcusDenker.4.mcz
FileSystem-Zip-EstebanLorenzano.6.mcz
Files-MarcusDenker.ducasse.242.mcz
FixUnderscores-MarcusDenker.23.mcz
FreeType-EstebanLorenzano.580.mcz
FreeTypeTests-StephaneDucasse.3.mcz
Fuel-MarcusDenker.686.mcz
FuelCommandLineHandler-MarcusDenker.4.mcz
FuelFileSystem-MarcusDenker.5.mcz
FuelFileSystemTests-MarcusDenker.3.mcz
FuelMetalevel-MarcusDenker.51.mcz
FuelMetalevelTests-MarcusDenker.44.mcz
FuelPackageLoader-MarcusDenker.106.mcz
FuelPackageLoaderTests-MarcusDenker.33.mcz
FuelTests-MarcusDenker.268.mcz
Gofer-Core-StephaneDucasse.148.mcz
Gofer-Tests-StephaneDucasse.133.mcz
Graphics-Display Objects-MarcusDenker.76.mcz
Graphics-External-MarcusDenker.11.mcz
Graphics-Files-MarcusDenker.25.mcz
Graphics-Fonts-MarcusDenker.55.mcz
Graphics-Primitives-MarcusDenker.82.mcz
Graphics-Resources-MarcusDenker.14.mcz
Graphics-Support-MarcusDenker.13.mcz
Graphics-Tests-MarcusDenker.22.mcz
Graphics-Text-MarcusDenker.32.mcz
Graphics-Transformations-MarcusDenker.5.mcz
GroupManager-EstebanLorenzano.27.mcz
GroupManagerUI-EstebanLorenzano.14.mcz
Growl-EstebanLorenzano.8.mcz
HelpSystem-Core-StephaneDucasse.87.mcz
HelpSystem-Tests-StephaneDucasse.19.mcz
HistoryCollection-EstebanLorenzano.10.mcz
Kernel-MarcusDenker.1102.mcz
KernelTests-MarcusDenker.410.mcz
Keymapping-Core-MarcusDenker.124.mcz
Keymapping-Pragmas-MarcusDenker.16.mcz
Keymapping-Settings-MarcusDenker.63.mcz
Keymapping-Shortcuts-MarcusDenker.57.mcz
Keymapping-Tests-MarcusDenker.59.mcz
Keymapping-Tools-Spec-StephaneDucass.6.mcz
MenuRegistration-MarcusDenker.38.mcz
Monticello-MarcusDenker.601.mcz
MonticelloConfigurations-StephaneDucasse.61.mcz
MonticelloGUI-StephaneDucasse.153.mcz
Monticellomocks-MarcusDenker.1.mcz
Morphic-MarcusDenker.1168.mcz
MorphicTests-MarcusDenker.50.mcz
Multilingual-Encodings-MarcusDenker.27.mcz
Multilingual-ImmPlugin-LaurentLaffont.10.mcz
Multilingual-Languages-MarcusDenker.17.mcz
Multilingual-Tests-MarcusDenker.12.mcz
Multilingual-TextConversion-MarcusDenker.31.mcz
Multilingual-UnicodeInitialization-MarcusDenker.2.mcz
NECompletion-MarcusDenker.23.mcz
NOCompletion-EstebanLorenzano.9.mcz
Nautilus-MarcusDenker.284.mcz
NautilusCommon-MarcusDenker.68.mcz
NautilusRefactoring-StephaneDucasse.33.mcz
Network-Kernel-MarcusDenker.67.mcz
Network-MIME-StephaneDucasse.43.mcz
Network-Mail-MarcusDenker.12.mcz
Network-Protocols-MarcusDenker.77.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-URI-StephaneDucasse.34.mcz
Network-UUID-MarcusDenker.22.mcz
Network-Url-MarcusDenker.68.mcz
NetworkTests-MarcusDenker.68.mcz
NonInteractiveTranscript-StephaneDucasse.3.mcz
PackageInfo-MarcusDenker.77.mcz
Polymorph-EventEnhancements-MarcusDenker.13.mcz
Polymorph-Geometry-LaurentLaffont.8.mcz
Polymorph-TaskbarIcons-MarcusDenker.12.mcz
Polymorph-Tools-Diff-MarcusDenker.77.mcz
Polymorph-Widgets-MarcusDenker.640.mcz
RPackage-Core-StephaneDucasse.124.mcz
RPackage-SystemIntegration-StephaneDucasse.98.mcz
RPackage-Tests-StephaneDucasse.61.mcz
RecentSubmissions-MarcusDenker.157.mcz
Refactoring-Changes-EstebanLorenzano.21.mcz
Refactoring-Core-EstebanLorenzano.157.mcz
Refactoring-Critics-EstebanLorenzano.14.mcz
Refactoring-Environment-EstebanLorenzano.10.mcz
Refactoring-Pharo-Platform-EstebanLorenzano.2.mcz
Refactoring-Spelling-EstebanLorenzano.29.mcz
Regex-Core-StephaneDucasse.8.mcz
Regex-Help-StephaneDucasse.2.mcz
Regex-Tests-Core-StephaneDucasse.3.mcz
Ring-Core-Containers-StephaneDucasse.15.mcz
Ring-Core-Kernel-StephaneDucasse.55.mcz
Ring-Monticello-StephaneDucasse.2.mcz
Ring-Tests-Containers-MarcusDenker.4.mcz
Ring-Tests-Kernel-MarcusDenker.25.mcz
SUnit-Core-MarcusDenker.25.mcz
SUnit-Help-MarcusDenker.1.mcz
SUnit-Tests-MarcusDenker.4.mcz
SUnit-UI-MarcusDenker.23.mcz
Settings-Compiler-StephaneDucasse.3.mcz
Settings-Display-MarcusDenker.7.mcz
Settings-FreeType-MarcusDenker.4.mcz
Settings-Graphics-MarcusDenker.14.mcz
Settings-Kernel-StephaneDucasse.3.mcz
Settings-Monticello-StephaneDucasse.4.mcz
Settings-Network-MarcusDenker.8.mcz
Settings-Polymorph-StephaneDucasse.45.mcz
Settings-System-MarcusDenker.19.mcz
Settings-Tools-StephaneDucasse.39.mcz
Shout-MarcusDenker.138.mcz
ShoutTests-MarcusDenker.17.mcz
Spec-Bindings-EstebanLorenzano.5.mcz
Spec-Core-MarcusDenker.24.mcz
Spec-Tests-MarcusDenker.8.mcz
Spec-Tools-StephaneDucasse.27.mcz
Spec-Widgets-MarcusDenker.29.mcz
StartupPreferences-StephaneDucasse.44.mcz
System-Announcements-StephaneDucasse.9.mcz
System-Applications-EstebanLorenzano.42.mcz
System-Change Notification-MarcusDenker.25.mcz
System-Changes-MarcusDenker.139.mcz
System-Clipboard-StephaneDucasse.23.mcz
System-CommandLine-MarcusDenker.22.mcz
System-FilePackage-MarcusDenker.66.mcz
System-FileRegistry-MarcusDenker.15.mcz
System-Finalization-StephaneDucasse.17.mcz
System-Hashing-StephaneDucasse.18.mcz
System-History-MarcusDenker.5.mcz
System-Installers-MarcusDenker.18.mcz
System-Localization-MarcusDenker.63.mcz
System-Object Events-StephaneDucasse.11.mcz
System-Object Storage-EstebanLorenzano.162.mcz
System-Platforms-StephaneDucasse.19.mcz
System-Serial Port-MarcusDenker.20.mcz
System-Settings-MarcusDenker.262.mcz
System-Sound-StephaneDucasse.10.mcz
System-Support-MarcusDenker.633.mcz
System-Text-EstebanLorenzano.210.mcz
System-Tools-MarcusDenker.83.mcz
Tests-StephaneDucasse.387.mcz
Tools-MarcusDenker.858.mcz
ToolsTest-MarcusDenker.denker.23.mcz
Traits-MarcusDenker.417.mcz
Transcript-MarcusDenker.4.mcz
TrueType-StephaneDucasse.33.mcz
UI-Basic-MarcusDenker.12.mcz
UIManager-MarcusDenker.64.mcz
Zinc-HTTP-MarcusDenker.256.mcz
Zinc-Patch-HTTPSocket-StephaneDucasse.2.mcz
Zinc-Tests-EstebanLorenzano.131.mcz'
findTokens: String lf , String cr! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 11/13/2010 22:30'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: 'sd' to: 'zork'"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllHTTPRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self addHomeRepositoryToAllPackages! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'adrian lienhard 11/7/2008 22:07'!
setUpdateAndScriptVersionNumbers
	CurrentUpdateVersionNumber := self getLatestUpdateNumber + 1.
	CurrentScriptVersionNumber := self getLatestScriptNumber + 1.! !

!ScriptLoader methodsFor: 'utils' stamp: 'StephaneDucasse 11/8/2010 22:09'!
shortImageName
	"should be removed when the version  will be integrated in SmalltalkImage"
	
	^ FileDirectory baseNameFor: (FileDirectory default localNameFor: Smalltalk imageName).! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 8/21/2011 15:57'!
taskForcesRepositoryUrlString
	
	^ self rootURLString , 'PharoTaskForces'! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 11/13/2010 22:21'!
theScriptLoaderPackageName
	^'ScriptLoader',  CurrentMajorVersionNumber asString copyWithout: $. ! !

!ScriptLoader methodsFor: 'mc public utils' stamp: 'StephaneDucasse 5/26/2012 22:02'!
unloadPackage: aString
	"self new unloadPackage: 'Sixx'"
	| toRemove | 
	toRemove := (self allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	toRemove unload.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephane.ducasse 2/6/2009 17:36'!
unloadPackageNamed: aString
	"self new workingCopyFromPackageName: 'CollectionExtensions' "
	
	^ (self workingCopyFromPackageName: aString) unload
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 4/20/2012 16:15'!
update20005! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/20/2012 16:24'!
update20006
	"self new update20006"
	self withUpdateLog: 'Issue 5615:	clean up #contextForLocalVariables
	http://code.google.com/p/pharo/issues/detail?id=5615'.
	self loadTogether: self script2 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/24/2012 18:10'!
update20007! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/24/2012 18:10'!
update20008! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/24/2012 18:17'!
update20009
	"self new update20009"
	self withUpdateLog: 'Issue 5564:	Support bit operations on Boolean / Integers
	http://code.google.com/p/pharo/issues/detail?id=5564
	
Issue 5641:	Unload Deprecated14
	http://code.google.com/p/pharo/issues/detail?id=5641'.
	self loadTogether: self script3 merge: false.
	ScriptLoader new unloadPackageNamed: 'Deprecated14'.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 4/25/2012 16:21'!
update20010
	"self new update20010"
	self withUpdateLog: 'reintroducing addPackage: so that we can load configuration.'.
	self loadTogether: self script4 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 4/25/2012 17:09'!
update20011
	"self new update20011"
	self withUpdateLog: 'introducing: 

-RPackage
-Spec
-Keymapping
-Refactoring Engine
-AST
-Nautilus

- Issue 5665:	bug on new ecompletion/ocompletion
	http://code.google.com/p/pharo/issues/detail?id=5665
	
- Issue 5671:	Polymorph fixes
	http://code.google.com/p/pharo/issues/detail?id=5671'.
	self loadTogether: self script5 merge: false.
	World resetWorldMenu.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/26/2012 15:41'!
update20012
	"self new update20012"
	ScriptLoader new addHomeRepositoryToAllPackages.
ScriptLoader showIntegrationMenu.
	self withUpdateLog: 'Issue 5686:	Add some primitive testing methods to CompiledMethod
	http://code.google.com/p/pharo/issues/detail?id=5686
	
Issue 5692:	extract startup and shutdown from snapshot:andQuit:
	http://code.google.com/p/pharo/issues/detail?id=5692
	
Issue 5688:	remove #isClosureCompiled
	http://code.google.com/p/pharo/issues/detail?id=5688
	
Issue 5682:	metacelloPlatformAttributes should be updated.
	http://code.google.com/p/pharo/issues/detail?id=5682
	
Issue 5674:	remove more deprecated method
	http://code.google.com/p/pharo/issues/detail?id=5674
	
Issue 5639:	[EventModel] Remove more direct usage of Sensor
	http://code.google.com/p/pharo/issues/detail?id=5639'.
	self loadTogether: self script6 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 09:56'!
update20013
	"self new update20013"
	self withUpdateLog: 'Issue 5700:	Failing test: MethodReferenceTest
	http://code.google.com/p/pharo/issues/detail?id=5700
	
Issue 5687:	remove and clean up CompiledMethod>>#hasNewPropertyFormat
	http://code.google.com/p/pharo/issues/detail?id=5687'.
	self loadTogether: self script7 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 10:37'!
update20014
	"self new update20014"
	self withUpdateLog: 'Issue 5699:	Failing test: EventHandlerTest
	http://code.google.com/p/pharo/issues/detail?id=5699
	'.
	self loadTogether: self script8 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 11:03'!
update20015
	"self new update20015"
	self withUpdateLog: 'Issue 5691:	all sender of #getSourceFor:in: can just use #sourceCode
	http://code.google.com/p/pharo/issues/detail?id=5691
	
Issue 5651:	Fix for Classbuilder (subclasses of CompiledMethod)
	http://code.google.com/p/pharo/issues/detail?id=5651
	
Issue 5690:	CompiledMethod #sourceClass and #sourceSelector
	http://code.google.com/p/pharo/issues/detail?id=5690'.
	self loadTogether: self script9 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 11:30'!
update20016
	"self new update20016"
	self withUpdateLog: 'Issue 5701:	Obsolete Classes in 2.0
	http://code.google.com/p/pharo/issues/detail?id=5701
	
Issue 5708:	Smooth Block code editing in Debugger
	http://code.google.com/p/pharo/issues/detail?id=5708
	
Issue 5689:	remove #checkOKToAdd:at:
	http://code.google.com/p/pharo/issues/detail?id=5689
	
Issue 5707:	Integrate Keymappings-Tests into Pharo2.0
	http://code.google.com/p/pharo/issues/detail?id=5707'.
	self loadTogether: self script10 merge: false.
	Smalltalk tools remove: #messageNames.
ScriptLoader new addHomeRepositoryToAllPackages.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 11:57'!
update20017
	"self new update20017"
	self withUpdateLog: 'Issue 5684:	Integrate famfam icons
	http://code.google.com/p/pharo/issues/detail?id=5684
	'.
	self loadTogether: self script11 merge: false.
	ThemeIcons initializeIcons.
World resetWorldMenu.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 13:35'!
update20018
	"self new update20018"
	self withUpdateLog: 'Issue 5709:	#getSourceFromFile should not be called from external clients
	http://code.google.com/p/pharo/issues/detail?id=5709
	
Issue 5648:	self world in HaloMorph is nil
	http://code.google.com/p/pharo/issues/detail?id=5648
	
Issue 5666:	Unable to open the menu with one click mouse (again)
	http://code.google.com/p/pharo/issues/detail?id=5666
	
Issue 5619:	PluggableListMorph drag/drop raise DNU
	http://code.google.com/p/pharo/issues/detail?id=5619'.
	self loadTogether: self script12 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 14:06'!
update20019
	"self new update20019"
	self withUpdateLog: 'Issue 5598:	SHParserST80Test>>testObjectClass fails after Magritte is loaded
	http://code.google.com/p/pharo/issues/detail?id=5598
	
Issue 5621:	PackageInfo extensionMethods not gathering all extensions
	http://code.google.com/p/pharo/issues/detail?id=5621
	
Issue 5660:	having more handles*: for keyboard handling
	http://code.google.com/p/pharo/issues/detail?id=5660'.
	self loadTogether: self script13 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 14:39'!
update20020
	"self new update20020"
	self withUpdateLog: 'Issue 5675:	Easy fix in DropListMorph
	http://code.google.com/p/pharo/issues/detail?id=5675
	
Issue 5642:	better tempNamed:
	http://code.google.com/p/pharo/issues/detail?id=5642
	
Issue 5594:	ClassOrganizer use printString for changeSet
	http://code.google.com/p/pharo/issues/detail?id=5594'.
	self loadTogether: self script14 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 14:53'!
update20021
	"self new update20021"
	self withUpdateLog: 'Issue 5584:	File Browser not recognizing cs and st if filename has more than one point
	http://code.google.com/p/pharo/issues/detail?id=5584
	
Issue 5714:	VersionsBrowser for human beings
	http://code.google.com/p/pharo/issues/detail?id=5714
	
Issue 5646:	use a dictionary instead of caseOf:
	http://code.google.com/p/pharo/issues/detail?id=5646
	
'.
	self loadTogether: self script15 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 15:24'!
update20022
	"self new update20022"
	self withUpdateLog: 'Issue 5633:	Cleaning addUpdating: wordingSelector target: target selector: aSymbol argumentList: argList
	http://code.google.com/p/pharo/issues/detail?id=5633
'.
	self loadTogether: self script16 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 15:36'!
update20023
	"self new update20023"
	self withUpdateLog: 'Issue 5718:	Rename in file browser dnu
	http://code.google.com/p/pharo/issues/detail?id=5718

	
Issue 5685:	Add expand all and collapse all to Monticello Changes and Merg
	http://code.google.com/p/pharo/issues/detail?id=5685'.
	self loadTogether: self script17 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/27/2012 16:08'!
update20024
	"self new update20024"
	self withUpdateLog: 'Issue 5719:	Create trait with Nautilus fails
	http://code.google.com/p/pharo/issues/detail?id=5719
	
-> last Nautilus and Spec packages'.
	self loadTogether: self script18 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/28/2012 00:08'!
update20025
	"self new update20025"
	self withUpdateLog: 'Issue 5728:	Add voidCogVMState primitives
	http://code.google.com/p/pharo/issues/detail?id=5728
	
Issue 5727:	add how to use comment to SystemProgressBarMorph
	http://code.google.com/p/pharo/issues/detail?id=5727
	
Issue 5704:	 speed-up unwind-protects a little.
	http://code.google.com/p/pharo/issues/detail?id=5704
	
Issue 5605:	DateAndTimeTest>>testPrintStringNoOffset fails on pharo-one-click
	http://code.google.com/p/pharo/issues/detail?id=5605
	
Issue 5653:	SystemNavigation has unused class variable Default
	http://code.google.com/p/pharo/issues/detail?id=5653'.
	self loadTogether: self script19 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/28/2012 09:24'!
update20026
	"self new update20026"
	self withUpdateLog: 'Issue 5722:	Be able to remove traits from class definition
	http://code.google.com/p/pharo/issues/detail?id=5722
	
Issue 5715:	Enhance the Slice Maker so that is gets the issue title automatically
	http://code.google.com/p/pharo/issues/detail?id=5715
	
Issue 5580:	MCOrganization unload correctly
	http://code.google.com/p/pharo/issues/detail?id=5580'.
	self loadTogether: self script20 merge: false.
	ScriptLoader new cleanUpForRelease.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/28/2012 22:16'!
update20027
	"self new update20027"
	self withUpdateLog: 'Issue 5731:	Add trait test for a specific failing case
	http://code.google.com/p/pharo/issues/detail?id=5731
	
Issue 5729:	remove #profile from InflateStream
	http://code.google.com/p/pharo/issues/detail?id=572'.
	self loadTogether: self script21 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/29/2012 11:20'!
update20028
	"self new update20028"
	self withUpdateLog: 'Issue 5734:	Clients of CompiledMethod should not call #getSource
	http://code.google.com/p/pharo/issues/detail?id=5734
	
Issue 5735:	add #generateWithSources to MethodNode
	http://code.google.com/p/pharo/issues/detail?id=5735'.
	self loadTogether: self script22 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/30/2012 09:55'!
update20029
	"self new update20029"
	self withUpdateLog: 'Issue 5736:	deprecate #getSourceFor:in:
	http://code.google.com/p/pharo/issues/detail?id=5736
	
Issue 5741:	New version of NautilusCommon
	http://code.google.com/p/pharo/issues/detail?id=5741

Issue 5745:	numArgs, numTemps, endPC & isClean et al
	http://code.google.com/p/pharo/issues/detail?id=5745'.
	self loadTogether: self script23 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/30/2012 14:19'!
update20030
	"self new update20030"
	self withUpdateLog: 'Issue 5749:	Show categories in senders, implementors, etc.
	http://code.google.com/p/pharo/issues/detail?id=5749
	
Issue 5605:	DateAndTimeTest>>testPrintStringNoOffset fails on pharo-one-click
	http://code.google.com/p/pharo/issues/detail?id=5605
	
Issue 5722:	Be able to remove traits from class definition
	http://code.google.com/p/pharo/issues/detail?id=5722'.
	self loadTogether: self script24 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/30/2012 20:45'!
update20031
	"self new update20031"
	self withUpdateLog: 'Issue 5679:	Removing a trait does not remove trait methods from class
	http://code.google.com/p/pharo/issues/detail?id=5679
	
Issue 5737:	cleanup #useClosureBytecodes
	http://code.google.com/p/pharo/issues/detail?id=5737
	
Issue 5752:	Update Keymapping
	http://code.google.com/p/pharo/issues/detail?id=5752'.
	self loadTogether: self script25 merge: false.
	KMRepository reset.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 4/30/2012 21:03'!
update20032
	"self new update20032"
	self withUpdateLog: 'Issue 5722:	Be able to remove traits from class definition
		http://code.google.com/p/pharo/issues/detail?id=5722'.
	self loadTogether: self script26 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/1/2012 11:24'!
update20033
	"self new update20033"
	self withUpdateLog: 'Issue 5703:	Failing tests related to SystemNavigation
	http://code.google.com/p/pharo/issues/detail?id=5703
	
Issue 5694:	Failing tests related to RPackage
	http://code.google.com/p/pharo/issues/detail?id=5694'.
	self loadTogether: self script27 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/1/2012 16:46'!
update20034
	"self new update20034"
	self withUpdateLog: 'Issue 5754:	Failing tests: #testAllDictionariesAreHealthy
	http://code.google.com/p/pharo/issues/detail?id=5754
	
Issue 5757:	remove expected failure from testMirrorSize
	http://code.google.com/p/pharo/issues/detail?id=5757
	
Issue 5722:	Be able to remove traits from class definition
	http://code.google.com/p/pharo/issues/detail?id=5722
	
Issue 5702:	Undeclareds in 2.0
	http://code.google.com/p/pharo/issues/detail?id=5702'.
	self loadTogether: self script28 merge: false.
	ScriptLoader new cleanUpForRelease.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/1/2012 19:05'!
update20035
	"self new update20035"
	self withUpdateLog: 'Issue 5762:	Some initialization fixes in WeakFinalizationList
	http://code.google.com/p/pharo/issues/detail?id=5762
	
Issue 5761:	Some initialization fixes in FileDirectory
	http://code.google.com/p/pharo/issues/detail?id=5761
		
Issue 5759:	Some initialization fixes in Graphics-External-Ffenestri
	http://code.google.com/p/pharo/issues/detail?id=5759
	
Issue 5746:	Add announcer property into morph
	http://code.google.com/p/pharo/issues/detail?id=5746
	'.
	self loadTogether: self script29 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/1/2012 20:00'!
update20036
	"self new update20036"
	self withUpdateLog: 'Issue 5740:	Clean up Temp Embedding 1): Traits
	http://code.google.com/p/pharo/issues/detail?id=5740
'.
	self loadTogether: self script30 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/2/2012 09:03'!
update20037
	"self new update20037"
	self withUpdateLog: 'Issue 5763:	ProtoObject>>#~~ cleanup
	http://code.google.com/p/pharo/issues/detail?id=5763
	
Issue 5743:	Cannot load editions of class side methods
	http://code.google.com/p/pharo/issues/detail?id=5743
	
Issue 2063:	NumberTest
	http://code.google.com/p/pharo/issues/detail?id=2063
'.
	self loadTogether: self script31 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/2/2012 14:10'!
update20038
	"self new update20038"
	self withUpdateLog: 'Issue 5775:	add test to trait removal
	http://code.google.com/p/pharo/issues/detail?id=5775
	
Issue 5738:	do allow the same ivar in the hierarchy
	http://code.google.com/p/pharo/issues/detail?id=5738
	
Issue 5742:	BallonMorph shows flyover help using an extra line
	http://code.google.com/p/pharo/issues/detail?id=5742
	
Issue 5667:	Renaming a file just deletes it due to missing #fileNameFromFormattedItem:
	http://code.google.com/p/pharo/issues/detail?id=5667
	
Issue 5773:	Have access to the original event in PLuggableButtonMorph
	http://code.google.com/p/pharo/issues/detail?id=5773'.
	self loadTogether: self script32 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/2/2012 14:57'!
update20039
	"self new update20039"
	self withUpdateLog: 'Issue 5779:	remove testDuplicateInstanceVariableError
	http://code.google.com/p/pharo/issues/detail?id=5779
	
Issue 5767:	[BUG]: Nautilus has re-bound the explore shortcut
	http://code.google.com/p/pharo/issues/detail?id=5767
	
Issue 5768:	[ENH]: Nautilus - Debug test	
	http://code.google.com/p/pharo/issues/detail?id=5768
	
Issue 5724:	integrate Spotlight in Pharo 2.0
	http://code.google.com/p/pharo/issues/detail?id=5724'.
	self loadTogether: self script33 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/2/2012 16:00'!
update20040! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/2/2012 16:00'!
update20041! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/3/2012 09:38'!
update20042
	"self new update20042"
	self withUpdateLog: 'Issue 5777:	Test and workaround for methods with incorrect global literals
	http://code.google.com/p/pharo/issues/detail?id=5777

Issue 5781:	Add nice diff morph to compare to current and compare to version...
	http://code.google.com/p/pharo/issues/detail?id=5781'.
	self loadTogether: self script34 merge: false.
	Compiler recompileAll.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/3/2012 10:38'!
update20043
	"self new update20043"
	self withUpdateLog: ' Issue 5744:	Clean up Temp Embedding 2): DoIts
	http://code.google.com/p/pharo/issues/detail?id=5744'.
	self loadTogether: self script35 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 10:23'!
update20044
	"self new update20044"
	self withUpdateLog: 'Issue 5785:	Nautilus: - Fix BreadCrumb plugin - Add Guillermos plugin - Fix Package Removal
	http://code.google.com/p/pharo/issues/detail?id=5785
	
Issue 5784:	Clean FSReference from comments
	http://code.google.com/p/pharo/issues/detail?id=5784
	
Issue 5792:	Fix tempNamed and tempNamedPut
	http://code.google.com/p/pharo/issues/detail?id=5792
	
Issue 5788:	methodsWithUnboundGlobals should search by identity
	http://code.google.com/p/pharo/issues/detail?id=5788
	
Issue 5794:	Move DebuggerMethodMap to Kernel
	http://code.google.com/p/pharo/issues/detail?id=5794'.
	self loadTogether: self script36 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 10:48'!
update20045
	"self new update20045"
	self withUpdateLog: 'Issue 5801:	remove #testLiteralsForGlobalBehaviorsAreCorrect
	http://code.google.com/p/pharo/issues/detail?id=5801
	
Issue 5758:	Improve CommandLine handling
	http://code.google.com/p/pharo/issues/detail?id=5758'.
	self loadTogether: self script37 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 12:53'!
update20046
	"self new update20046"
	ScriptLoader new addHomeRepositoryToAllPackages.
	self withUpdateLog: 'Issue 5789:	Merge ExpandedSourceFileArray into SourceFileArray (part1 copy methods)
	http://code.google.com/p/pharo/issues/detail?id=5789
	
Issue 5804:	Failing Test:testCommandLineHandlerCondition
	http://code.google.com/p/pharo/issues/detail?id=5804
	
	
Issue 5795:	Merge System-BreakPoints with Tools-Debugger
	http://code.google.com/p/pharo/issues/detail?id=5795'.
	self loadTogether: self script38 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 13:22'!
update20047
	"self new update20047"
	self withUpdateLog: 'Issue 5782:	Close ALL windows, no matter if they have unchanged changes
	http://code.google.com/p/pharo/issues/detail?id=5782
	
Issue 5792:	Fix tempNamed and tempNamedPut
	http://code.google.com/p/pharo/issues/detail?id=5792
	
Issue 5790:	Merge ExpandedSourceFileArray into SourceFileArray (part2 install and fix tests)
	http://code.google.com/p/pharo/issues/detail?id=5790'.
	self loadTogether: self script39 merge: false.
	SourceFileArray install.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 14:06'!
update20048
	"self new update20048"
	self withUpdateLog: 'Issue 5793:	More flexible special objects array
	http://code.google.com/p/pharo/issues/detail?id=5793
	
Issue 5802:	Clean Embedded Temp Names: CompiledMethodTrailer
	http://code.google.com/p/pharo/issues/detail?id=5802
	
Issue 5791:	Merge ExpandedSourceFileArray into SourceFileArray (part3: remove ExpandedSourceFileArray)
	http://code.google.com/p/pharo/issues/detail?id=5791'.
	self loadTogether: self script40 merge: false.
	Smalltalk specialObjectsArray: Smalltalk primitiveGetSpecialObjectsArray.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/4/2012 16:05'!
update20049
	"self new update20049"
	self withUpdateLog: 'Issue 5751:	SUnit-UI Interaction refactor
	http://code.google.com/p/pharo/issues/detail?id=5751
	
Issue 5445:	Broken command-line arguments in 1.4
	http://code.google.com/p/pharo/issues/detail?id=5445'.
	self loadTogether: self script41 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/5/2012 12:53'!
update20050
	"self new update20050"
	self withUpdateLog: 'Issue 5813:	remove empty packages
	http://code.google.com/p/pharo/issues/detail?id=5813
	
Issue 5811:	Put comment in #methodsWithUnboundGlobals
	http://code.google.com/p/pharo/issues/detail?id=5811

Issue 5807:	basic fixes for Pharo Kernel 2.0
	http://code.google.com/p/pharo/issues/detail?id=5807
	
Issue 5805:	Failing Test FailingTestResourceTestCase>>#testRunSuiteWithResource
	http://code.google.com/p/pharo/issues/detail?id=5805
	
Issue 5799:	run once in startUp preferences is broken
	http://code.google.com/p/pharo/issues/detail?id=5799
	
Issue 5800:	stdin hangs until EOF
	http://code.google.com/p/pharo/issues/detail?id=5800
	
Issue 5493:	FileDirectory >> statsForDirectoryTree: depends on Cursor
	http://code.google.com/p/pharo/issues/detail?id=5493
	
Issue 5783:	MenuRegistrationExample class>>toolsOn: causes DNU
	http://code.google.com/p/pharo/issues/detail?id=5783'.
	self loadTogether: self script42 merge: false.
	ScriptLoader new unloadPackageNamed: 'System-BreakPoints'.
ScriptLoader new unloadPackageNamed:  'System-Debugging'.
RPackageOrganizer default unregisterPackageNamed:   'System-Debugging'.
RPackageOrganizer default unregisterPackageNamed:    'System-BreakPoints'.
RPackageOrganizer default unregisterPackageNamed:    'ScriptLoader14'.
RPackageOrganizer default unregisterPackageNamed:    'Deprecated14'.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/5/2012 13:15'!
update20051
	"self new update20051"
	self withUpdateLog: 'Issue 5562:	TestCase>>#assert:equals: optimization
	http://code.google.com/p/pharo/issues/detail?id=5562
	
Issue 5810:	KMPragmaKeymapBuilder needs better cleanup
	http://code.google.com/p/pharo/issues/detail?id=5810
	
Issue 5798:	Enable again back StartUpPreferences for unix and mac
	http://code.google.com/p/pharo/issues/detail?id=5798
	
Issue 5684:	Integrate famfam icons
	http://code.google.com/p/pharo/issues/detail?id=5684'.
	self loadTogether: self script43 merge: false.
	ThemeIcons initializeIcons.
World resetWorldMenu.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/5/2012 19:23'!
update20052
	"self new update20052"
	self withUpdateLog: 'Issue 5812:	Add new Chunk format importer
	http://code.google.com/p/pharo/issues/detail?id=5812
	
Issue 5808:	SimpleCodeLoader not needed
	http://code.google.com/p/pharo/issues/detail?id=5808'.
	self loadTogether: self script44 merge: false.
	ScriptLoader new addHomeRepositoryToAllPackages.
.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 10:13'!
update20053! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 10:13'!
update20054! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 10:17'!
update20055
	"self new update20055"
	self withUpdateLog: 'Issue 5817:	privShrinkingProcess with new KMPragmaKeymapBuilder
	http://code.google.com/p/pharo/issues/detail?id=5817
	
Issue 5815:	Break dependency between traits and ring
	http://code.google.com/p/pharo/issues/detail?id=5815'.
	self loadTogether: self script45 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 14:52'!
update20056
	"self new update20056"
	self withUpdateLog: 'Issue 5820:	RPackage and Monticello dependency
	http://code.google.com/p/pharo/issues/detail?id=5820
	
Issue 5823:	remove update stream posting from MCConfiguration Browser
	http://code.google.com/p/pharo/issues/detail?id=5823

Issue 5826:	New versions of Spec
	http://code.google.com/p/pharo/issues/detail?id=5826'.
	self loadTogether: self script46 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 16:33'!
update20057
	"self new update20057"
	self withUpdateLog: 'Issue 5824:	Issue in list initialization if you do not use getList: but getListElement: instead
	http://code.google.com/p/pharo/issues/detail?id=5824
	
Issue 5825:	New MessageBrowser
	http://code.google.com/p/pharo/issues/detail?id=5825
	
Issue 4575:	ProtocolBrowser should be deprecated
	http://code.google.com/p/pharo/issues/detail?id=4575'.
	self loadTogether: self script47 merge: false.
	Smalltalk tools register: MessageBrowser as: #messageList.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/7/2012 17:53'!
update20058
	"self new update20058"
	self withUpdateLog: 'Issue 5829:	MessageSet can be removed
	http://code.google.com/p/pharo/issues/detail?id=5829
	
Issue 5828:	New version of Nautilus
	http://code.google.com/p/pharo/issues/detail?id=5828'.
	self loadTogether: self script48 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/8/2012 09:59'!
update20059
	"self new update20059"
	self withUpdateLog: 'Issue 5836:	RPackage reference to MessageSet
	http://code.google.com/p/pharo/issues/detail?id=5836
	
Issue 5827:	remove #directoryUrl
	http://code.google.com/p/pharo/issues/detail?id=5827
	
Issue 5834:	New MessageList does not show category for implementors
	http://code.google.com/p/pharo/issues/detail?id=5834'.
	self loadTogether: self script49 merge: false.
	((RPackageOrganizer default packageNamed: #Shout) instVarNamed: 'classExtensionSelectors') removeKey: #MessageSet.
((RPackageOrganizer default packageNamed: #'Shout-Styling') instVarNamed: 'classExtensionSelectors') removeKey: #MessageSet.
.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/12/2012 14:46'!
update20060
	"self new update20060"
	self withUpdateLog: 'Issue 5846:	register correct message browser
	http://code.google.com/p/pharo/issues/detail?id=5846
	
Issue 5845:	MCRepositoryGroup>>removeHTTPRepositoryLocationNamed: bad category
	http://code.google.com/p/pharo/issues/detail?id=5845'.
	self loadTogether: self script50 merge: false.
	Smalltalk 
		at: #FlatMessageListBrowser 
		ifPresent: [ :c | c registerToolsOn: Smalltalk tools ].
ScriptLoader new unloadPackageNamed: 'ScriptLoader13'.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/9/2012 10:43'!
update20061
	"self new update20061"
	self withUpdateLog: 'Issue 5848:	Updating broken because DNU #removeHTTPRepositoryLocationNamed:
	http://code.google.com/p/pharo/issues/detail?id=5848
	
Issue 5844:	newSpecialArray fixes
	http://code.google.com/p/pharo/issues/detail?id=5844
	
Issue 5843:	Nautilus DNU on context menu on Class
	http://code.google.com/p/pharo/issues/detail?id=5843
	
Issue 5842:	remove browse it here
	http://code.google.com/p/pharo/issues/detail?id=5842
	
Issue 5841:	referredInstVars
	http://code.google.com/p/pharo/issues/detail?id=5841
	
Issue 3639:	Remove ServerDirectory
	http://code.google.com/p/pharo/issues/detail?id=3639'.
	self loadTogether: self script51 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/9/2012 17:46'!
update20062
	"self new update20062"
	self withUpdateLog: 'Issue 5602:	Unicode Initialization lost
	http://code.google.com/p/pharo/issues/detail?id=5602
	
Issue 5851:	Drag and drop broken in Nautilus
	http://code.google.com/p/pharo/issues/detail?id=5851
	
Issue 5849:	remove empty packages Network-RemoteDirectory and ScriptLoader13
	http://code.google.com/p/pharo/issues/detail?id=5849
	
-> do a #cleanUpForRelease'.
	self loadTogether: self script52 merge: false.
	ScriptLoader new unloadPackageNamed: 'Network-RemoteDirectory'.
RPackageOrganizer default unregisterPackageNamed: 'Network-RemoteDirectory'.
RPackageOrganizer default unregisterPackageNamed:'ScriptLoader13'.
ScriptLoader new cleanUpForRelease.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/10/2012 10:17'!
update20063
	"self new update20063"
	self withUpdateLog: 'Issue 5852:	remove NepaleseEnvironment
	http://code.google.com/p/pharo/issues/detail?id=5852
	
Issue 5312:	Move/Deprecate StandardFileStream browserRequest protocol
	http://code.google.com/p/pharo/issues/detail?id=5312'.
	self loadTogether: self script53 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/10/2012 13:25'!
update20064
	"self new update20064"
	self withUpdateLog: 'Issue 5838:	Error: Could not access http://www.squeaksource.com/MetaRepoForPharo20
	http://code.google.com/p/pharo/issues/detail?id=5838
	
Issue 5806:	Add an encrypted mode on PluggableTextFieldMorph
	http://code.google.com/p/pharo/issues/detail?id=5806
	
Issue 5712:	Do the Icons need attribution?
	http://code.google.com/p/pharo/issues/detail?id=5712'.
	self loadTogether: self script54 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/10/2012 15:32'!
update20065
	"self new update20065"
	self withUpdateLog: 'Issue 5821:	FlatMessageListBrowser broken with class comments
		http://code.google.com/p/pharo/issues/detail?id=5821'.
	self loadTogether: self script55 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/11/2012 13:06'!
update20066
	"self new update20066"
	self withUpdateLog: 'Issue 5860:	Package System-Download is empty and can be removed
	http://code.google.com/p/pharo/issues/detail?id=5860

Issue 5858:	DateAndTime >>#hash
	http://code.google.com/p/pharo/issues/detail?id=5858
	
Issue 5855:	During snapshot: Send cr after Transcript message
	http://code.google.com/p/pharo/issues/detail?id=5855
	
Issue 5853:	Pharo2.0a Latest update: #20064 One click brings debugger on Windows due to missing converter for stdout stream
	http://code.google.com/p/pharo/issues/detail?id=5853
	
Issue 5854:	FixSomeTests: Unreferences Global and Ftp
	http://code.google.com/p/pharo/issues/detail?id=5854'.
	self loadTogether: self script56 merge: false.
	ScriptLoader new unloadPackageNamed: 'System-Download'.
RPackageOrganizer default unregisterPackageNamed: 'System-Download'.
.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/11/2012 13:20'!
update20067
	"self new update20067"
	self withUpdateLog: 'Issue 5850:	Move SpaceTally and SpaceTallyItem to Tools-Profilers
	http://code.google.com/p/pharo/issues/detail?id=5850
	
Issue 5819:	first iteration on moving fileIn users to new codeImporter
	http://code.google.com/p/pharo/issues/detail?id=5819'.
	self loadTogether: self script57 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/11/2012 15:43'!
update20068
	"self new update20068"
	Smalltalk tools register: MessageBrowser as: #messageList.
HashedCollection allSubclassesDo: #rehashAll.
	self withUpdateLog: 'Issue 5832:	FlatMessageListBrowser can be removed
	http://code.google.com/p/pharo/issues/detail?id=5832

Issue 5862:	rehash all	
	http://code.google.com/p/pharo/issues/detail?id=5862'.
	self loadTogether: self script58 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/11/2012 18:25'!
update20069
	"self new update20069"
	self withUpdateLog: 'Issue 5865:	remove ChangeFileReader
	http://code.google.com/p/pharo/issues/detail?id=5865
	
Issue 5864:	remove empty packages Spec-Core-Old-Interpreters and Spec-Core-Interpreters
	http://code.google.com/p/pharo/issues/detail?id=5864
	
Issue 5863:	add Deprecated20 package
	http://code.google.com/p/pharo/issues/detail?id=5863'.
	self loadTogether: self script59 merge: false.
	RPackageOrganizer default unregisterPackageNamed: 'Spec-Core-Old-Interpreters'.
RPackageOrganizer default unregisterPackageNamed: 'Spec-Core-Interpreters'.
RPackageOrganizer default unregisterPackageNamed: 'Tests-SystemSupport'.
RPackageOrganizer default unregisterPackageNamed: 'Tests-Browser'.
ScriptLoader new addHomeRepositoryToAllPackages.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/12/2012 08:50'!
update20070
	"self new update20070"
	self withUpdateLog: 'Issue 5137:	Object flash can be discarded
	http://code.google.com/p/pharo/issues/detail?id=5137
	
Issue 5867:	[BUG]: Nautilus wont launch
	http://code.google.com/p/pharo/issues/detail?id=5867'.
	self loadTogether: self script60 merge: false.
	RPackageOrganizer default packages do: [ :e |
	(e instVarNamed: #classExtensionSelectors) removeKey: #FlatMessageListBrowser ifAbsent: [] ].
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/12/2012 14:47'!
update20071
	"self new update20071"
	self withUpdateLog: 'Issue 5866:	error in new CodeImporter
	http://code.google.com/p/pharo/issues/detail?id=5866
	
Issue 5835:	Improved version of StartupPreferences
	http://code.google.com/p/pharo/issues/detail?id=5835'.
	self loadTogether: self script61 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/13/2012 20:35'!
update20072
	"self new update20072"
	self withUpdateLog: 'Issue 5886:	Minor fix in Nautilus
	http://code.google.com/p/pharo/issues/detail?id=5886
	
Issue 5875:	Too Many Options
	http://code.google.com/p/pharo/issues/detail?id=5875
	
Issue 5833:	More robust allSuperclassesIncluding:
	http://code.google.com/p/pharo/issues/detail?id=5833
	
Issue 5872:	[BUG]: Nautilus doesnt know a method is selected
	http://code.google.com/p/pharo/issues/detail?id=5872
	
Issue 5869:	New versions of Spec (fixing a bit MessageBrowser)
	http://code.google.com/p/pharo/issues/detail?id=5869
	
Issue 5630:	Cannot browse traits with Nautius
	http://code.google.com/p/pharo/issues/detail?id=5630'.
	self loadTogether: self script62 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/14/2012 09:02'!
update20073
	"self new update20073"
	self withUpdateLog: 'Issue 5887:	Less Sensor hardcoded
	http://code.google.com/p/pharo/issues/detail?id=5887
	
Issue 5839:	TestRunner Run Coverage fails.
	http://code.google.com/p/pharo/issues/detail?id=5839
	
Issue 5876:	StringMorphAttributeScanner>>initializeFromStringMorph:
	http://code.google.com/p/pharo/issues/detail?id=5876'.
	self loadTogether: self script63 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/14/2012 10:42'!
update20074
	"self new update20074"
	self withUpdateLog: 'Issue 5890:	CodeImport package must be in the Pharo Kernel
	http://code.google.com/p/pharo/issues/detail?id=5890
	
Issue 5888:	MCPackageManager should be a subclass of Model	
	http://code.google.com/p/pharo/issues/detail?id=5888
	
Issue 5883:	Cleaning Event Handler and Polygon
	http://code.google.com/p/pharo/issues/detail?id=5883
	
Issue 5680:	NautilusBreadcrumbsPlugin support for cnd + click and even right click?
	http://code.google.com/p/pharo/issues/detail?id=5680'.
	self loadTogether: self script64 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/16/2012 16:49'!
update20075! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/16/2012 18:29'!
update20076
	"self new update20076"
	ScriptLoader showIntegrationMenu.
World resetWorldMenu.
	self withUpdateLog: 'Issue 5669:	MC Speedup
	http://code.google.com/p/pharo/issues/detail?id=5669'.
	self loadTogether: self script65 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucass 5/18/2012 19:26'!
update20077
	"self new update20077"
	self withUpdateLog: 'Issue 5922	Fixing Version browser
	http://code.google.com/p/pharo/issues/detail?id=5922

Issue 5918:	Commenting and cleaning Spec
	http://code.google.com/p/pharo/issues/detail?id=5918'.
	self loadTogether: self script66 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/19/2012 23:00'!
update20078
	"self new update20078"
	self withUpdateLog: '- Issue 5923:	More Sensor cleans and Process browser cleans. Thanks Igor Stasenko. 
	http://code.google.com/p/pharo/issues/detail?id=5923
-  Issue 5921:	menu for transcripter
	http://code.google.com/p/pharo/issues/detail?id=5921
- Issue 5915:	Cleaning Icons
	http://code.google.com/p/pharo/issues/detail?id=5915
- Issue 5904:	Less dependentFields users. Thanks Benjamin van Ryseghem. It was fun pair hacking.
	http://code.google.com/p/pharo/issues/detail?id=5904
- Issue 5903:	MonticelloAnnouncer may announce two times an announcement. Thanks Igor and Benjamin. 
	http://code.google.com/p/pharo/issues/detail?id=5903'.
	self loadTogether: self script67 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/20/2012 14:27'!
update20079
	"self new update20079"
	self withUpdateLog: 'Issue 5924:	SmallInteger>>digitAt: Test
	http://code.google.com/p/pharo/issues/detail?id=5924
	
Issue 5859:	Do we remove SmartRefStream?
	http://code.google.com/p/pharo/issues/detail?id=5859'.
	self loadTogether: self script68 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/20/2012 17:58'!
update20080
	"self new update20080"
	self withUpdateLog: '- Issue 5912: 	[ENH]: IntegerTests for Dummies. Thanks Sean De Nigris.
	http://code.google.com/p/pharo/issues/detail?id=5912
	
- Issue 5756:	Failing tests: MC loading/ unloading. First test.
	http://code.google.com/p/pharo/issues/detail?id=5756 
	
- Issue 5909:	[ENH]: Easy TimeZone instances. Thanks Sean De Nigris.
	http://code.google.com/p/pharo/issues/detail?id=5909
	
- Issue 5897:	[ENH]: Clean SystemProgressMorph and friends. Thanks Sean De Nigris.	
	http://code.google.com/p/pharo/issues/detail?id=5897'.
	self loadTogether: self script69 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/20/2012 18:51'!
update20081
	"self new update20081"
	self withUpdateLog: '- Issue 5879:	Add missing initialization in Decompiler>>decompileBlock:. Thanks Nicolas Cellier.
	http://code.google.com/p/pharo/issues/detail?id=5879
	
- Issue 5892:	StartupPreferences try to load .DS_Store. Thanks Benjamin van Ryseghem.
	http://code.google.com/p/pharo/issues/detail?id=5892
	
- Issue 5658:	Get rid of KeyDecodeTable in InputEventSensor. Thanks Guillermo Polito
	http://code.google.com/p/pharo/issues/detail?id=5658

-  Issue 5885:	FileBrowser/FileList cannot reset the search pattern. Thanks Nicolas Cellier.
	http://code.google.com/p/pharo/issues/detail?id=5885
	
- Issue 5673:	[ENH]: Setting to enable two-way halo cycling. Thanks Sean De Nigris.
	http://code.google.com/p/pharo/issues/detail?id=5673
		'.
	self loadTogether: self script70 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/20/2012 19:17'!
update20082
	"self new update20082"
	self withUpdateLog: '- Issue 5877:	piecesCutWhere:. From Squeak, thanks E. Miranda.
	http://code.google.com/p/pharo/issues/detail?id=5877
	
- Issue 5733:	Finder help text enhancements. Thanks Ben Coman and Benjamin van Ryseghem.
	http://code.google.com/p/pharo/issues/detail?id=5733

- Issue 5880:	FileBrowser is slow when directory has lot of entries. Thanks Nicolas Cellier
	http://code.google.com/p/pharo/issues/detail?id=5880

- Issue 5748:	Better modularization for Ring packages. Thanks Mariano Martinez-Peck and Veronica Uquillaz Gomes.'.
	self loadTogether: self script71 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/20/2012 19:51'!
update20083
	"self new update20083"
	self withUpdateLog: '- Issue 5760:	Some initialization fixes in DisplayScreen. Thanks Guillermo Polito.
	http://code.google.com/p/pharo/issues/detail?id=5760

- Issue 5926:	SystemNavigation>>#browseUndeclaredReferences not working. Thanks Marcus Denker
	http://code.google.com/p/pharo/issues/detail?id=5926

- Fixing post problem related to the removal of the DecodeTable.'.
	self loadTogether: self script72 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 5/20/2012 21:35'!
update20084
	"self new update20084"
	self withUpdateLog: '- Issue 5903:	MonticelloAnnouncer may announce two times an announcement. Once again ;/'.
	self loadTogether: self script73 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 5/21/2012 09:48'!
update20085
	"self new update20085"
	self withUpdateLog: 'Issue 5929:	Some Unix shortcuts needs to be fixed
	http://code.google.com/p/pharo/issues/detail?id=5929'.
	self loadTogether: self script74 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/21/2012 17:40'!
update20086
	"self new update20086"
	self withUpdateLog: 'Issue 5930:	New versions of Spec
	http://code.google.com/p/pharo/issues/detail?id=5930
	
Issue 5925:	Lots of undeclared ivars
	http://code.google.com/p/pharo/issues/detail?id=5925
	
Issue 5911:	Float floorLog: 2 could be exact
	http://code.google.com/p/pharo/issues/detail?id=5911'.
	self loadTogether: self script75 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/22/2012 09:12'!
update20087
	"self new update20087"
	self withUpdateLog: 'Issue 5933:	cleanup use of Referencestream to load serialized fonts
	http://code.google.com/p/pharo/issues/detail?id=5933
	
Issue 5937:	Continue cleaning ReferenceStream
	http://code.google.com/p/pharo/issues/detail?id=5937
	
Issue 5915:	Cleaning Icons
	http://code.google.com/p/pharo/issues/detail?id=5915'.
	self loadTogether: self script76 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/22/2012 11:34'!
update20088
	"self new update20088"
	self withUpdateLog: 'Issue 5889:	CodeImport package contains tests
	http://code.google.com/p/pharo/issues/detail?id=5889
	
Issue 5940:	Small DataStream Cleaup
	http://code.google.com/p/pharo/issues/detail?id=5940
	
Issue 5939:	Failing test: #testFtpRepository
	http://code.google.com/p/pharo/issues/detail?id=5939
	
Issue 5809:	System-CommandLine has poor packaging
	http://code.google.com/p/pharo/issues/detail?id=5809'.
	self loadTogether: self script77 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/22/2012 13:46'!
update20089
	"self new update20089"
	self withUpdateLog: 'Issue 5592:	A bench of classes cant be initialized again
	http://code.google.com/p/pharo/issues/detail?id=5592
	
Issue 5797:	Adding announcements on open and delete for morphs
	http://code.google.com/p/pharo/issues/detail?id=5797
	
Issue 5944:	Having a category for basic objects
	http://code.google.com/p/pharo/issues/detail?id=5944
	
Issue 5818:	Put back the correct order in #asert:equals:
	http://code.google.com/p/pharo/issues/detail?id=5818'.
	self loadTogether: self script78 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/22/2012 17:25'!
update20090
	"self new update20090"
	self withUpdateLog: 'Issue 5949:	ArrayedCollection >> bytesPerElement and bytesPerBasicElement cleaning
	http://code.google.com/p/pharo/issues/detail?id=5949
	
Issue 5946:	Failing test in SpecInterpreterTest
	http://code.google.com/p/pharo/issues/detail?id=5946
	
Issue 5484:	Unicode depending on zinc
	http://code.google.com/p/pharo/issues/detail?id=5484

Issue 5947:	PluggableTextMorphWithLimits should be moved close to PluggableTextMorph	
	http://code.google.com/p/pharo/issues/detail?id=5947'.
	self loadTogether: self script79 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/23/2012 13:30'!
update20091
	"self new update20091"
	self withUpdateLog: 'Issue 3343:	StringTest>>testWithoutQuoting and fixes for match: and withoutQuoting
	http://code.google.com/p/pharo/issues/detail?id=3343
	
Issue 5953:	spotlight DNU when looking for an inexistent identifier
	http://code.google.com/p/pharo/issues/detail?id=5953
	
Issue 5958:	automatic expand all in Monticello Changes and Merge
	http://code.google.com/p/pharo/issues/detail?id=5958'.
	self loadTogether: self script80 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/23/2012 14:28'!
update20092
	"self new update20092"
	self withUpdateLog: 'Issue 5755:	Failing Tests: RPackageMCSynchronisationTest
	http://code.google.com/p/pharo/issues/detail?id=5755
	
Issue 5957:	fast drag is broken	
	http://code.google.com/p/pharo/issues/detail?id=5957'.
	self loadTogether: self script81 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/23/2012 17:27'!
update20093
	"self new update20093"
	self withUpdateLog: 'Issue 5963:	remove empty package PluggableTextMorphWithLimits
	http://code.google.com/p/pharo/issues/detail?id=5963

Issue 5960:	Failing tests: SourceFileArrayTest
	http://code.google.com/p/pharo/issues/detail?id=5960'.
	self loadTogether: self script82 merge: false.
	ScriptLoader new unloadPackageNamed: 'PluggableTextMorphWithLimits'.
RPackageOrganizer default unregisterPackageNamed: 'PluggableTextMorphWithLimits'.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/24/2012 15:57'!
update20094
	"self new update20094"
	self withUpdateLog: 'Issue 5959:	Failing test: SpecInterpreterTest>>testBuildWindowFor
	http://code.google.com/p/pharo/issues/detail?id=5959
	
Issue 5966:	DropListMorph do not pop the list when the text field is clicked
	http://code.google.com/p/pharo/issues/detail?id=5966'.
	self loadTogether: self script83 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/25/2012 14:38'!
update20095
	"self new update20095"
	self withUpdateLog: 'Issue 5971:	Nautilus: Opening issue when opening on a method
	http://code.google.com/p/pharo/issues/detail?id=5971
	
Issue 5970:	CommandLine eval does not work completely
	http://code.google.com/p/pharo/issues/detail?id=5970
	
Issue 5962:	62 tests failing after integrating Issue 5755:
	http://code.google.com/p/pharo/issues/detail?id=5962
	
Issue 5972:	Clean in perform: aSelector orSendTo: another
	http://code.google.com/p/pharo/issues/detail?id=5972'.
	self loadTogether: self script84 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/26/2012 11:17'!
update20096
	"self new update20096"
	self withUpdateLog: '- add home to all repos
- cleanupforrelease'.
	self loadTogether: self script85 merge: false.
	ScriptLoader new addHomeRepositoryToAllPackages.
ScriptLoader new cleanUpForRelease.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/26/2012 13:42'!
update20097
	"self new update20097"
	self withUpdateLog: 'Issue 5981:	Make Model class independent on UI
	http://code.google.com/p/pharo/issues/detail?id=5981
	
Issue 5914:	Object>>notYetImplemented currently impractical for TDD, uses #inform: which does not fail the tests.
	http://code.google.com/p/pharo/issues/detail?id=5914

Issue 5936:	DateAndTime DOS conversion	
	http://code.google.com/p/pharo/issues/detail?id=5936'.
	self loadTogether: self script86 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/26/2012 14:15'!
update20098
	"self new update20098"
	self withUpdateLog: 'Issue 5982:	integrate Fuel 1.8
	http://code.google.com/p/pharo/issues/detail?id=5982'.
	self loadTogether: self script87 merge: false.
	ScriptLoader new addHomeRepositoryToAllPackages.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/26/2012 14:41'!
update20099
	"self new update20099"
	self withUpdateLog: 'Issue 5983:	update package names for Fuel 1.8
	http://code.google.com/p/pharo/issues/detail?id=5983
	
Issue 5980:	System Setting Browser broken: DNU #selectedNodePath
	http://code.google.com/p/pharo/issues/detail?id=5980
	
Issue 5976:	Add explicit pad methods
	http://code.google.com/p/pharo/issues/detail?id=5976
	
Issue 5956:	Let morphs announce when focus changes
	http://code.google.com/p/pharo/issues/detail?id=5956'.
	self loadTogether: self script88 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/29/2012 18:01'!
update20100
	"self new update20100"
	self withUpdateLog: 'Issue 5996:	Debuggable Morphic Draw Error
	http://code.google.com/p/pharo/issues/detail?id=5996
	
Issue 5995:	SpaceTally has a typo
	http://code.google.com/p/pharo/issues/detail?id=5995
	
Issue 5990:	Halt should not signal UnhandledError
	http://code.google.com/p/pharo/issues/detail?id=5990'.
	self loadTogether: self script90 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/30/2012 15:05'!
update20101
	"self new update20101"
	self withUpdateLog: 'Issue 5987:	Remove SARInstaller
	http://code.google.com/p/pharo/issues/detail?id=5987

Issue 5979:	Method names containing shortcut broken
	http://code.google.com/p/pharo/issues/detail?id=5979
	
Issue 5696:	Failing tests: Traits
	http://code.google.com/p/pharo/issues/detail?id=5696'.
	self loadTogether: self script91 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 5/31/2012 11:09'!
update20102
	"self new update20102"
	self withUpdateLog: 'Issue 5999:	obsolete class (SARInstaller) in 20101
	http://code.google.com/p/pharo/issues/detail?id=5999
	
Issue 5985:	move Unicode initialization to a separate package
	http://code.google.com/p/pharo/issues/detail?id=5985'.
	self loadTogether: self script92 merge: false.
	ScriptLoader new addHomeRepositoryToAllPackages.
FileServices removeObsolete.
.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'EstebanLorenzano 6/1/2012 17:19'!
update20103
	"self new update20103"
	self withUpdateLog: ' Issue 6006:	mac vm tests get stucked on mac
	http://code.google.com/p/pharo/issues/detail?id=6006
	
Issue 6003:	Missing Class Comment for FreetypeFontProvider
	http://code.google.com/p/pharo/issues/detail?id=6003
	
Issue 6001:	Deprecated ReferenceStream
	http://code.google.com/p/pharo/issues/detail?id=6001'.
	self loadTogether: self script93 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 6/2/2012 19:00'!
update20104
	"self new update20104"
	self withUpdateLog: ' Issue 6010:	Fixing RPackageMCSynchronisationTests
		http://code.google.com/p/pharo/issues/detail?id=6010
		Thanks Guillermo Polito to happily hacking with Stephane. This is funnier when we are two. Pair fixing is cool.'.
	self loadTogether: self script94 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 6/2/2012 20:43'!
update20105
	"self new update20105"
	self withUpdateLog: ' Issue 6011:	avoiding MCWorkingCopy allManagers expressions
		http://code.google.com/p/pharo/issues/detail?id=6011
	'.
	self loadTogether: self script95 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 6/2/2012 22:45'!
update20106
	"self new update20106"
	self withUpdateLog: 'Issue 6012:	Fixing Trait test since the event notifier is not silent!!!!!!
		http://code.google.com/p/pharo/issues/detail?id=6012
	'.
	self loadTogether: self script96 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 6/3/2012 13:37'!
update20107
	"self new update20107"
	self withUpdateLog: ' Issue 6016:	privateAnnouncer is not used and this is not good
		http://code.google.com/p/pharo/issues/detail?id=6016
	'.
	self loadTogether: self script97 merge: false.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'elementary steps' stamp: 'StephaneDucasse 1/31/2011 22:22'!
updateUpdatesList: aString
	"ScriptLoader new updateUpdatesList: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default oldFileNamed: self updatesListFileName.
	[	str
			setToEnd;
			cr;
			nextPutAll: self currentUpdateVersionNumber asString;
			nextPutAll: '-Pha-', aString, '.cs' ]
		ensure: [ str close ]! !

!ScriptLoader methodsFor: 'private' stamp: 'StephaneDucasse 2/10/2011 15:40'!
updatesListFileName

	^ 'updates', (SystemVersion current majorMinor:''), '.list'! !

!ScriptLoader methodsFor: 'menu integration actions' stamp: 'lr 3/14/2010 21:13'!
verifyNewUpdate
	self repository: self class defaultMCWaitingFolder.
	self class loadLatestPackage: 'ScriptLoader' fromRepository: self repository.
	self perform: ('update' , self getLatestUpdateNumber asString) asSymbol.
	(self confirm: 'Completed loading the new update. Run all test now?')
		ifTrue: [ 
			Author fullName: 'tester'.
			Smalltalk globals at: #TestRunner ifPresent: [ :class | class open model runAll ] ]! !

!ScriptLoader methodsFor: 'private' stamp: 'al 11/1/2008 18:19'!
waitingFolderMCZFiles
	^ self class defaultMCWaitingFolder allFileNames
		reject: [:each | each =  '.DS_Store']! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:45'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'sd 3/24/2008 17:31'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/8/2006 18:20'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 2/25/2010 18:09'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	

	FileDirectory default 
		forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'
		do: [ :stream | self generateCS: extensionAndNumber fromUpdate: updateNumber on: stream].
! !
ScriptLoader initialize!
MetacelloScriptLoader initialize!
